2009-03-16  Vivien Malerba <malerba@gnome-db.org>

	* doc/C: doc. fixes

2009-03-15  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set version to 4.0.0

Released 3.99.14

2009-03-14  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-config.c:
	* tools/gda-sql.c:
	* providers/jdbc/jni-wrapper.c: use the XDG Base Directory Specification to
	get the directory where to store the defined data sources and fall back to
	$HOME/.libgda if the directory does not exist
	* tools/tools-input.c: store history file in $XDG_CACHE_HOME from
	the XDG Base Directory Specification

2009-03-12  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql/gda-mysql-meta.c: corrected AUTO INCREMENT attribute reporting
	for tables' columns

2009-03-12  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-holder.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-error.[ch]:
	* libgda/gda-types.[ch]:
	* libgda/gda-meta-store.c:
	* libgda/gda-set.c:
	* libgda/gda-init.c:
	* libgda/Makefile.am:
	* libgda/gda-custom-marshal.[ch]:
	  - renamed gda-error.[ch] to gda-types.[ch] as more custom types are defined
	  - don't install the new gda-types.h file
	  - don't export the _get_type() symbols
	  - fixes for bug #574736
	* libgda/gda-set.c:
	* doc/C: fixes for bug #574741
	* libgda/gda-set.[ch]: removed unused part in GdaSetSource and added padding
	for future expansion to GdaSetNode, GdaSetGroup and GdaSetSource

2009-03-10  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-statement.c:
	* doc/C:
	  - documents gda_statement_to_sql_real(), fixes bug #574738
	  - mention that GdaServerOperationNode is mainly for database provider's
	    implementations, for bug #574742
	* libgda/gda-meta-struct.c: fixes documentation for
	gda_meta_struct_get_all_db_objects(), fixes bug #574740

2009-03-09  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set version to 3.99.14

Released 3.99.13

2009-03-07  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-value.c: improved performances on gda_binary_to_string()
	and gda_string_to_binary(): removed g_memmove() usage and convert any
	non ASCII printable char to an octal representation (don't bither with
	unicode anymore)

2009-03-05  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-value.c: fix for bug #574193
	* tests/Makefile.am:
	* tests/test-ddl-creator.c: remove created DB before running test, and run
	as a test
	* tests/Makefile.am:
	* tests/tests/test-bin-converter.c: new test for gda_binary_to_string()
	and gda_string_to_binary()

2009-03-04  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: use ncurses if found instead of ncuses, fixes bug #574021
	* tools/tools-input.c: currected compilation issue if readline is not found,
	fixes bug #574020

2009-03-03  Vivien Malerba <malerba@gnome-db.org>

	* configure.in:
	* libgda/Makefile.am:
	* libgda/gda-data-model-bdb.c:
	* providers/bdb/Makefile.am: the berkeley db livrary is now loaded only
	when needed: the libgda library is not linked directly with it anymore

2009-03-02  Vivien Malerba <malerba@gnome-db.org>

	* tools/gda-sql.c:
	  - corrected the "\i" command
	  - corrected multi line commands handling
	* tools/gda-threader.c: removed unnecessary warning
	* tests/parser: added a new test which checks the parsing of whole script files
	* libgda/sql-parser/gda-sql-parser.c: consider a single '#' to be the start of a comment
	up to the end of the line for MySQL
	* libgda/libgda.symbols: added missing symbols (gda_data_model_error_get_type and
	gda_utility_data_model_find_column_description), and other corrections
	* libgda/sqlite/: renamed symbols which are not supposed to be exported

2009-02-28  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set version to 3.99.13

Released 3.99.12

2009-02-26  Vivien Malerba <malerba@gnome-db.org>

	* libgda/libgda.symbols:
	* libgda/gda-row.[ch]: added gda_row_invalidate_value() and gda_row_value_is_valid()
	to be used by database providers' implementations to tag individual values in a GdaRow
	as invalid (either because the value coud not be read or because the value could not
	be intepreted as the requested data type)
	* libgda/sqlite: SQLite provider's improvements:
	  - handle int64 types
	  - fixed a bug when using the '*' in a SELECT to get a blob data
	  - use the new gda_row_invalidate_value() API
	* libgda/gda-data-access-wrapper.c:
	* libgda/gda-data-model-array.c:
	* providers/mysql/gda-mysql-recordset.c:
	* providers/postgres/gda-postgres-recordset.c: use the new gda_row_invalidate_value() API
	* libgda/gda-data-select.c: use the new gda_row_value_is_valid() API
	* libgda/gda-data-model.c: gda_data_model_dump_as_string() and gda_data_model_dump ()
	now display #### when the value of a column can't be obtained and displayed instead
	of undefined result

2009-02-25  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql: more work on the MySQL provider:
	  - some work on the parameters' binding to use the correct type (not
	    always MYSQL_TYPE_STRING
	  - don't pass the bound parameters to the GdaMysqlPStmt as it does not
	    use them
	  - double free problem in GdaMysqlRecordset

2009-02-25  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql: more work on the MySQL provider:
	  - use a MYSQL_STMT per prepared statement
	  - if the same prepared statement is executed more than once and is
	    a SELECT, then use another MYSQL_STMT to avoid conflicting with
	    the previous one

2009-02-24  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sql-parser/gda-statement-struct.c:
	* doc/C: doc. improvements
	* libgda/gda-meta-struct.c: misc corrections
	* libgda/gda-data-proxy.c: made it thread safe
	* libgda/libgda.symbols:
	* libgda/gda-util.[ch]: added gda_sql_identifier_split()
	* providers/mysql/*: more MySQL provider work:
	  - remove double quotes around tables names when rendering SQL
	  - make sure the connection uses UTF-8
	  - corrected the handling of NULL values in GdaMysqlRecordset
	  - removed compilation warnings
	  - improved meta data retreival
	  - bug fixes

2009-02-23  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-connection.c: improved debug message
	* libgda/sqlite/sqlite-src/Makefile.am: define the SQLITE_OMIT_LOAD_EXTENSION flag
	to avoid having to link with libdl, possible fix for bug #572277
	* providers/mysql/gda-mysql-meta.c:
	* providers/mysql/gda-mysql-recordset.c: general MySQL provider improvements
	* providers/mysql/gda-mysql-provider.c: possible fix for bug #572394

2009-02-22  Armin Burgmeier  <armin@openismus.com>

	* libgda/gda-util.c (gda_utility_data_model_dump_data_to_xml): Don't
	leak rcols, fixes bug #572734

2009-02-21  Armin Burgmeier  <armin@openismus.com>

	* libgda/sqlite/gda-sqlite-provider.c:
	gda_sqlite_provider_begin_transaction()
	gda_sqlite_provider_commit_transaction()
	gda_sqlite_provider_rollback_transaction(): Set error when statement
	execution fails.

2009-02-21  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-meta-store.c: corrected gda_meta_store_schema_get_structure(), fixes
	bug #542847

2009-02-18  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/sqlite-src: uses SQLite version 3.6.11

2009-02-18  Vivien Malerba <malerba@gnome-db.org>

	* doc/C: doc. improvements regarding GdaDataHandler
	* providers/mysql/gda-mysql-ddl.c:
	* providers/postgres/gda-postgres-ddl.c:
	* providers/postgres/gda-postgres-handler-bin.c:
	* libgda/sqlite/gda-sqlite-handler-bin.c:
	* libgda/handlers/gda-handler-type.c:
	* libgda/handlers/gda-handler-bin.c:
	* libgda/gda-data-handler.c;
	* libgda/gda-server-provider.c: make sure the
	gda_data_handler_get_sql_from_value() function is implemented in a
	coherent way, fixed bug #572220

2009-02-17  Vivien Malerba <malerba@gnome-db.org>

	* configure.in:
	* providers/sybase/main.c:
	* Makefile.w32: removed any obsolete reference to bonobo,
	for bug #571879
	* libgda/gda-value.[ch]:
	* libgda/handlers/gda-handler-bin.c:
	* providers/postgres/gda-postgres-handler-bin.c:
	  - fixed gda_string_to_binary() and gda_string_to_blob(),
	    for bug #572028
	  - removed the const from gda_value_take_binary() and
	    gda_value_take_blob()

2009-02-15  Vivien Malerba <malerba@gnome-db.org>

	* samples/MetaStore/example.c: corrected the usage of
	gda_connection_get_meta_store_data()
	* libgda/gda-connection.c: when using gda_connection_get_meta_store_data()
	with GDA_CONNECTION_META_FIELDS, accept the filter composed of
	"name" (table name) and	"field_name" as mentionned in the doc

2009-02-14  Vivien Malerba <malerba@gnome-db.org>

	* samples/:
	  - added a new MetaStore example to show some examples of the
	    gda_connection_update_meta_store() function
	  - corrected some examples to compile correctly
	* doc/C:
	* libgda/gda-connection.c: improved documentation

2009-02-13  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set version to 3.99.12

Released 3.99.11

2009-02-13  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-connection.c:
	* doc/C: doc. updates
	* libgda/libgda.symbols: removed non existant symbol

2009-02-09  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/virtual/: s/GdaVConnectionDataModelFunc/GdaVconnectionDataModelFunc/
	* doc/C: doc. updates

2009-02-08  Vivien Malerba <malerba@gnome-db.org>

	* doc/C:
	* libgda/sql-parser:
	* libgda/libgda.symbols:
	  - documentation improvements, fixes bug #570787
	  - removed symbols which should never have been public

2009-02-05  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-attributes-manager.c: applied patch for bug #569399 (tanks
	to Carl-Anton Ingmarsson)

2009-02-05  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-attributes-manager.c: added locking in case several threads use
	the same GdaAttributeManager at the same time, this may be the problem for
	Anjuta bug #569399
	* doc/C: doc. improvements
	* libgda/gda-data-access-wrapper.c: when data model being wrapped does not have
	random access but still can iter forward and backward, then use a pool of GdaRow
	of limited size instead of keeping all the read rows in memory
	* libgda/gda-connection.c:
	* providers/postgres/gda-postgres-provider.c:
	* libgda/sqlite/gda-sqlite-provider.c:
	* providers/mysql/gda-mysql-provider.c:
	* providers/skel-implementation/capi/gda-capi-provider.c: when calling the
	statement_execute() virtual method, the requested data model's access mode
	is checked and altered in GdaConnection to have a common behaviour.
	* other files:
	  - s/GdaLockableClass/GdaLockableIface/
	  - s/GdaDataModelClass/GdaDataModelIface/
	  - added padding for future expansion to guarantee ABI stability

2009-02-04  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model.c: fixed a bug where the number of rows was printed
	after every line in gda_data_model_dump()
	* WixInstaller: moved to installers/WindowsWix
	* installers: new directory to store information and scripts about OS
	specific installers

2009-02-03  Vivien Malerba <malerba@gnome-db.org>

	* doc/C: doc fixes, for bug #570315
	* libgda/sql-parser/gda-sql-parser.c: allow more characters in parameter names
	* libgda-report/engine/gda-report-engine.c:
	* samples/Report/customers-report-spec.xml:
	* samples/Report/customers-report-rml.rml: changed the syntax of parameters
	to avoid SQL parsing confusions (replace "/@" by "|@", "/#" by "|#" and
	"/%nrows" by "|?nrows")
	* libgda/sqlite/gda-sqlite-recordset.c: debug messages
	* libgda/gda-data-select.c: applied patch for bug #570251 (thanks Armin)
	* libgda/gda-data-model.c: avoid calling twice g_set_error() on the same
	GError
	* libgda/gda-connection.c: only show database objects which are visible by
	default in gda_connection_get_meta_store_data(), fixes bug #570396

2009-02-02  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set version to 3.99.11

Released 3.99.10

2009-02-02  Vivien Malerba <malerba@gnome-db.org>

	* libgda/libgda.symbols: removed non exported symbols

2009-02-02  Vivien Malerba <malerba@gnome-db.org>

	* tools/gda-sql.c: change the prompt from "cnc_name>" to "cnc_name[" when
	in a transaction

2009-02-02  Armin Burgmeier  <armin@openismus.com>

	* libgda/gda-data-access-wrapper.c
	(gda_data_access_wrapper_get_value_at): Don't rely on an existing
	row for models that support both forward- and backward iteration since
	rows are not cached in iter_row_changed_cb() in that case. Instead,
	recreate the row to fetch the requested value.

2009-02-01  Vivien Malerba <malerba@gnome-db.org>

	* configure.in:
	* libgda/binreloc/gda-binreloc.c: fix for MacOS X
	* tools/gda-sql.c: ignore unknown arguments on the command line

2009-01-28  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/virtual/gda-vconnection-hub.h:
	* libgda/gda-easy.c:
	* libgda/sql-parser/gda-statement-struct.c:
	* libgda/sql-parser/gda-statement-struct-parts.h:
	* libgda/gda-set.h:
	* libgda/gda-server-provider.c:
	* libgda/gda-server-provider-extra.c:
	* libgda-report/DocBook/gda-report-docbook-document.c:
	* libgda-report/RML/gda-report-rml-document.c:
	* libgda/gda-meta-struct.c:
	* libgda/gda-holder.[ch]:
	* libgda/gda-data-model-array.c:
	* libgda/gda-data-model.c:
	* libgda/gda-data-model-bdb.c:
	* libgda/gda-column.h: doc updates
	* libgda/libgda.symbols:
	* providers/postgres/gda-postgres-handler-bin.c:
        * libgda/sqlite/gda-sqlite-handler-bin.c:
        * libgda/gda-column.h:
        * libgda/handlers/gda-handler-time.c:
        * libgda/handlers/gda-handler-boolean.c:
        * libgda/handlers/gda-handler-numerical.c:
        * libgda/handlers/gda-handler-type.c:
        * libgda/handlers/gda-handler-string.c:
        * libgda/handlers/gda-handler-bin.c:
        * libgda/gda-data-handler.c:
        * libgda/gda-data-handler.h: removed unused methods

2009-01-28  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-server-provider.c: fixed a bug where the connection would remain
	locked.
	* providers/postgres/gda-postgres-meta.c: fix for bug #143576
	* po/: ran "make update-po"

2009-01-27  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-easy.c:
	* libgda/gda-mutex.c:
	* libgda/gda-meta-store.c:
	* libgda/gda-value.c:
	* libgda/gda-meta-struct.h: doc. updates

2009-01-27  Vivien Malerba <malerba@gnome-db.org>

	* libgda/libgda.symbols:
	* libgda/gda-easy.[ch]: added gda_insert_row_into_table_v() and
	gda_update_row_in_table_v() to facilitate C++ bindings; fixes bug #568484
	* libgda/gda-easy.c:
	* libgda/gda-meta-store.c:
	* libgda/gda-util.c:
	* libgda/gda-config.c: fixed memory leaks
	* configure.in:
	* libgda/gda-config.c: if available, use GIO to monitor config files changes
	instead of FAM or gamin, fixes bug #486021

2009-01-26  Vivien Malerba <malerba@gnome-db.org>

	* doc/C:
	  - added section about SQL parsers and how to write a database specific
	    one in a database provider
	  - misc. improvements
	* providers/skel-implementation/capi/gen_def.c:
	* providers/firebird/gen_def.c:
	* providers/mysql/gen_def.c:
	* providers/postgres/gen_def.c: removed unused #define in generated header file
	* libgda/libgda.symbols: removed symbols not existing anymore
	* providers/jdbc/Makefile.am: include the MANIFEST.MF in distributed tarballs,
	fixes bugs #568388 and #568353
	* providers/gda-mysql-recordset.c: add unsigned information when binding
	for output to avoid data being truncated, fixes bug #561748

2009-01-25  Vivien Malerba <malerba@gnome-db.org>

	* tools/test_blob.sh: new script used to test database provider's blobs
	implementations
	* providers/postgres/gda-postgres-provider.c: correct a double free problem
	and prevent memory leaks in some cases

2009-01-24  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sql-parser/parser_tokens.h: removed unnecessary token names
	* libgda/gda-server-provider-extra.[ch]: code cleanup, improved
	documentation

2009-01-24  Vivien Malerba <malerba@gnome-db.org>

	* providers/skel-implementation/capi/gen_def.c:
	* providers/skel-implementation/capi/Makefile.am:
	* providers/firebird/gen_def.c:
	* providers/firebird/Makefile.am:
	* providers/mysql/gen_def.c:
	* providers/mysql/Makefile.am:
	* providers/postgres/gen_def.c:
	* providers/postgres/Makefile.am: corrected parser's symbols translations
	* libgda/sql-parser/parser.y: allow identifiers to be enclosed between
	single quotes
	* libgda/sql-parser/gda-statement-struct-util.c:
	gda_sql_identifier_remove_quotes() also accepts single quotes around
	identifiers
	* libgda/sql-parser/gda-sql-parser.c: added debug information
	* tests/parser/testdata.xml: added more test cases

	This fixes bug #568844

2009-01-23  Vivien Malerba <malerba@gnome-db.org>

	* sqlite/gda-sqlite-provider.c: partial fix for bug #568844

2009-01-23  Vivien Malerba <malerba@gnome-db.org>

	* documentation fixes, see bugs #568731 and #561178.

2009-01-21  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-meta.c: fix for bug #568570
	* libgda/gda-value.c: corrected gda_value_new_timestamp_from_timet()
	to correclty handle the results of localtime() (thanks to Tim Lapawa)

2009-01-19  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set version to 3.99.10

Released 3.99.9

2009-01-19  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/sqlite-src: reverted to 3.6.7 because of bug #568093
	* other files: documentation updates

2009-01-18  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-provider.c: fix for bug #568165
	* libgda-report/RML/gda-report-rml-document.c:
	* providers/skel-implementation/models/gda-models.h:
	* providers/skel-implementation/capi/gda-capi.h:
	* libgda/sqlite/virtual/gda-virtual-provider.c:
	* libgda/sqlite/virtual/gda-vprovider-data-model.c:
	* libgda/sqlite/virtual/gda-vprovider-hub.c: applied patch
	for bug #568163 (thanks to Halton Huo)

2009-01-15  Vivien Malerba <malerba@gnome-db.org>

	* libgda/Makefile.am:
	* libgda/gda-threader.[ch]:
	* libgda/libgda.symbols:
	* tools/Makefile.am:
	* tools/gda-threader.[ch]: removed GdaThreader from Libgda and moved it
	to the gda-sql console which uses it, as this API is not well thought enough
	(fixes bug #561175)
	* libgda/gda-data-model.h: typedef enum GdaDataModelError
	* libgda/gda-data-proxy.c: removed unused gda_data_proxy_get_model(), and
	made gda_data_proxy_append() static
	* libgda/gda-server-operation.c: improved documentation, for bug #561178
	* Makefile.am: also distribute getsp.java and getsp.class
	* libgda-report/Makefile.am: also distribute libgda-report.symbols
	* doc/C:
	  - fix for bug #561173
	  - updated documentation
	  - cleanups
	* libgda/sqlite/sqlite-src: now uses SQLite 3.6.10
	* libgda/gda-value.c: made gda_value_list_copy() and gda_value_list_free() static
	* libgda/gda-data-model.c:
	* libgda/gda-data-model-private.h: made gda_data_model_to_xml_node() static

2009-01-12  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set version to 3.99.9

Released 3.99.8

2009-01-12  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sql-parser/gda-statement-struct-parts.c:
	* doc/C: doc. improvements
	* libgda/libgda.symbols:
	* libgda/gda-easy.[ch]: implementation of INSERT/UPDATE/DELETE convenience
	functions (with some API Corrections!)
	* samples/SimpleExample/example.c: use the convenience API
	* libgda/gda-util.c: bug fixed
	* providers/postgres/gda-postgres-meta.c: bug fixed (on partial meta data update)

2009-01-09  Vivien Malerba <malerba@gnome-db.org>

	* tools/web-server.c:
	* libgda/libgda.symbols: Win32 build corrections

2009-01-09  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-util.[ch]: added gda_compute_select_statement_from_update()
	* libgda/sqlite/:
	  - added BLOB support for the SQLite provider
	  - report an error when getting a gint from a too big gint64 value
	* tests/: updated test data related to the gda_g_type_to_string() changes
	* configure.in
	* tools/:
	  - added a '-v' command line option to display version
	  - added a man page for gda-sql
	  - optionnally create symlink from "<prog>" to the "<prog>-4.0" program names

2009-01-06  Vivien Malerba <malerba@gnome-db.org>

	* tools/: embedded web server improvements:
	 - fix a bug where big data models were truncated
	 - UI corrections
	 - multiple simultaneous consoles now works
	* libgda/sqlite/virtual/gda-vconnection-hub.c: only bind the tables
	which require a complete name (<schema>.<name>)

2009-01-05  Vivien Malerba <malerba@gnome-db.org>

	* tools/: now display result sets as an HTML table which can be resized
	* providers/jdbc/GdaInputStream.c: removed unused variable
	* libgda/gda-util.c:
	  - gda_g_type_to_string(): be more coherent
	  - gda_utility_data_model_find_column_description(): test GValue
	    existence before getting its value

2008-12-31  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set version to 3.99.8

Released 3.99.7

2008-12-31  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/gda-sql-manual.xml: documentation for SQL console's embedded HTTP server
	* po/: ran "make update-po"

2008-12-30  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-util.[ch]: added gda_utility_data_model_find_column_description(),
	thanks to Carlos Savoretti
	* libgda/gda-config.c:
	  - avoid memory leaks with provider's DSN spec and AUTH spec strings
	  - close all GModules after having go tthe list of providers)
	* providers/*/libmain.c: don't leak memory when module is closed
	* providers/jdbc/libmain.c: make sure the GModule is made resident because
	the Java runtime is not completely unloaded (don't know how to do it)
	* libgda/gda-connection.[ch]:
	  - cleaned unused GDA_CONNECTION_*_ERROR codes
	  - improved documentation, see bug #565019
	* doc/C: doc. improvements

2008-12-29  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model-iter.h: #define gda_data_model_iter_move_at_row to
	gda_data_model_iter_move_to_row
	* tools/Makefile.am: corrections to have "make distcheck" work

2008-12-26  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-quark-list.c: remove leading and trailing white spaces in both
	key and value for each (<key>=<value>) pair (if a key or a value needs white
	spaces, they need to encode them as "%20")
	* tools/: improvements to the GDA SQL console's web server part:
	  - added authentication, based on a token (a string) the client must enter upon
	    request (then uses a cookie)
	  - added a terminal emulator to enter commands as one would do on a normal xterm
	  - reworked the CSS
	  - added binreloc feature
	* libgda/gda-data-model.c: applied patch to correct a bug in
	gda_data_model_get_typed_value_at(), thanks to Tim Lapawa
	* providers/skel-implementation/capi/capi_specs_create_table.xml.in:
	* providers/firebird/firebird_specs_create_table.xml.in:
	* providers/sqlite/sqlite_specs_create_table.xml.in:
	* providers/jdbc/jdbc_specs_create_table.xml.in:
	* providers/mysql/mysql_specs_create_table.xml.in
	* providers/postgres/postgres_specs_create_table.xml.in: don't define any column
	when creating a GdaServerOperation for table creation, fixes bug #565618
	* doc/C:
	* libgda/gda-connection.c: doc. update

2008-12-18  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-server-provider.[h|c]: Correct spelling of prefered_type 
	parameter to preferred_type.

2008-12-16  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/sqlite-src: up to version 3.6.7

2008-12-16  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-meta-struct.[ch]:
	* libgda/gda-column.[ch]:
	* libgda/gda-holder.[ch]: added a GDestroyNotify argument to gda_*_set_attribute()
	because this API design was not correct, this breaks the API, see bug #564402

	The gda_*_set_attribute_static() has been defined to reproduce the previous behaviour

	* libgda/gda-meta-struct-io.c: use gda_meta_table_column_set_attribute_static()
	* libgda/gda-attributes-manager.c: documentation corrections
	* providers/postgres/gda-postgres-meta.c: fixed a bug the SQL code
	* configure.in: detect size of C types used by MD5 implementation
	* libgda/global.h: fixed MD5 computation error (make sure a four byte word is used)
	* tests/value-holders/check_holder.c:
	* tests/value-holders/check_set.c: use gda_holder_set_attribute_static()
	* other misc files: minor corrections to remove compilation warnings.

2008-12-16  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-data-model-iter-extra.h: Rename  
	gda_data_model_iter_move_at_row_default() to 
	gda_data_model_iter_move_to_row_default().
	* libgda/gda-data-model-iter.[h|c]: Rename 
	gda_data_model_iter_move_at_row() to 
	gda_data_model_iter_move_to_row().
	* libgda/gda-data-model.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-data-select.c:
	* libgda/sqlite/virtual/virtual-test.c: Adapt.

2008-12-15  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-connection.h:
	* libgda/gda-data-comparator.h:
	* libgda/gda-meta-store.h: Removed trailing , in enums to avoid 
	warnings.
	* libgda/gda-connection.c:
	* libgda/sqlite/gda-sqlite-provider.c:
	* providers/skel-implementation/capi/gda-capi-provider.c: Corrected 
	g_set_error() calls to avoid warnings because I had the parameters in 
	the wrong order. 

2008-12-14  Przemysław Grzegorczyk  <pgrzegorczyk@gmail.com>

	* libgda/gda-init.c:
	* libgda/gda-config.c:
	* libgda/sqlite/gda-sqlite.h:
	* libgda/gda-value.c:
	* libgda/gda-value.h:
	* libgda/gda-util.c:
	* libgda/gda-util.h:
	* libgda/gda-server-provider.c:
	* libgda/gda-server-operation.c:
	* libgda/gda-quark-list.c:
	* libgda/gda-quark-list.h:
	* libgda/gda-log.c:
	* libgda/gda-log.h:
	* libgda/gda-data-model.c:
	* libgda/gda-data-model-array.c:
	* libgda/gda-column.c:
	* libgda/gda-column.h: Cleared up glib includes
	to use only toplevel headers. Bug #564274.

2008-12-11  Murray Cumming  <murrayc@murrayc.com>

	* Many files: Add an extra "%s" arguement to g_set_error() calls, 
	to avoid warnings about the lack of format and arguments.	
	We should really use g_set_error_literal() instead but that requires 
	glib 2.18

2008-12-11  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-connection.c: fix for bug #564159

2008-12-10  Vivien Malerba <malerba@gnome-db.org>

	* libgda/libgda.symbols:
	* libgda/Makefile.am:
	* libgda-report/libgda-report.symbols:
	* libgda-report/Makefile.am:
	  - use a DEF file on Windows to only export the
	    correct symbols (in the initialized data and the text (code) sections)
	  - create import libraries (.lib) files
	* tools-input.[ch]:
	* tools/gda-sql.c: use a main loop for characters input notification instead of
	locking on a readline function
	* configure.in
	* tools/Makefile.am
	* tools/html-doc.[ch]
	* tools/web-server.[ch]: optionnally run a small embedded web server (if
	libsoup is installed) to display meta data information in a browser
	* libgda/gda-easy.[ch]: applied patch from Daniel Espinosa for bug #529794
	* libgda/gda-data-model.c: calling gda_data_model_dump() with a NULL FILE*
	now prints to stdout
	* libgda/gda-meta-struct.c:
	  - removed debug messages
	  - better API documentation

2008-12-01  Vivien Malerba <malerba@gnome-db.org>

	* tools/gda-sql.c: simplified the result of the -L option (now only returns the
	provider name and its description for each installed provider)
	* tools/command-exec.c:
	  - corrections when listing tables or views
	  - if no object is found in the default "search path", then it is also
	    looked up in all the schemas
	* tools/tools-input.c: correclty handle history
	* providers/jdbc/*:
	  - JNI related bug fixes
	  - meta data now also retreives table's columns information
	  - added some code specific to Apache Derby
	* libgda/gda-connection.c:
	* libgda/gda-meta-struct.c: replace "='BASE TABLE'" with "LIKE '%TABLE%'"
	* libgda/gda-meta-struct.[ch]: added gda_meta_struct_complement_all()

2008-11-29  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-config.c: shared libraries corresponding to providers' implementations
	can now implement more than one provider type (used by the JDBC provider which
	implements a provider per JDBC driver found)
	* providers/postgres/gda-postgres-recordset.c: comments corrections
	* libgda/gda-data-select.c: code indentation
	* libgda/gda-quark-list.c: shorter code which corrects potentially double free
	problem
	* tools/gda-sql.c:
	* providers/postgres/gda-postgres-blob-op.c:
	* libgda/dir-blob-op.c:
	* libgda/gda-value.c:
	* libgda/sqlite/virtual/gda-vprovider-data-model.c: minor corrections
	* configure.in:
	* getsp.class: new JAVA detection
	* po/POTFILES.in:
	* providers/Makefile.am
	* providers/jdbc: new provider which wraps JDBC, giving access to many
	databases: pure JAVA databases such as H2, Derby, HSQLDB (used by
	OpenOffice.org's Base component) or any other database with a JDBC driver,
	see the providers/jdbc/doc/index.html file for more information
	* tests/data-models/check_virtual.c: set up test environment
	* libgda/gda-data-select.h: added gda_data_select_get_connection() which
	is already implemented and documented (Carlos Savoretti)
	* libgda/gda-meta-struct.c: set the GDA_ATTRIBUTE_DESCRIPTION attribute for
	table's columns (Carlos Savoretti)
	* providers/mdb/libmain.c: correctly use binreloc to detect provider's ressources
	location
	* doc/C: doc. update
	* po/: ran "make update-po"

2008-11-27  Johannes Schmid  <jschmid@openismus.com>

	* libgda/gda-connection.c (gda_connection_get_meta_store_data_v):
	Fixed crasher caused by wrong condition in for loop

2008-11-21  Vivien Malerba <malerba@gnome-db.org>

	* libgda/dir-blob-op.c: fixed the "write" virtual method
	* tools/gda-sql.c:
	  - added the "setex" command which sets a parameter either from a table's
	    value or from the contents of a file (as a blob)
	  - added the "export" command to export a parameter or a table's value to
	    a file
	  - lines starting with a # are considered as a comment and ignored
	  - added the '-i' option to keep the console after a script has been executed
	* libgda/gda-value.[ch]: added gda_value_new_blob_from_file() as a convenience
	function
	* libgda/gda-column: doc. improvements
	* libgda/gda-blob-op.c:
	* doc/C:
	  - improved documentation for provider's developpers about blob operations
	  - moved the gda_column_set*() to the provider's developpers section
	  - updated the gda-sql console commands description (.setex end .export commands)
	* providers/postgres/gda-postgres-provider.c:
	  - fixed prepared statement names using static counters to avoid naming collisions
	  - remove savepoint correction
	  - better transaction control when using blobs
	* providers/postgres/gda-postgres-blob-op.c:
	  - don't keep the blob "opened" at all times
	  - correctly handle transaction states when accesing the blob
	* providers/postgres/gda-postgres-recordset.h: fixed indentation
	* libgda/sqlite/gda-sqlite-provider.c: note for future implementation of
	BLOBS
	* providers/skel-implementation/capi/gda-capi-blob-op.c:
	* providers/skel-implementation/capi/gda-capi-provider.c: corrections to the
	default provider's skeleton implementation

2008-11-17  Murray Cumming  <murrayc@murrayc.com>

	* doc/C/gettingstarted.xml:
	* doc/C/libgda-4.0-docs.sgml:
	* doc/C/tmpl/gda-batch.sgml:
	* doc/C/tmpl/gda-sql-statement.sgml:
	* doc/C/tmpl/gda-statement.sgml: Correct the spelling of grouped in 
	the documentation.

2008-11-10  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set version to 3.99.7

Released 3.99.6

2008-11-10  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-easy.[ch]: modified the gda_perform_create_database() and
	gda_perform_drop_database() to add the provider's name as 1st argument, for
	bug #529794
	* tests/test-cnc-utils.c: adaptations to API changes
	* libgda/gda-init.c: set the default value of gda_numeric_locale and gda_lang_locale
	to "" instead of NULL so if people forget to call gda_init() then they won't have a
	crash when using any of there variables
	* libgda/gda-data-model.[ch]: use real error codes with g_set_error()
	* libgda/binreloc/gda-binreloc.c: make binreloc work again correctly on Win32

2008-11-05  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-config.c: don't try to load a shared library if
	it does not have the "plugin_init" symbol
	* providers/skel-implementation/capi/libgda-capi-4.0.pc.in: typo error
	* testing/gda-provider-status.c: small pointer error correction (Daniel Espinosa)

2008-11-05  Massimo Cora'  <maxcvs@email.it>

	* libgda/gda-holder.c (real_gda_holder_set_const_value):
	fixed a bug in returning wrong static values.

2008-10-26  Vivien Malerba <malerba@gnome-db.org>

	* configure.in:
	* providers/skel-implementation/models/Makefile.am:
	* providers/skel-implementation/capi/Makefile.am:
	* providers/firebird/Makefile.am:
	* providers/bdb/Makefile.am:
	* providers/sqlite/Makefile.am:
	* providers/mdb/Makefile.am:
	* providers/mysql/Makefile.am:
	* providers/postgres/Makefile.am: limit the providers' list of exported symbols
	* providers/skel-implementation/capi/parser.y:
	* providers/firebird/parser.y:
	* providers/mysql/parser.y:
	* providers/postgres/parser.y:
	* libgda/sql-parser/parser.y:
	* libgda/sql-parser/delimiter.y:
	  - don't compute debug string if not debugging,
	  - reported modifications from the PostgreSQL and SQlite's providers's
	    parsers to other providers

2008-10-25  Vivien Malerba <malerba@gnome-db.org>

	* tools/gda-sql.c:
	* doc/C/libgda-4.0-sections.txt:
	* doc/C/prov-writing.xml:
	* doc/C/libgda-4.0-docs.sgml:
	* doc/C/tmpl/gda-server-provider.sgml:
	* doc/C/tmpl/gda-data-handler.sgml:
	* providers/mysql/gda-mysql-ddl.c:
	* providers/mysql/gda-mysql-provider.c:
	* providers/postgres/gda-postgres-ddl.c:
	* providers/postgres/gda-postgres-provider.c:
	* libgda/gda-server-provider.c:
	* libgda/gda-server-provider.h:
	* libgda/gda-statement.c: s/gda_server_provider_get_data_handler_gtype/
	gda_server_provider_get_data_handler_g_type

2008-10-25  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-column.c:
	* libgda/sql-parser/gda-statement-struct-insert.c:
	* libgda/sqlite/gda-sqlite-provider.c:
	* providers/firebird/gda-firebird-provider.c:
	* providers/mysql/gda-mysql-provider.c:
	* providers/postgres/gda-postgres-provider.c:
	* providers/skel-implementation/capi/gda-capi-provider.c: memory leaks corretions,
	for bug #546339
	* libgda/gda-holder.c: improved error messages (Carlos Savoretti)
	* providers/mysql/gda-mysql-meta.c:
	* providers/mysql/gda-mysql-provider.c:
	* providers/mysql/gda-mysql-recordset.c:
	* providers/mysql/gda-mysql-util.c: improvements to the MySQL provider (Carlos Savoretti)

2008-10-19  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-select.c: don't copy GdaColumn objects from the prepared statement,
	but simmply g_object_ref() them
	* libgda/gda-data-comparator.[ch]: fix for bug #556960
	* libgda/gda-attributes-manager.c: performances improvements, for bug #556327

2008-10-18  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-select.[ch]: added gda_data_select_compute_columns_attributes()
	which implements what was in gda_data_model_iter_compute_attributes(), better to
	make it there since it was specific to the GdaDataSelect object
	* libgda/gda-data-model-iter.[ch]: removed gda_data_model_iter_compute_attributes()
	* libgda/sqlite/gda-sqlite-provider.c:
	* providers/mysql/gda-mysql-provider.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-holder.c:
	* tests/value-holders/check_holder.c:
	* libgda/gda-easy.c: minor bug fixes
	* libgda/gda-set.[ch]: removed dead code and declarations

2008-10-15  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql/gda-mysql-pstmt.[ch]:
	* providers/mysql/gda-mysql-blob-op.[ch]:
	* providers/mysql/gda-mysql-provider.c:
	* providers/mysql/gda-mysql-recordset.[ch]: corrections for cursor based access SELECT
	statements, thanks to Carlos Savoretti
	* libgda/gda-data-model-iter.[ch]: added the gda_data_model_iter_compute_attributes()
	method to force the iterator to compute and set the correct attributes for
	each of its GdaHolder; a separate method is required because computing them
	all the time consumes too much ressources, see bug #556327


2008-10-15  Johannes Schmid  <jschmid@openismus.com>

	* libgda/Makefile.am: Install gda-error.h header
	* libgda/gda-error.c (gda_error_get_type):
	Fixed a typo (GDaError <-> GdaError), for bug #556258

2008-10-13  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-error.[ch]: declare a GDA_TYPE_ERROR by registering a boxed type
	for GError
	* libgda/gda-custom-marshal.[ch]: implement custom marshallers where needed
	* libgda/gda-column.c: moved custom marshaller to libgda/gda-custom-marshal.[ch]
	* libgda/gda-data-proxy.c:
	* libgda/gda-holder.c:
	* libgda/gda-set.c: implemented custom marshallers for the following signals:
	  - GdaSet::validate-set
	  - GdaSet::validate-holder-changed
	  - GdaSet::holder-attr-changed
	  - GdaHolder::attribute-changed
	  - GdaHolder::validate-change
	  - GdaDataProxy::validate-row-changes
	for bug #555905
	* tests/data-models/check_data_proxy.c:
	* tests/value-holders/check_set.c: updated test to check new marshallers
	* libgda/gda-data-model.c: either display a warning or set error when a requested
	method is not implemented
	* libgda/binreloc/gda-binreloc.c: correctly handle the case where the libdir is lib64
	* libgda/gda-statement.c:
	* libgda/gda-data-comparator.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-custom-marshal.h:
	* libgda/gda-marshal.c:
	* libgda/gda-custom-marshal.c:
	* libgda/gda-set.c:
	* libgda/gda-marshal.h:
	* libgda/gda-threader.c:
	* libgda/Makefile.am:
	* libgda/gda-config.c:
	* libgda/gda-connection.c:
	* libgda/gda-meta-store.c:
	* libgda/gda-holder.c:
	* libgda/gda-column.c:
	* libgda/gda-server-operation.c: renamed gda_marshal* to _gda_marshal* so that these symbols
	are not exported in the final library anymore (now only 853 symbols exported!)
	* providers/mysql/gda-mysql-provider.c: honor the "USERNAME" and "PASSWORD" in
	the auth_string
	* doc/C: doc. update

2008-10-10  Vivien Malerba <malerba@gnome-db.org>

	* libgda/handlers/gda-handler-type.c: use g_value_[sg]et_gtype() instead of
	g_value_[sg]et_ulong()
	* providers/postgres/gda-postgres-recordset.c: correclty handle the G_TYPE_GTYPE
	values as the string representation must be converted to a GType (the type
	is not stored as a string representation of its numerical value)
	* libgda/gda-statement.[ch]: removed gda_statement_deserialize() as it's not
	implemented
	* libgda/gda-value.h: added a reserved pointer to GdaNumeric be able to maniuplate
	GdaNumeric structures using the GMP library
	* libgda/gda-data-model.c:
	* libgda/gda-data-model-extra.h: made gda_data_model_signal_emit_changed()
	static as it's not used outside
	* configure.in:
	  - really only export the needed symbols,
	  - proposed fixed for MinGW building on Windows

2008-10-09  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set version to 3.99.6

Released 3.99.5

2008-10-09  Vivien Malerba <malerba@gnome-db.org>

	* libgda/binreloc/Makefile.am: install gda-binreloc.h in the $prefix/libgda-4.0/libgda/
	directory ao applications can use it
	* libgda/binreloc/gda-binreloc.c: correctly handle specific install dir passed to the
	configure script (correct fix for bug #541991, comment 2)
	* libgda/sqlite/sqlite-src/: up to version 3.6.3
	* libgda/information_schema.xml: added some descriptions
	* libgda/gda-attributes-manager.h: added expected types description
	* libgda/sqlite/virtual/gda-vprovider-data-model.c: don't use a GdaDataProxy, as it can bring some
	problems when modifying the data model (errors are not reported at the correct moment)
	* doc/C: doc. updates
	* tests/data-models/check_virtual.c: order the expected result to avoid test failure when
	comparing with expected data model
	* po/: ran 'make update-po'

2008-10-09  Johannes Schmid <jhs@gnome.org>

	* libgda/gda-data-proxy.[ch]: added class method for "filter-changed" signal, for bug #537105

2008-10-07  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-server-operation.c: code cleanup
	* libgda/gda-column.c:
	* libgda/gda-holder.c:
	* libgda/gda-meta-struct.c:
	* libgda/gda-attributes-manager.[ch]: optionnally specify a callback function
	called whenever an attribute is changed
	* libgda/gda-data-model-import.c: renamed the GDA_TYPE_<col nb> option to
	G_TYPE_<col nb>
	* libgda/binreloc/Makefile.am:
	* libgda/binreloc/gda-binreloc.c: possible fix for bug #541991 (comment 2)

2008-10-07  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda-report/engine/gda-report-engine.c (value_to_node):
	* libgda-xslt/sql_backend.c (value_to_xmlchar):
	* libgda/gda-data-model-import.c (init_csv_import):
	* libgda/gda-easy.c (gda_get_default_handler):
	* libgda/gda-holder.c (gda_holder_class_init),
	(gda_holder_new_inline), (gda_holder_set_property),
	(gda_holder_get_property):
	* libgda/gda-server-provider-extra.c
	(gda_server_provider_get_data_handler_default):
	* libgda/gda-set.c (gda_set_new_inline),
	(gda_set_set_holder_value):
	* libgda/gda-value.c (set_from_string), (gda_value_differ),
	(gda_value_compare):
	* libgda/handlers/gda-handler-type.c (gda_handler_type_init),
	(gda_handler_type_get_value_from_sql),
	(gda_handler_type_get_value_from_str):
	* libgda/sqlite/gda-sqlite-provider.c
	(gda_sqlite_provider_get_default_dbms_type):
	* libgda/sqlite/virtual/gda-vprovider-data-model.c (virtualCreate):
	* providers/mysql/gda-mysql-provider.c
	(gda_mysql_provider_get_default_dbms_type):
	* providers/postgres/gda-postgres-provider.c
	(gda_postgres_provider_get_default_dbms_type):
	* providers/postgres/gda-postgres-recordset.c (set_value):
	* providers/skel-implementation/capi/gda-capi-provider.c
	(gda_capi_provider_get_default_dbms_type):
	#537159: Use GType instead of ulong/gint to represent GTypes

2008-10-06  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-attributes-manager.[ch]: added gda_attributes_manager_set_full()
	and the GDA_ATTRIBUTE_IS_DEFAULT define
	* libgda/gda-holder.[ch]:
	  - added an "attribute-changed" signal
	  - use the GDA_ATTRIBUTE_IS_DEFAULT when there is a default value
	* libgda/gda-set.[ch]:
	  - removed the "holder-plugin-changed" signal
	  - changed the signature of the "holder-attr-changed" signal
	  - use the GdaHolder's "attribute-changed" signal
	  - removed gda_set_get_spec()
	* libgda/gda-data-model-iter.c: update for the "holder-attr-changed" signal'
	signature change
	* libgda/libgda-paramlist.dtd: allow some <attribute> children nodes to the
	<parameter> node
	* libgda/gda-util.c: adaptations to the DTD changes

2008-10-04  Massimo Cora'  <maxcvs@email.it>

	* libgda/gda-holder.c (gda_holder_copy),
	(real_gda_holder_set_const_value):
	fixed typo in debug message. After a gda_holder_copy () call the GValue, even
	if static, is copied totally so that user should free it when finished to use.

2008-10-03  Vivien Malerba <malerba@gnome-db.org>

	* providers/postgres/gda-postgres-meta.c: column's GType and DBMS type reporting
	error corrected.

2008-10-03  Massimo Cora'  <maxcvs@email.it>

	* libgda/gda-holder.c (real_gda_holder_set_value),
	(real_gda_holder_set_const_value), (gda_holder_take_static_value):
	* libgda/gda-holder.h:
	added a changed_value boolean parameter on gda_holder_take_static_value.
	Fixed some drawbacks with is_freeable flag.

2008-10-02  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/Makefile.am: don't forget to distribute the data_select.xml file so
	'make distcheck' works

2008-10-02  Vivien Malerba <malerba@gnome-db.org>

	* tools/command-exec.[ch]:
	* tools/gda-sql.c:
	  - command arguments can be surrounded with simple or double quotes (quotes
	    can also be escaped in the string)
	  - don't output empty lines after results
	* libgda/gda-connection.[ch]: applied (modified) patch for bug #539754
	* libgda/gda-attributes-manager.[ch]: new attributes manager
	* gda-holder.[ch]:
	  - new gda_holder_get_attribute() and gda_holder_set_attribute() which use the new
	    attributes manager
	  - internally use the attributes manager to store name and desctiption
	  - removed the "plugin" property which was a left-over from V3
	* gda-column.[ch]:
	  - new gda_column_get_attribute() and gda_column_set_attribute() which use the new
	    attributes manager
	  - internally use the attributes manager to store name and desctiption
	* libgda/gda-meta-struct-io.c:
	* tools/command-exec.c:
	* libgda/gda-meta-struct.[ch]: new gda_meta_table_column_get_attribute(),
	gda_meta_table_column_set_attribute() and gda_meta_table_column_foreach_attribute() which
	replace the GdaMetaTableColumn::extra attribute (more flexibility)
	* providers/postgres/gda-postgres-recordset.c:
	* providers/mdb/gda-mdb-provider.c:
	* providers/ibmdb2/gda-ibmdb2-recordset.c:
	* providers/mysql/gda-mysql-recordset.c:
	* providers/freetds/gda-freetds-recordset.c:
	* providers/sybase/gda-sybase-recordset.c:
	* providers/msql/gda-msql-recordset.c:
	* samples/BDB/custom-bdb-model.c:
	* libgda/sqlite/gda-sqlite-recordset.c:
	* libgda/sqlite/gda-sqlite-provider.c:
	* libgda/gda-data-model-dsn-list.c:
	* libgda/gda-data-model-import.c:
	* libgda/gda-data-model.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-data-model-array.c:
	* libgda/gda-server-provider-extra.c:
	* libgda/gda-data-model-bdb.c:
	* libgda/gda-data-model-dir.c:
	* libgda/gda-data-model-iter.c:
	* gda-column.[ch]: renamed gda_column_[gs]et_title() to gda_column_[gs]et_description()
	* libgda/sqlite/gda-sqlite-meta.c: fixed a bug in the fill_key_columns_model() function
	* doc/C: doc updates

2008-10-01  Johannes Schmid  <johannes.schmid@openismus.com>

	reviewed by: Murray Cumming <murrayc@murrayc.com>

	* libgda/gda-column.c (gda_marshal_VOID__GTYPE_GTYPE),
	(gda_column_class_init):
	Use correct marshaller for GTypes

2008-09-30  Vivien Malerba <malerba@gnome-db.org>

	* configure.in:
	* libgda/Makefile.am: make sure only the correct symbols are exported:
	  - by requiring gmodule-no-export-2.0 instead of gmodule-2.0
	  - by excluding csv and sqlite3 symbols
	* libgda/sql-parser/gda-statement-struct-util.c: fixed comment so documentation
	can be built
	* libgda/sql-parser/parser.y: indentation correction
	* libgda/gda-data-model-array.c: added an assertion
	* libgda/gda-data-proxy.c: when the proxied data model is reset, make sure the column types
	are synced
	* libgda/gda-data-select.c: double free memory error corrected,a nd other minor corrections
	* libgda/sqlite/gda-sqlite-meta.c: removed useless debug code
	* libgda/sqlite/virtual/gda-vconnection-data-model-private.h:
	* libgda/sqlite/virtual/gda-vconnection-data-model.c:
	* libgda/sqlite/virtual/gda-vconnection-hub.c:
	* libgda/sqlite/virtual/gda-vprovider-data-model.c:
	  - don't compute several times the columns of each virtual table
	  - corrected case when the connection does not have any associated GdaMetaStore object
	* samples/TableCopy/common.c:
	* samples/TableCopy/table-copy.c: make this example work again
	* doc/C: doc updates

2008-09-29  Vivien Malerba <malerba@gnome-db.org>

	* tools/gda-sql.c:
	  - added some commands to manage data sources
	  - improved providers list and DSN list output
	  - allow executing files which start with ~ (HOME dir)
	* libgda/gda-config.c: make sure the DSN info records a boolean for its
	is_system attribute
	* WixInstaller/make-zip-exe.sh: now generate 3 ZIP files:
	  - one for the runtime DLLs
	  - one with the dev. files (includes, .pc, ...)
	  - one with the runtime dependencies (Glib, database's native DLLs, ...)
	* libgda/gda-data-proxy.c:
	* libgda/gda-meta-struct-io.c:
	* libgda/gda-meta-struct.h:
	* libgda/gda-statement.c:
	* libgda/gda-util.c:
	* libgda/sql-parser/gda-sql-parser.h:
	* libgda/sqlite/virtual/gda-vprovider-data-model.c:
	* tests/gda-ddl-creator.c:
	* tools/command-exec.c:
	* libgda/sql-parser/gda-statement-struct-util.[ch]: export some new symbols, for bug #541991
	* libgda/sqlite/gda-sqlite-meta.c: correctly handle multiple FK constraints to the same
	table
	* samples/SqlParserConsole/graph.c: make the example work again
	* providers/mysql/gda-mysql-provider.c: partially integrate the new
	GDA_STATEMENT_MODEL_ALLOW_NOPARAM (Carlos Savoretti)
	* doc/C: doc updates

2008-09-29  Massimo Cora'  <maxcvs@email.it>

	* libgda/gda-holder.c (gda_holder_init), (gda_holder_copy),
	(gda_holder_dispose), (real_gda_holder_set_value),
	(real_gda_holder_set_const_value), (gda_holder_take_static_value),
	(gda_holder_force_invalid), (gda_holder_set_value_to_default),
	(gda_holder_set_full_bind):
	* libgda/gda-holder.h:
	added function gda_holder_take_static_value () to permit a quicker use of GValues
	without allocation/deallocation. On my tests I can gain 20ms on 100 queries.

2008-09-26  Vivien Malerba <malerba@gnome-db.org>

	* providers/postgres/gda-postgres-provider.c:
	* libgda/sqlite/gda-sqlite-provider.c: code cleanup
	* providers/skel-implementation/capi/gda-capi-provider.c: adapted skeleton implementation
	to support the GDA_STATEMENT_MODEL_ALLOW_NOPARAM flag
	* libgda/gda-holder.c:
	  - the "g-type" property can now be set after construction, but only if it initially was
	    GDA_TYPE_NULL
	  - fixed a bug when the GdaHolder remained invalid even though it was not anymore
	* libgda/gda-set.c: indentation correction
	* libgda/gda-data-model-iter.c: adjust the GdaHolder's type when the data model
	is reset (in case it was GDA_TYPE_NULL)
	* tests/: new test cases
	* doc/C:
	* libgda/gda-connection.c: doc. updates
	* libgda/gda-data-proxy.c: made find_or_create_row_modif() static
	* libgda/gda-connection.c: made build_downstream_context_templates() and
	build_upstream_context_templates() static
	* README: point to the COPYING and COPYING.LIB files for the actual GPL and
	LGPL text

2008-09-25  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-server-provider-extra.[ch]: new gda_select_alter_select_for_empty()
	functions
	* tools/gda-sql.c:
	* tools/information-schema-doc.c:
	* testing/gda-provider-status.c:
	* libgda-xslt/sql_backend.c:
	* libgda/gda-util.c:
	* libgda/gda-server-provider.c: use xmlNewTextChild instead of xmlNewChild when necessary
	* libgda/gda-statement.h: new GDA_STATEMENT_MODEL_ALLOW_NOPARAM flag
	* libgda/sqlite/gda-sqlite-provider.c:
	* libgda/sqlite/gda-sqlite-recordset.[ch]:
	* providers/postgres/gda-postgres-provider.c:
	* libgda/gda-data-select.c: allow SELECT statement execution with invalid parameters
	to return an empty data model (if GDA_STATEMENT_MODEL_ALLOW_NOPARAM is set), in which
	case changing a parameter will re-run the SELECT, for bug #552708
	* libgda/gda-server-operation.c: bug fixed
	* libgda/gda-data-model-iter.c: bug fixed in GdaHolder's properties
	* tests/: tests updates
	* libgda/gda-connection.c:
	* doc/C: doc. updates

2008-09-23  Vivien Malerba <malerba@gnome-db.org>

	* sqlite/gda-sqlite-recordset.c: correctly handle the situation when the object
	is created with col_types specified
	* libgda/gda-data-model-iter.c: behave correctly when the data model emits the "reset" signal
	* libgda/gda-data-select.[ch]:
	  - implemented in place re-running the SELECT statement
	    when on of the SELECT's parameters changes (this feature is optional, use the "auto-reset"
	    property to activate it), for bug #552708
	  - other corrections
	* libgda/gda-data-model-query.[ch]: removed now redundant object
	* tests/data-models/: removed the check_model_query test and added test to check_pmodel
	* libgda/gda-data-proxy.c:
	* libgda/libgda.h.in: updates due to the removal of the GdaDataModelQuery object
	* libgda/gda-data-proxy.c: free'd memory access bug corrected in commit_row_modif()
	* WixInstaller/make-zip-exe.sh: updated the generated archive's name
	* libgda/providers-support/gda-pstmt.c
	* doc/C: documentation updates and improvements

2008-09-20  Vivien Malerba <malerba@gnome-db.org>

	* providers/postgres/gda-postgres-meta.c:
	* libgda/gda-meta-struct.c: bugs fixed
	* tools/Makefile.am: also distribute the gda-sql.ico file
	* tools/gda-sql.c:
	* tools/command-exec.[ch]:
	  - correctly handle non threading environment
	  - removed the non implemented "dq" internal command (use "qa" instead)
	  - correctly handle the "-C" command line flag
	  - when commands are executed from a file ("-f" argument), then don't quit when finished
	    executing the commands.
	* libgda/sqlite/gda-sqlite-meta.c: corrected a bug in the way "PRAGMA table_info" was used
	to list all the columns of a table when the schema was not "main".
	* libgda/sqlite/sqlite-src/sqlite3.c:
	* libgda/sqlite/sqlite-src/PragmasPatch: reimplemented the "proc_list" PRAGMA to make it
	work with the current version of SQLite
	* doc/C: vastly improved the "gda-sql" console tool manual

2008-09-18  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model.c: make gda_data_model_dump() work whith data models which
	can only be accessed with a cursor
	* libgda/gda-meta-store.c: handle the 'autoinc' column attribute, and bug fixes
	* libgda/sqlite/gda-sqlite-ddl.c: correctly handle the "INTEGER PRIMARY KEY AUTOINCREMENT"
	* doc/C: better documentation for GdaDataProxy
	* tools/gda-sql.c:
	  - allow to pass a file name on the command line to open as an SQLite or MDB file
	  - reorganized "query buffer" commands:
	    - \e [FILE]: Edit the query buffer (or file) with external editor
	    - \g [QUERY_BUFFER_NAME]: Execute contents of query buffer, or named query buffer
	    - \qa: List all saved query buffers in dictionary
	    - \qd QUERY_BUFFER_NAME: Delete query buffer from dictionary
	    - \ql QUERY_BUFFER_NAME: Load query buffer from dictionary
	    - \qp: Show the contents of the query buffer
	    - \qr [FILE]: Reset the query buffer (fill buffer with contents of file)
	    - \qs QUERY_BUFFER_NAME: Save query buffer to dictionary
	    - \qw FILE: Write query buffer to file
	* tests/data-models/check_pmodel.c: more testing

2008-09-18  Bas Driessen <bas.driessen@xobas.com>

	* doc/C/gettingstarted.xml: correction example code.

2008-09-16  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set version to 3.99.5

Released 3.99.4

2008-09-16  Vivien Malerba <malerba@gnome-db.org>

	* NEWS: news for version 3.99.4
	* libgda/libgda.h.in:
	* libgda/gda-init.c: added gda_get_application_exec_path()
	* libgda/gda-connection.[ch]: removed gda_connection_set_dsn()
	* libgda/gda-data-model.[ch]:
	  - removed gda_data_model_get_value_at_column()
	  - removed gda_data_model_is_updatable()
	* libgda/gda-data-model-iter.[ch]: added gda_data_model_iter_set_value_at()
	* libgda/gda-data-proxy.[ch]: removed gda_data_proxy_find_row_from_values() as there
	is already gda_data_model_get_row_from_values() for the same feature
	* API changes (more consistant naming):
	  - GdaDataSourceInfo => GdaDsnInfo
	  - gda_connection_get_provider_obj() => gda_connection_get_provider()
	  - gda_config_get_dsn() => gda_config_get_dsn_info()
	  - gda_config_get_provider_object() => gda_config_get_provider()
	  - gda_connection_get_provider_obj() => gda_connection_get_provider()
	* po/: ran "make update-po"

2008-09-15  Vivien Malerba <malerba@gnome-db.org>

	* doc/C: documentation improvements regarding data validation and programmer's control
	* libgda/gda-holder.[ch]: renamed the "before-change" signal to "validate-change" (and changed
	its return value)
	* libgda/gda-set.[ch]:
	  - changed the "before-holder-change" to "validate_holder_change"(and changed
	    its return value)
	  - added a "validate-set" signal
	  - the gda_set_is_valid() method has been changed to emit the "validate-set" signal
	    before it returns a value.
	* libgda/gda-data-model-iter.[ch]: removed the "row-to-change" signal (it now uses the
	GdaSet::validate-set signal), and the gda_data_model_iter_can_be_moved() method
	* libgda/gda-server-operation.c:
	* libgda/gda-data-model.c: adaptations to the API Changes
	* libgda/gda-data-proxy.[ch]:
	  - adaptations to the API Changes,
	  - renamed the	"pre-changes-applied" signal to "validate-row-changes" (and changed
	    its return value)
	  - renamed the "post-changes-applied" signal to "row-changes-applied"
	  - bug correction in gda_data_proxy_get_n_rows()
	* libgda/gda-marshal.list: new signals' signatures
	* libgda/gda-data-comparator.c: added assertions
	* libgda/gda-connection.c: don't remove items from a GHashTable while in g_hash_table_foreach(),
	this is probably the reason for bug #545979
	* libgda/gda-value.c: corrected the gda_value_differ() function
	* libgda/sqlite/virtual/gda-vprovider-data-model.c: corrected the virtualNext() method which
	moves SQLite's internal cursor forward
	* libgda/gda-data-model-iter.[ch]: renamed gda_data_model_iter_set_at_row() to
	gda_data_model_iter_move_at_row()
	* libgda/Makefile.am:
	* libgda/gda-data-model-iter-extra.h: new file
	* libgda/gda-data-model-extra.h:
	* libgda/gda-data-model-private.h:
	* libgda/gda-data-model-import.c:
	* libgda/gda-data-model.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-data-select.c:
	* libgda/sqlite/virtual/virtual-test.c:
	  - moved the code which implements the GdaDataModelIter
	    movements (forward, backward and to a row) to the gda-data-model-iter.c file
	  - renamed gda_data_model_move_iter_at_row_default() to gda_data_model_iter_move_at_row_default()
	  - renamed gda_data_model_move_iter_next_default() to gda_data_model_iter_move_next_default()
	  - renamed gda_data_model_move_iter_prev_default() to gda_data_model_iter_move_prev_default()
	* libgda/sqlite/sqlite-src/: up to version 3.6.2
	* tests/value-holders/: adaptations to the API Changes

2008-09-09  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/virtual/gda-virtual-connection.c:
	* libgda/sqlite/gda-sqlite-recordset.c:
	* libgda/gda-column.[ch]:
	* libgda/gda-data-model.c:
	* libgda/gda-data-model-import.c:
	* libgda/gda-data-model-array.c: removed gda_column_[gs]et_table(), gda_column_[gs]et_caption(),
	gda_column_[gs]et_scale(), gda_column_[gs]et_primary_key(), gda_column_[gs]et_unique_key(),
	gda_column_[gs]et_references() and gda_column_[gs]et_defined_size() as they were useless
	* libgda-report/engine/gda-report-engine.c: forgot to rename "spec-file" to "spec-filename"
	property
	* libgda/gda-data-select.c: added a "select-stmt" property to retreive (if available), the
	GdaStatement object which was executed in order to created the GdaDataSelect data model.
	* libgda/gda-data-model-iter.c: when the data model the iterator will be for is a GdaDataSelect,
	then use the SELECT statement to set some holder's properties (such as NOT NULL and default value),
	contributes to fixing bug #551058
	* libgda/sqlite/gda-sqlite-recordset.c: don't set GdaColumn's properties as we can't determine them
	correctly at this point, contributes to fixing bug #551058
	* libgda/sqlite/virtual/gda-virtual-connection.c: added missing header file
	* libgda/gda-data-select.c:
	* libgda/gda-data-model-dsn-list.c: correctly implement the get_value_at() virtual method
	* libgda/gda-util.c: bug fixed in gda_compute_unique_table_row_condition()
	* tests/: tests update
	* doc/C: doc. update
	* libgda/gda-data-model.h:
	* all GdaDataModel's implementations: added a new virtual method "i_iter_set_value" to
	allow data modifications from a GdaDataModelIter
	* libgda/gda-holder.[ch]:
	* libgda/gda-set.[ch]: added GdaHoler "before-change" and GdaSet "before-holder-change" signals
	to enable control over the values a GdaHolder can have
	* libgda/gda-data-model-iter.c: use the new GdaDataModel's "i_iter_set_value" virtual method and
	GdaSet's new signal
	* Altered all the signal's names to use the '-' instead of '_'
	* tools/gda-list-server-op.c: compilation warnings fixes

2008-09-08  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model-query.c: re-run the SELECT statement when any parameter
	required to execute it changes
	* libgda/gda-data-select.c: iterator related fixes, and don't change the GdaHolder's
	not NULL attribute when moving an iterator (it's not needed as this is set when the
	iterator was first created)
	* libgda/gda-data-select.h:
	* libgda/gda-set.h: removed unused error codes
	* tests/data-models: more testing
	* providers/postgres/gda-postgres-recordset.c:
	* tests/data-models/check_data_proxy.c:
	* samples/SqlParserConsole/graph.c:
	* libgda-report/engine/gda-report-engine.c:
	* libgda-report/DocBook/gda-report-docbook-document.c:
	* libgda/sqlite/virtual/gda-virtual-connection.c:
	* libgda/sqlite/virtual/gda-vprovider-data-model.c:
	* libgda/sqlite/virtual/gda-vconnection-data-model.c:
	* libgda/gda-data-model-import.c:
	* libgda/gda-data-model.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-data-model-array.c:
	* libgda/gda-data-select.c:
	* libgda/gda-set.c:
	* libgda/gda-config.c:
	* libgda/gda-connection.c:
	* libgda/gda-data-model-bdb.c:
	* libgda/gda-meta-store.c:
	* libgda/gda-holder.c:
	* libgda/gda-row.c:
	* libgda/gda-server-operation.c:
	* libgda/gda-data-model-iter.c: all signal names now only use the '-' and not '_', and
	renamed the "provider_obj" to "provider", "user-file" to "user-filename",
	"system-file" to "system-filename" and "spec-file" to "spec-filename"
	* libgda/gda-data-model-iter.c:
	* doc/C: documentation updates

2008-09-07  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-select.[ch]:
	* tests/data-models/check_pmodel.c: correctly handle the situation where the value
	of the primary key (or the column which composes the unique row condition) is modified,
	and added a "safety lock" feature which prevents further modification to the data model
	if the unique row condition is incorrect
	* doc/C: documentation improvements, and now the generated file when running "make PDF"
	is libgda-4.0-doc.pdf (for the V4 ABI).
	* libgda/sqlite/virtual/gda-vconnection-hub.c: no need anymore to use a GdaDataModelQuery
	object
	* libgda/Makefile.am:
	* libgda/gda-data-select-extra.h:
	* libgda/gda-data-select.[ch]: enable "exporting" all the statements and other information
	computed while the object was being used to be used by the new GdaDataModelQuery
	implementation
	* libgda/gda-data-model-query.[ch]: re-wrote the object to use the GdaDataSelect's features
	instead or re-implementing them in the object
	* libgda/tests/data-models/Makefile.am:
	* libgda/tests/data-models/check_model_query.c: new GdaDataModelQuery test
	* libgda/tests/data-models/check_pmodel.c: new tests

2008-09-05  Bas Driessen <bas.driessen@xobas.com>

	* providers/skel-implementation/capi/parser.y:
	* providers/firebird/parser.y:
	* providers/mysql/parser.y:
	* providers/postgres/parser.y:
	* providers/postgres/gda-postgres-provider.c:
	* libgda/gda-meta-store.c:
	* libgda/sqlite/gda-sqlite-provider.c:
	* libgda/sql-parser/gda-statement-struct.c:
	* libgda/sql-parser/parser.y:
	* libgda/sql-parser/gda-statement-struct-parts.c:
	* libgda/sql-parser/gda-statement-struct-parts.h:
	* libgda/gda-data-select.c:
	* libgda/gda-util.c:
	* libgda/gda-statement.c: Do not use the C++ reserved words 'using'
	and 'operator' as object names.

2008-09-04  Vivien Malerba <malerba@gnome-db.org>

	API improvements and cleanups:

	* Utility functions changes:
	  removed gda_value_compare_ext() as it has no real use and is confusing
	  renamed gda_value_bcompare() gda_value_differ()
	* GdaDataModel interface changes:
	  added a "GError **error" as last argument of gda_data_model_get_value_at () because it's
	     the only way of reporting and correctly handling data access errors, and added
	     gda_data_model_get_typed_value_at() which gives more control of the returned value
	  renamed gda_data_model_get_column_index_by_name() to gda_data_model_get_column_index()
	  renamed gda_data_model_get_value_at_col_name() to gda_data_model_get_value_at_column()
	* GdaHolder object changes: added a GError argument to:
	  gda_holder_set_value()
	  gda_holder_take_value()
	  gda_holder_set_value_str()
	  gda_holder_set_bind()
	* GdaSet object changes: added a GError argument to gda_set_set_holder_value()
	* GdaDataAccessWrapper changes: removed gda_data_access_wrapper_row_exists() as it was useless

	Misc doc improvements.

2008-09-01  Vivien Malerba <malerba@gnome-db.org>

	* providers/skel-implementation/capi/gda-capi-recordset.c:
	* providers/firebird/gda-firebird-recordset.c:
	* providers/mysql/gda-mysql-recordset.c:
	* providers/postgres/gda-postgres-recordset.c:
	* libgda/sqlite/gda-sqlite-recordset.c:
	* libgda/gda-data-model-dir.c:
	* libgda/gda-data-model-bdb.c:
	* libgda/gda-data-model-array.c: harmonized error messages

2008-09-01  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-select.h: fixes compilation of programs using Libgda
	* libgda/gda-connection.c: lock the connection before executing a statement

2008-08-31  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-provider.c:
	* libgda/sql-parser/gda-sql-parser.c: memory leaks fixes, for bug #549953

2008-08-30  Vivien Malerba <malerba@gnome-db.org>

	Renamed GdaPModel to GdaDataSelect (also changed the source files to libgda/) and
	updated the documentation.

2008-08-29  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/tmpl/gda-pmodel-user.sgml: adding mising file
	* tests/data-models/Makefile.am:
	* tests/data-models/check_pmodel.c: corrections to have "make distcheck" run

2008-08-28  Vivien Malerba <malerba@gnome-db.org>

	* libgda/handlers/gda-handler-numerical.c:
	* libgda/gda-data-model.c:
	* libgda/gda-data-model-import.c:
	* libgda/gda-server-operation.c:
	* libgda/gda-set.c:
	* libgda/gda-util.c:
	* libgda/gda-init.c: set the global variables gda_numeric_locale and gda_lang_locale
	when calling gda_init() and use those variables whenever setlocale() was called to fetch
	those locale values
	* providers/mysql/gda-mysql-recordset.c:
	* providers/postgres/gda-postgres-recordset.c: correctly restore
	the user LC_NUMERIC locale after having altered it (thanks to Tim Lapawa)
	* libgda/gda-util.c: understand the "time" and "timestamp" datatypes
	as synonyms for "GdaTime" and and "GdaTimestamp"
	* libgda/gda-value.c: reset a value before copying the other value's contents
	* libgda/providers-support/gda-pmodel.[ch]: improvements to modifiable
	data models (working now are gda_data_model_set_value_at(), gda_data_model_remove_row() and
	gda_data_model_append_values())
	* tests/data-models: updates to the check_pmodel test
	* libgda/gda-holder.c: speed improvement in gda_holder_set_value_str(), and avoid mem leak in
	some circumnstances
	* libgda/sql-parser/gda-sql-parser.c: fix to remove a warning
	* libgda/gda-connection.[ch]: removed gda_connection_add_events_list() as it was not used and
	did not behave in an usual way regarding its input arguments, moved gda_connection_add_event(),
	gda_connection_add_event_string() and gda_connection_clear_events_list() to the providers' API
	* libgda/gda-connection.c: automatically clear the events list before executing any new
	statement (see bug #545977)
	* libgda/gda-connection.c: fix for bug #545979
	* libgda/gda-data-model-query.c: applied patch for bug #546230 (thanks to Carl-Anton Ingmarsson)
	* libgda/gda-data-model-array.c: fixed the set_values() method (ignore NULL values)
	* providers/mysql/gda-mysql-provider.c: modified string to translate to make it easier to
	understand (for bug #549498)
	* libgda/gda-meta-struct.[ch]: added an "extra" attribute to the GdaMetaTableColumn structure
	to hold extra column's info such as AUTO_INCREMENT
	* libgda/gda-meta-struct-io.c: fill in the new GdaMetaTableColumn's "extra" attribute
	* tools/command-exec.c: added an "Extra" column when listing the columns of a table
	* libgda/gda-enums.h: #define possible values for extra attributes: EXTRA_AUTO_INCREMENT for now
	* tests/gda-ddl-creator.c:
	* tools/command-exec.c:
	* providers/postgres/gda-postgres-meta.c:
	* libgda/gda-meta-struct-io.c:
	* libgda/sqlite/gda-sqlite-meta.c: use EXTRA_AUTO_INCREMENT
	* libgda/gda-set.c: bug fixed in gda_set_get_spec()
	* libgda/sqlite/gda-sqlite-provider.c:
	* providers/postgres/gda-postgres-provider.c: set the "name" property of the individual GdaHolder
	objects in the last_inserted_row set returned when an INSERT statement is executed
	* providers/mysql/gda-mysql-provider.c: set last_inserted_row to NULL when a statement is executed
	(the feature is not yet implemented)
	* libgda/sqlite/sqlite-src: up to version 3.6.1
	* po/: ran "make update-po"
	* other files: documentation updates

2008-08-15  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql: updates to the MySQL provider (Carlos Savoretti)
	* libgda/gda-set.c:
	* libgda/gda-connection.c:
	* libgda/sql-parser/gda-statement-struct.c: fixes memory leaks
	for bug #545977
	* libgda/gda-statement.c:
	* libgda/gda-util.c:
	* libgda/sql-parser/gda-statement-struct-pspec.[ch]: removed the "type" attribute from
	the GdaSqlParamSpec structure as it was redundant with the "g_type" one
	* providers/postgres/gda-postgres-provider.c:
	* providers/mysql/gda-mysql-provider.c:
	* providers/skel-implementation/capi/gda-capi-provider.c:
	* libgda/sqlite/gda-sqlite-provider.c: check that parameters are valid when executing
	a statement
	* libgda/gda-data-model.h: added GdaDataModel error code
	* libgda/gda-connection-private.h:
	* libgda/gda-connection.c:
	* libgda/sqlite/gda-sqlite-provider.c:
	* providers/mysql/gda-mysql-provider.c:
	* providers/postgres/gda-postgres-provider.c:
	* providers/skel-implementation/capi/gda-capi-provider.c:
	explicitely declare prepared statements as GdaPStmt objects
	instead of generic gpointer
	* tests/test-cnc-utils.[ch]: added a function to load data
	from a file into a table
	* tests/meta-store.c: test corrections due to meta store internal's schema changes
	* libgda/providers-support/gda-pmodel.[ch]:
	* libgda/sqlite/gda-sqlite-recordset.[ch]:
	* providers/mysql/gda-mysql-recordset.[ch]:
	* providers/postgres/gda-postgres-recordset.[ch]:
	* providers/skel-implementation/capi/gda-capi-recordset.[ch]:
	* tests/data-models/Makefile.am:
	* tests/data-models/check_pmodel.c: new test for the GdaPModel
	data model (the base class for all the data models returned
	by providers after a SELECT) for the updatable property
	* doc/C:
	* misc files: doc updates


2008-07-28  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-recordset.c:
	* providers/firebird/gda-firebird-recordset.c:
	* providers/mysql/gda-mysql-recordset.c:
	* providers/postgres/gda-postgres-recordset.c:
	* providers/skel-implementation/capi/gda-capi-recordset.c:
	* libgda/providers-support/gda-pmodel.[ch]:
	* libgda/providers-support/gda-prow.[ch]:
	* libgda/gda-data-model-row.[ch]: overwrote the current GdaRow implementation
	with the GdaPRow one, and removed GdaPRow
	* libgda/gda-data-access-wrapper.c:
	* libgda/gda-data-model-row.[ch]:
	* libgda/gda-data-model-array.[ch]: reimplemented GdaDataModelArray without using
	the GdaDataModelRow object (which has been removed)
	* libgda/gda-data-model.h: new error code
	* libgda/gda-config.c: added missing header
	* tests/data-models/check_data_proxy.c: corrected test
	* po/POTFILES.in: removed non existent files, and ran "make update-po"
	* doc/C: doc updates

2008-07-27  Vivien Malerba <malerba@gnome-db.org>

	* WixInstaller/make-zip-exe.sh: new script to create a .ZIP file containing
	the minimum files required to execute gda-sql
	* libgda/gda-data-model-import.c: fixed a crasher bug when the XML file being imported
	has the wrong XML structure
	* libgda/sqlite/sqlite-src/: up to version 3.6.0
	* tests/: multiple improvements and corrections
	* libgda/sqlite/gda-sqlite-recordset.c: correctly handle time and data values, and corrected
	a bug related to NULL values
	* libgda/gda-util.[ch]: new functions: gda_parse_iso8601_date(),
	gda_parse_iso8601_time() and gda_parse_iso8601_timestamp(), implementation is very simple at
	the moment
	* libgda/gda-value.c: use the new gda_parse_iso8601*() functions in gda_value_set_from_string()
	and the static set_from_string() function, and better explicit documentation
	* libgda/sqlite/virtual/gda-vconnection-data-model.c: fixed the gda_vconnection_data_model_foreach()
	function where it would not call the provided function if no data model had been associated
	to the table
	* libgda/sqlite/virtual/gda-vprovider-data-model.c: better data type mapping
	* tools/gda-sql.c: query buffer (the one which stores the last executed query) is now per
	connection and not global anymore, and initial meta data retreival is done
	in background (sub thread) if possible
	* libgda/sqlite/utils.c:
	* libgda/sqlite/gda-sqlite.h: new utility function
	* libgda/sqlite/gda-sql-meta.c:
	* providers/postgres/gda-postgres-meta.c: finished implementing meta data extraction
	* libgda/sqlite/gda-sql-provider.c: minor bug fixes, explicitely enable multi
	threading support and better support for date, time and timestamp data types
	* libgda/gda-server-provider.h: new error code
	* libgda/information_schema.xml: documented some fields, and added an "nb_args"
	attributes to the "_routines" table
	* providers/mdb/gda-mdb-provider.c: better date handling, assume "." for DIR_NAME in
	a connection string if not provided
	* doc/C: new gda-sql command manual, and minor other improvements
	* other files: bug fixes, or debug code desacivated

2008-07-17  Vivien Malerba <malerba@gnome-db.org>

	* libgda-xslt/Makefile.am:
	* configure.in:
	* libgda/gda-config.c: applied patches for bug #541991 (thanks to Cygwin Ports maintainer)
	* providers/mysql/libmain.c:
	* providers/mysql/gda-mysql-meta.c:
	* providers/mysql/gda-mysql-provider.c:
	* providers/mysql/gda-mysql-meta.h:
	* providers/mysql/gda-mysql-parser.c: another set of improvements to the MySQL provider
	(thanks to Carlos Savoretti)
	* tests/Makefile.am:
	* tests/multi-threading/*:
	* configure.in:
	* libgda/gda-mutex.[ch]:
	* libgda/Makefile.am:
	* libgda/libgda.h.in: created the GdaMutex mutex which is dynamically
	allocated and recursive
	* libgda/Makefile.am:
	* libgda/libgda.h.in:
	* libgda/gda-lockable.[ch]: new GdaLockable interface to be used to lock objects
	* sql-parser/gda-sql-parser-private.h:
	* libgda/sql-parser/gda-sql-parser.c:
	* libgda/gda-connection.c: implement the GdaLockable interface (GdaSqlParser no
	uses a GdaMutex per GdaSqlParser instance instead of a global recursive mutex)
	* tests/Makefile.am
	* tests/multi-threading/: new multi threaded environment tests
	* tests/data-models/check_data_proxy.c: correctly specify the GType type
	in functions using an ellipse for 64 bits OS
	* tests/data-models/Makefile.am:
	* tests/data-models/data1.xml:
	* tests/data-models/check_model_copy.c: test data model copy
	* tests/data-models/check_model_import.c: also test data models in current
	directory
	* libgda/gda-set.c: make gda_set_real_add_holder() show a warning if the data
	holder to add does not have any ID instead of crash
	* libgda/gda-data-model-iter.c: use ID attribute of data model column
	* libgda/gda-data-comparator.c: corrected the "diff_computed" signal accumulator
	* libgda/gda-data-model.c: better determmine column and data model names when exporting
	to XML, and corrected a bug in the data model import function
	* doc/C: doc. updates
	* tools/gda-sql.ico:
	* tools/gda-sql-res.rc:
	* tools/Makefile.am: added an icon in the gda-sql executable when compiling for a
	Windows platform

2008-07-06  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set to version 3.99.4

Released 3.99.3

2008-07-05  Vivien Malerba <malerba@gnome-db.org>

	* doc/C: doc. updates
	* providers/firebird: added forgotten files
	* po/POTFILES.in: added missing files
	* NEWS: news for version

2008-07-05  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: better detect Berkeley DB in 64 bits environment
	* libgda/gda-meta-store.c: now caches the parsed SQL when using gda_meta_store_extract()
	for better performances
	* libgda/gda-init.c: doc. improvements
	* libgda/gda-data-model-dir.c:
	* libgda/gda-data-model-bdb.c: minor correction when setting properties
	* libgda/gda-data-model-dir.c:
	* libgda/gda-data-model-dsn-list.c: minor correction related to temporary
	GValue
	* libgda-report/engine/gda-report-engine.c:
	* libgda/gda-easy.c: 64 bits type conversion corrected
	* libgda/gda-xa-transaction.c: gda_xa_transaction_id_to_string() now returns a
	new string
	* other files: improvements to make Libgda behave correclty when multiple
	threads are used each object is used by one thread only.
	* libgda-4.0.pc.in: make Libgda depend on the gobject-2.0 module and
	not only on glib-2.0

2008-07-02  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-meta-struct.[ch]:
	 - added a "store" property to reference a GdaMetaStore, and use
	it in any gda_meta_struct_complement*()
	 - made the db_objects instance	attribute private,
	 - added gda_meta_struct_get_all_db_objects()
	 - added an 'outdated' attribute to the GdaMetaDbObject structure
	which tells if its contents may be outdated (compared to what's in
	the GdaMetaStore)
	* libgda/gda-meta-store.c: property doc. fixes, and adaptations
	to the GdaMetaStruct changes
	* tools/command-exec.c:
	* libgda/sql-parser/gda-statement-struct.c: adaptations to
	the GdaMetaStruct changes
	* libgda/sql-parser/gda-statement-struct-util.c:
	* libgda/gda-set.c: minor correction
	* tools/gda-sql.c: correctly handle query buffer ending with a
	';', and allow one to connect to the '~' connection to really
	connect to the GdaMetaStore's connection to work with a connection's
	meta data
	* libgda/sql-parser/gda-sql-parser.c:
	* doc/C: doc. improvements

2008-06-19  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-meta-struct.c:
	* providers/postgres/gda-postgres-ddl.c: minor corrections

2008-06-19  Vivien Malerba <malerba@gnome-db.org>

	* providers/firebird: started re-write of Firebird provider
	* providers/mysql: more work (mainly on the meta data) from
	Carlos Savoretti

2008-06-15  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql/mysql_specs_dsn.xml.in:
	* providers/mysql/gda-mysql-provider.c: added a COMPRESS option to specify the
	CLIENT_COMPRESS flag when opening the connection
	* WixInstaller/*: configuration files to use with the Wix Windows
	installer to produce .msm and .msi files
	* configure.in: also use the mysql_config5 program when detecting a
	MySQL installation
	* libgda/gda-config.c: crasher fixed
	* tools/gda-sql.c: better interraction with the Windows console
	* libgda/binreloc/gda-binreloc.c: cut the last "bin" part of a path
	under MacOS X

2008-06-10  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: if no --with-postgres or --with-mysql are passed to the configure
	script, then try to find PotgreSQL or MySQL
	* libgda/gda-connection.c:
	* libgda/gda-data-model-dsn-list.c:
	* libgda/gda-data-model-query.c:
	* libgda/gda-init.c:
	* libgda/gda-meta-store.c:
	* libgda/gda-meta-struct.c:
	* libgda/gda-server-operation.c:
	* libgda/gda-server-provider.c:
	* libgda/gda-server-provider-extra.c:
	* libgda/gda-util.c:
	* libgda/gda-xa-transaction.c:
	* libgda/handlers/gda-handler-bin.c:
	* libgda/handlers/gda-handler-boolean.c:
	* libgda/handlers/gda-handler-numerical.c:
	* libgda/handlers/gda-handler-time.c:
	* libgda/handlers/gda-handler-type.c:
	* libgda/sqlite/gda-sqlite-handler-bin.c:
	* libgda/gda-data-access-wrapper.c:
	* libgda/gda-data-model-array.c:
	* libgda/gda-data-model-dir.c:
	* libgda/gda-data-model-row.c:
	* libgda-report/DocBook/gda-report-docbook-document.c:
	* libgda-report/RML/gda-report-rml-document.c:
	* libgda-report/gda-report-document.c:
	* providers/mysql/mysql_specs_create_db.xml.in:
	* providers/mysql/mysql_specs_create_table.xml.in:
	* providers/postgres/postgres_specs_create_db.xml.in:
	* providers/sqlite/sqlite_specs_create_index.xml.in:
	* providers/sqlite/sqlite_specs_create_index.xml.in:
	* providers/sqlite/sqlite_specs_create_table.xml.in:
	* providers/mdb/mdb_specs_dsn.xml.in:
	* tools/gda-sql.c:
	* libgda-report/engine/gda-report-engine.c:
	* providers/postgres/gda-postgres-provider.c:
	* libgda/sqlite/gda-sqlite-provider.c:
	* providers/postgres/gda-postgres-provider.c: corrections for bug #537117
	* po/*: updated translation strings
	* libgda/gda-batch.[ch]: s/gda_batch_new_copy/gda_batch_copy/, and added gda_batch_get_parameters(),
	similar to gda_statement_get_parameters()
	* libgda/gda-set.[ch]: make gda_set_add_holder() return TRUE if the holder has
	really been added to the set
	* libgda/gda-connection.c: implemented gda_connection_batch_execute(), corrects bug #537558

2008-06-09  Vivien Malerba <malerba@gnome-db.org>

	* po/LINGUAS:
	* configure.in: applied (slightly modified) patch for bug #536971 (thanks to Yuriy Penkin)
	* po/POTFILES.in:
	* po/POTFILES.skip: updated lists of files
	* tools/gda-list-server-op.c:
	* doc/C/:
	* testing/gda-provider-status.c:
	* libgda/gda-server-operation.[ch]:
	* libgda/gda-server-provider.c: s/GDA_SERVER_OPERATION_NB/GDA_SERVER_OPERATION_LAST/
	* testing/html.c: better output
	* libgda/gda-value.c:
	* libgda/gda-config.c:
	* providers/mysql/gda-mysql.h:
	* tools/gda-list-config.c:
	* libgda/gda-data-model-bdb.c:
	* configure.in: better detection of providers' libraries (specifically when cross
	compiling with Mingw)
	* providers/mysql/libmysql.def: file containing exported symbols for Win32 cross compiling
	with Mingw
	* providers/bdb/patch_db.h: patch to apply to db.h when compiling with MinGW
	* providers/postgres/gda-postgres-ddl.c: implemented missing parts
	* libgda/gda-config.c:
	* libgda/gda-connection.c:
	* libgda/gda-data-model-bdb.c:
	* libgda/gda-data-model.c: some fixes for bug #537117

2008-06-04  Vivien Malerba <malerba@gnome-db.org>

	* po/POTFILES.in:
	* po/POTFILES.skip: updated lists of files
	* libgda/gda-connection.h: added GDA_CONNECTION_FEATURE_XA_TRANSACTIONS
	* testing/html.[ch]:
	* testing/Makefile.am:
	* testing/gda-provider-status.c: new program to report about the
	implementation of database providers (generates an HTML report)
	this program is not installed by 'make install'
	* providers/mysql: more work on the MySQL provider (thanks to Carlos
	 Savoretti)

2008-06-04  Johannes Schmid <jhs@gnome.org>

	* libgda/sql-parser/Makefile.am:
	Added rules to generate gda-sql-parser-enum-types.[ch], fixes bug #536418

2008-06-03  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: use pg_config if possible to get PostgreSQL's
	compilation arguments
	* providers/postgres/gda-postgres-meta.c: check that the server's
	version is at least 8.2 before using pg_is_other_temp_schema() in SQL
	* libgda/Makefile.am:
	* libgda/gda-xa-transaction.[ch]: new distributed transaction manager
	* libgda/gda-server-provider.[ch]:
	* libgda/libgda.h.in:
	* libgda/sqlite/gda-sqlite-provider.c:
	* providers/postgres/gda-postgres-provider.c:
	* providers/skel-implementation/capi/gda-capi-provider.c: support for
	the new distributed transaction manager object
	* doc/C: doc updates

2008-06-01  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-provider.c:
	* libgda/gda-server-operation.c: applied patch to fix mem leaks (thanks to
	Phil Longstaff)
	* providers/mysql/mysql_specs_create_table.xml.in: applied patch to fix the CREATE TABLE
	operation (thanks to Phil Longstaff)
	* libgda/gda-util.[ch]: applied patch for bug #534805 (thanks to Johannes Schmid)
	* configure.in:
	* libgda/binreloc/gda-binreloc.c: implemented binary relocation under Mac OS X
	* configure.in:
	* libgda/gda-data-model-dir.c: detect if GIO is available and
	use it instead of GnomeVFS

2008-05-22  Vivien Malerba <malerba@gnome-db.org>

	* tests/providers/prov-test-util.c: applied patch to improve
	authentication (Carlos Savoretti)
	* libgda/gda-connection.c: get rid of all the prepared statements before
	closing the connection, and not when the connection object is disposed
	to prevent an error
	* libgda/sqlite/sqlite-src/: up to version 3.5.9

2008-05-20  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-connection.c: applied patch to fix mem leak (thanks to
	Phil Longstaff)
	* libgda/gda-data-model.c:
	* libgda/gda-util.c:
	* libgda/gda-data-model-array.c: cosmetic changes

2008-05-14  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-config.c: automatically correct spelling mistakes in
	provider name, and correctly alphabetically order the DSN list
	* libgda/gda-easy.c: don't warn if database name is NULL in gda_prepare_create_database()
	and gda_prepare_drop_database()
	* providers/mysql/gda-mysql.h: reset the provider's name to "MySQL"
	* doc/C/Makefile.am:
	* providers/mysql/Makefile.am: fixed "make distcheck" problem
	* providers/postgres/postgres_specs_dsn.xml.in: doc improvement
	* libgda/gda-connection.h: removed GDA_CONNECTION_FEATURE_XML_QUERIES and added
	GDA_CONNECTION_FEATURE_LAST to set the last feature ID
	* tests/meta-store/common.c: removed some useless test
	* tests/parser/check_normalization.c:
	* tests/parser/check_validation.c:
	* tests/parser/check_dml_comp.c:
	* tests/parser/Makefile.am: correctly set up the test environment so that "make distcheck"
	works
	* libgda/sqlite/gda-sqlite-provider.c: applied patch by Carlos Savoretti to handle
	the G_TYPE_LONG type
	* libgda/gda-statement.[ch]: added a GDA_STATEMENT_SQL_PARAMS_AS_UQMARK flag to
	render variables in statements as a single "?"
	* configure.in:
	* tools/command-exec.c:
	* tools/gda-sql.c:
	* tools/tools-input.c: READLINE and HISTORY libraries detection made easier

2008-04-30  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-util.c: also encode the '=' char in gda_rfc1738_encode()
	* providers/mysql/gda-mysql-meta.c:
	* providers/mysql/gda-mysql-recordset.c: improved MySQL provider (thanks
	to Carlos Savoretti)
	* libgda/libgda.h.in:
	* tools/gda-list-server-op.c:
	* tools/gda-list-config.c:
	* tools/gda-sql.c:
	* tests/meta-store/check_meta_store_sqlite.c:
	* tests/meta-store/check_meta_store_postgresql.c:
	* tests/meta-store/check_meta_store_mysql.c:
	* tests/meta-store/check_meta_store_memory.c:
	* tests/data-models/check_virtual.c:
	* tests/data-models/check_data_proxy.c:
	* tests/data-models/check_model_import.c:
	* tests/value-holders/check_statement.c:
	* tests/value-holders/check_set.c:
	* tests/value-holders/check_holder.c:
	* tests/parser/check_normalization.c:
	* tests/parser/check_validation.c:
	* tests/parser/check_dml_comp.c:
	* tests/parser/check_parser.c:
	* tests/providers/check_sqlite.c:
	* tests/providers/check_oracle.c:
	* tests/providers/check_odbc.c:
	* tests/providers/check_msql.c:
	* tests/providers/check_ldap.c:
	* tests/providers/check_firebird.c:
	* tests/providers/check_sybase.c:
	* tests/providers/check_bdb.c:
	* tests/providers/check_mdb.c:
	* tests/providers/check_xbase.c:
	* tests/providers/check_mysql.c:
	* tests/providers/check_postgres.c:
	* tests/providers/check_freetds.c:
	* tests/providers/check_ibmdb2.c:
	* doc/C/libgda-4.0-sections.txt:
	* doc/C/gettingstarted.xml:
	* doc/C/tmpl/libgda.sgml:
	* doc/C/examples/full_example.c:
	* providers/sybase/main.c:
	* providers/bdb/gda-bdb-test.c:
	* providers/mysql/gda-mysql-meta.c:
	* providers/mysql/gda-mysql-recordset.c:
	* testing/gda-test-blob.c:
	* libgda/sqlite/virtual/virtual-test.c:
	* libgda/gda-init.c:
	* libgda/gda-connection.c:
	* samples/SqlParserConsole/console.c:
	* samples/TableCopy/table-copy.c:
	* samples/TableCopy/table-copy-easier.c:
	* samples/DDL/ddl.c:
	* samples/SimpleExample/example.c:
	* samples/Virtual/virtual-test.c:
	* samples/BDB/access-raw.c:
	* samples/BDB/access-custom.c:
	* samples/F-Spot/repair-path.c:
	* samples/DirDataModel/find-duplicates.c:
	* samples/XSLT/transform.c:
	* samples/Report/customers-report-rml.c:
	* samples/Report/customers-report-docbook.c:
	* samples/Report/customers-report.c: changed the gda_init() signature to
	void gda_init (void), and removed the gda_main_run() and gda_main_quit()
	functions
	* libgda/gda-data-proxy.[ch]: added gda_data_proxy_set_ordering_column() to
	enable ordering by a column
	* libgda/sqlite/virtual/gda-vprovider-data-model.c: correctly name columns
	when creating the virtual table (add double quotes when necessary)
	* libgda/sqlite/virtual/gda-vconnection-data-model.c: fixed an object
	referencing bug
	* testing/gda-test-connection.c: fixed prepared statements unreferencing
	bug
	* libgda/gda-util.c:
	* libgda/gda-meta-store.c:
	* libgda/sqlite/gda-sqlite-provider.c:
	* libgda/sql-parser/gda-statement-struct-parts.h:
	* libgda/sql-parser/parser.y:
	* libgda/sql-parser/gda-statement-struct.c:
	* libgda/sql-parser/gda-statement-struct-parts.c:
	* libgda/sql-parser/parser.c:
	* libgda/gda-statement.c:
	* providers/postgres/gda-postgres-provider.c:
	* providers/postgres/parser.y:
	* providers/postgres/parser.c:
	* providers/mysql/parser.y:
	* providers/mysql/parser.c:
	* providers/skel-implementation/capi/parser.y:
	* providers/skel-implementation/capi/parser.c:
	* doc/C/xml/gda-sql-statement.xml:
	* doc/C/libgda-4.0-decl.txt:
	* doc/C/tmpl/gda-sql-statement.sgml:
	* doc/C/libgda-4.0-undocumented.txt:
	* doc/C/libgda-4.0-sections.txt:
	* doc/C/html/index.sgml:
	* doc/C/libgda-4.0-decl-list.txt: modifications for bug #527002
	* libgda/sql-parser/gda-sql-parser.c:
	* providers/postgres/gda-postgres-pstmt.c:
	* providers/postgres/gda-postgres-provider.c: fixed mem leak, bug
	#527012
	* libgda/gda-data-model-query.c: bug fixes
	* libgda/gda-set.c: correctly identify a property name

2008-04-27  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-set.[ch]:
	* libgda/sql-parser/gda-statement-struct-select.c:
	* libgda/gda-data-model.c:
	* libgda/gda-connection.c:
	* tools/gda-sql.c: cosmetic changes
	* tests/value-holders/check_holder.c! corrected test case
	* libgda/gda-holder.c: fixed a bug in binding an object to another
	* libgda/gda-meta-struct.h: reorganized the GdaMetaDbObject structure
	* libgda/gda-config.[ch]: added gda_config_dsn_needs_authentication(),
	and gda_config_get_dsn() now accepts username:password prepended to the DSN
	* libgda/sqlite/gda-sqlite-meta.c: corrected the way tables are reported
	* libgda/sqlite/gda-sqlite-provider.c: now render the FALSE keyword as 0 and
	TRUE as 1 (this is how SQLite handles booleans)
	* libgda/gda-meta-store.c:
	* doc/C: docs. update
	* libgda/gda-util.c: fixed a bug in the completion function when no proposal
	exists
	* libgda/gda-meta-struct.[ch]: added gda_meta_struct_complement_schema() and
	gda_meta_struct_complement_default() which respectively fast-adds all the objects of a
	schema or all the objects which can be named without the schema
	prefix. Also added gda_meta_struct_complement_depend() which add to
	the object all the database objects on which an object depends.

2008-04-15  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: Rename libext variable to avoid contaminating libtool-2.2
	variable by same name, for bug #527892 (from Cygwin Ports maintainer)
	* libgda/gda-connection.c: corrected a bug in gda_connection_get_events(): the
	returned list is now read-only, the last GdaConnectionEvent being first in the list
	* libgda/gda-connection-event.c: removed gda_connection_event_free() as
	g_object_unref() should be used instead, removed gda_connection_event_list_free()
	and gda_connection_event_list_copy()
	* libgda/gda-util.[ch]: added a new gda_completion_list_get() function to make
	Libgda compute a list of possible completions when writinf a SQL statement
	* tools/command-exec.c:
	* tools/gda-sql.c:
	* tools/tools-input.c: improved completion mechanism using gda_completion_list_get()
	* libgda/sql-parser/gda-statement-struct-util.[ch]:
	* libgda/gda-meta-struct.[ch]: improved handling of double quoted SQL identifiers
	* tools/gda-sql.c: removed the -p (Provider name), -s (Data source) and
	-c (Direct connection string) options: now any number of connection can be opened
	by listing them one after the other using either a DSN name or a connection string
	like "PostgreSQL://DB_NAME=mydb"
	* providers/postgres/gda-postgres-meta.c: bug fixed in the I_STMT_REF_CONSTRAINTS and
	I_STMT_REF_CONSTRAINTS_ALL statements

	Made a review of the DSN and connection strings in Libgda, and decided to require
	string encoded using RFC 1738 (Uniform Resource Locators (URL)): the non ascii
	(and some special characters) must be represented in their "%ab" form where
	"ab" is their hexa. representation; this will solve problems where DSN and/or
	auth string must contain some ";" character.
	* libgda/gda-util.[ch]: added the gda_rfc1738_encode(), gda_rfc1738_decode(),
	gda_dsn_split() and gda_connection_string_split() functions
	* libgda/gda-quark-list.c: modified gda_quark_list_new_from_string() and
	gda_quark_list_add_from_string() to decode the key and value for each pair.
	* libgda/gda-config.[ch]: use gda_rfc1738_encode() when reading provider name, username
	and password from config file.
	* libgda/gda-connection.c: changed gda_connection_open_from_dsn() to accept DSN in
	the form [<username>[:<password>]@]<DSN> where <username> and <password> are RFC 1738
	encoded.
	* libgda/sql-parser/gda-statement-struct-parts.c: applied patch by Daniel Espinosa for
	bug #528057

2008-04-10  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-meta-struct.c: crash bug fixed
	* providers/postgres/gda-postgres-meta.c: bug fixed
	* tools/tools-input.[ch]:
	* tools/gda-sql.c: implemented rudinentary command completion, and also tests
	if the direct connection string is in fact a DSN when opening the connection

2008-04-10  Murray Cumming  <murrayc@murrayc.com>

	* doc/C/prov-writing.xml:
	* doc/C/tmpl/gda-connection.sgml:
	* libgda/gda-config.c (gda_config_get_provider_object,
	  gda_config_list_providers, load_providers_from_dir):
	* libgda/gda-connection.c (gda_connection_class_init,
	  gda_connection_get_property, gda_connection_open_from_dsn,
	  gda_connection_open, gda_connection_get_cnc_string,
	  gda_connection_get_authentication):
	* libgda/gda-connection.h (GdaConnectionMetaType):
	* tools/gda-sql.c (extra_command_manage_cnc): Rename authentification to
	authentication in API and implementation.

2008-04-10  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-4.0-sections.txt:
	* doc/C/tmpl/gda-pmodel.sgml:
	* providers/postgres/gda-postgres-recordset.c:
	* libgda/gda-holder.c:
	* libgda/gda-data-model-iter.c:
	* libgda/gda-value.c:
	* libgda/providers-support/gda-pmodel.[ch]:
	* libgda/providers-support/gda-prow.c:
	* libgda/gda-value.h:
	* libgda/gda-set.c:
	* libgda/gda-data-model.c: minor tweaks to improve performances

2008-04-09  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-set.c: use a GHashTable to find individual GdaHolder objects by
	their ID for better performances

2008-04-09  Vivien Malerba <malerba@gnome-db.org>

	* tools/command-exec.c: removed bogus include
	* tools/information-schema-doc.c: fixed warnings

2008-04-09  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-value.c: corrected some memory leaks, for bug #526748
	* libgda/gda-connection.c: make gda_connection_get_authentification() return the empty
	string if the connection has no authentication string rather than NULL
	* libgda/gda-connection.c: the events list is now stored in reverse order, and the
	gda_connection_get_events() method returns a copy (in the correct order) of the list, for
	bug #526818
	* tools/gda-sql.c: changed the "\dsn_list" command to "\l", when using the "\c" command,
	passing a connection name starting with '~' will allow one to use the connection associated
	with the meta data: for example the "\c ~c0" command creates a "~c0" connection which corresponds
	to the "c0" connection's meta data
	* tools/command-exec.c: replaced g_strsplit() with a small custom tokenizer which
	recognizes simple and double quoted strings
	* tools/Makefile.am:
	* tools/information-schema-doc.c:
	* doc/C/i_s_doc.xml: created a (non installed) tool to automatically generate the i_s_doc.xml file which
	documents the structure of the meta data database.
	* libgda/information_schema.xml: fixed the "_element_types" table usage and added some descriptions
	about the tables, views and individual columns
	* libgda/gda-server-provider.h:
	* libgda/gda-connection.c: added a new "el_types" meta data method
	* libgda/sqlite/gda-sqlite-provider.c:
	* libgda/sqlite/gda-sqlite-meta.[ch]:
	* providers/postgres/gda-postgres-provider.c:
	* providers/postgres/gda-postgres-meta.[ch]:
	* providers/mysql/gda-mysql-provider.c:
	* providers/mysql/gda-mysql-meta.[ch]:
	* providers/skel-implementation/capi/gda-capi-provider.c:
	* providers/skel-implementation/capi/gda-capi-meta.[ch]: implemented (or partially implemented)
	the new "el_types" meta data method
	* doc/C: added an empty XSLT extension section, and misc doc. updates
	* tools/tools/tools-input.c: prepared code completion feature, and correctly initialize history

2008-04-08  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-connection.c (gda_connection_supports_feature):
	* libgda/gda-row.c (gda_row_copy, gda_row_set_id): Very minor  
	corrections to documentation.

2008-04-07  Murray Cumming  <murrayc@murrayc.com>

	* providers/postgres/libmain.c (plugin_init): Make sure that the 
	module_path string is freed before being reassigned, though this is 
	probably not the leak that valgrind is reporting here.

2008-04-06  Vivien Malerba <malerba@gnome-db.org>

	* configure.in:
	* providers/Makefile.am:
	* providers/mysql/*: merged Carlos Savoretti's preliminary MySQL provider's
	rework

2008-04-06  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-column.c (gda_column_set_default_value):
	Free default_value with gda_value_free() instead of g_free(), to fix 
	what valgrind says is a possible leak.

2008-04-06  Vivien Malerba <malerba@gnome-db.org>

	* samples/XSLT/test.xsl:
	* samples/XSLT/transform.c:
	* libgda-xslt/libgda-xslt.h:
	* libgda-xslt/sqlexslt.c:
	* libgda-xslt/sql_backend.c:
	* libgda-xslt/sql_exslt_internal.c:
	* libgda-xslt/sql_backend.h: applied patch from Pawel Cesar Sanjuan Szklarz to
	add a new function to the xslt extension libgda-xslt

2008-04-06  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-server-operation.c:
	* libgda/gda-easy.[ch]: modifications for bug #525877
	* tests/parser/Makefile.am:
	* tests/parser/check_validation.c:
	* tests/parser/check_normalization.c:
	* tests/parser/check_dml_comp.c: separated the validation check into a strict validation
	check, a DML command computation from a SELECT command and a "normalization" check
	* tests/parser/testvalid.xml: more test cases
	* libgda/sql-parser/: improved GsaSqlStatement structure check, validation, and added
	gda_sql_statement_normalize() which for example will expand all the '*' fields into the actual
	list of fields in the table.
	* libgda/gda-util.[ch]: added gda_identifier_equal() to compare SQL identifiers in
	a safe way (case insensitive comparison unless double quoted) and gda_identifier_hash()
	which computes a hash for an identifier (both can be used as base functions for a GHashTable)
	* providers/skel-implementation/capi/parser.y:
	* providers/postgres/parser.y:
	* libgda/sql-parser/parser.y: modified parser to allow the "customers"."id" style syntax
	* doc/C: misc doc updates

2008-04-03  Murray Cumming  <murrayc@murrayc.com>

	* providers/postgres/gda-postgres-provider.c
	  (get_connection_type_list): g_strdup() the initial value of 
	any_type_oid to avoid possibly freeing a static string.
	* providers/postgres/libmain.c (plugin_init): Add a comment that the 
	module path is leaked, but that it is not a big deal.

2008-04-02  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-set.c: fixed a double free problem, for bug #525601

2008-04-02  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-provider.c: corrected mem leak (thanks to Phil Longstaff)
	* libgda/gda-connection.c: corrected a mis-usage of variable number of arguments in
	gda_connection_get_meta_store_data(), possibly fixes bug #524837
	* libgda/gda-data-comparator.[ch]: new object to make it easy to compare the contents
	of two data models.
	* libgda/gda-server-provider.h:
	* libgda/gda-connection.h:
	* libgda/Makefile.am:
	* libgda/libgda.h.in:
	* libgda/gda-column-index.[ch]:
	* libgda/gda-data-model-index.[ch]: removed useless code
	* libgda/gda-data-model.c:
	* libgda/gda-util.[ch]: removed unused functions: gda_utility_build_encoded_id(),
	gda_utility_build_decoded_id(), gda_file_load(), gda_file_save(), gda_string_hash_to_list(),
	and started to implement a new gda_compute_dml_statements() to compute INSERT, DELETE
	and UPDATE statements corresponding to a SELECT statement (for writable data models)
	* doc/C: added a HOWTO section for most common tasks, and misc. doc updates
	* tools/gda-list-server-op.c: corrected version 3.0 to 4.0
	* libgda/gda-statement.[ch]:
	* libgda/sql-parser/gda-statement-struct.c: s/statement_check_connection/statement_check_validity/
	for easier API understanding
	* libgda/sql-parser/gda-statement-struct.[ch]:
	* gda-statement-struct-parts.[ch]:
	* gda-statement-struct-pspec.h: when validating a statement, first make sure it has a correct
	structure, and then use a GdaMetaStruct object to find references to database objects.
	* tests/parser/Makefile.am:
	* tests/parser/testvalid.xml:
	* tests/parser/check_validation.c: added a new test to verify statement validation and
	computed (INSERT, UPDATE, DELETE) statements from SELECT statement
	* libgda/gda-easy.[ch]:
	* libgda/gda-init.c:
	* libgda/gda-connection.[ch]: applied patch from Daniel Espinosa to implement the
	gda_prepare_drop_table(), gda_perform_drop_table(), gda_prepare_create_table(),
	gda_perform_create_table() and gda_connection_create_operation(), and also implemented
	the gda_connection_perform_operation(), see bug #525603
	* providers/postgres/gda-postgres-meta.c: code cleanup
	* libgda/sql-parser/gda-statement-struct-*: added a check_validity() method which
	can be implemented by some kind of statement to validate a statement using a
	connection's meta data
	* tests/parser/testvalid.xml:
	* tests/parser/check_validation.c: new test for statement validation purposes

2008-03-26  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-config.c: don't write a warning when configuration file does not load, and use
	the GDA_TOP_BUILD_DIR environment variable if set (instead of GDA_PROVIDERS_ROOT_DIR) to
	find database providers (used when running check tests)
	* libgda/gda-meta-store.c: use the GDA_TOP_SRC_DIR environment variable if set to find
	the information_schema.xml file (used when running check tests)
	* libgda/gda-init.c: use the GDA_TOP_SRC_DIR environment variable if set to find
	the DTD files (used when running check tests)
	* tests/meta-store/Makefile.am:
	* tests/meta-store/common.c:
	* tests/meta-store/check_meta_store_sqlite.c:
	* tests/meta-store/check_meta_store_postgresql.c:
	* tests/meta-store/check_meta_store_mysql.c:
	* tests/meta-store/check_meta_store_memory.c:
	* tests/providers/check_sqlite.c:
	* tests/providers/check_oracle.c:
	* tests/providers/check_odbc.c:
	* tests/providers/check_msql.c:
	* tests/providers/check_ldap.c:
	* tests/providers/check_firebird.c:
	* tests/providers/check_sybase.c:
	* tests/providers/check_bdb.c:
	* tests/providers/check_mdb.c:
	* tests/providers/check_xbase.c:
	* tests/providers/check_mysql.c:
	* tests/providers/check_postgres.c:
	* tests/providers/Makefile.am:
	* tests/providers/check_freetds.c:
	* tests/providers/check_ibmdb2.c: set the GDA_TOP_SRC_DIR and GDA_TOP_BUILD_DIR
	environment variables
	* doc/C: doc. updates
	* libgda/gda-config.c: restored the V3 behaviour of creating the ${HOME}/.libgda config
	dir if it does not yet exist.
	* libgda/gda-data-model-dsn-list.c: fixed warning if DSN does not have any authentification string

2008-03-24  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set to version 3.99.3

Released 3.99.2

2008-03-24  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sql-parser/lemon.c:
	* libgda/sql-parser/LemonPatch:
	* libgda/sql-parser/lempar.c: use the Lemon parser generator for SQLite 3.5.7
	* libgda/sql-parser/parser.y:
	* libgda/sql-parser/delimiter.y:
	* providers/skel-implementation/capi/parser.y:
	* providers/postgres/parser.y: add #include <assert.h> which is required by the
	new version of the Lemon parser generator
	* providers/postgres/gda-postgres-meta.c:
	* providers/postgres/gda-postgres-provider.c: renamed the prepared statement with
	lowercase only to avoid postgres warning about non existing prepared statement
	when calling DEALLOCATE
	* libgda/information_schema.xml: added some descriptions
	* doc/C/information_schema.png:
	* doc/C/information_schema.svg: updated the GdaMetaStore's internal structure's
	diagram

2008-03-21  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite.h: correction for SQLite versions < 3.5 (for bug #523613)
	* providers/postgres/parser.y:
	* libgda/sql-parser/parser.y: allow identifiers to be enclosed in double quotes
	* tests/parser/testdata.xml:
	* libgda/sql-parser/gda-sql-parser.c: corrected a nasty bug while using a case statement
	* libgda/gda-data-model.c: removed debug info
	* libgda/information_schema.xml: added some descriptive fields
	* libgda/Makefile.am: added gda-statement-extra.h to list of headers
	* configure.in: remove non compiling providers from AC_OUTPUT, don't check anymore for
	LEX and YACC as they are not used anymore
	* tests/providers/*: don't fail if the providers have not been compiled (and are thus not found)
	* tests/meta-store/*: adaptations to the information schema changes
	* libgda/sql-parser/Makefile.am:
	* libgda/sql-parser/gen_def.c:
	* providers/prepare_provider_sources.sh:
	* providers/postgres/Makefile.am:
	* providers/skel-implementation/models/Makefile.am:
	* providers/skel-implementation/capi/Makefile.am: modifications to have "make distcheck" run
	* libgda/sql-parser/LemonPatch: keep the lemon.c modifications in a separate file
	* libgda/sql-parser/lemon.c: modified to be able to load the "lempar.c" file from a directory
	different than the current directory, and be able to write output files to the current
	directory
	* libgda/sqlite/virtual/libmain.c:
	* providers/postgres/gda-postgres-cursor-recordset.[ch]: removed unused files
	* libgda/gda-connection.c: removed unused private attribute

2008-03-20  Vivien Malerba <malerba@gnome-db.org>

	* po/POTFILES.in: remove references to non existing files
	* providers/skel-implementation/models/Makefile.am:
	* providers/skel-implementation/capi/Makefile.am:
	* providers/prepare_provider_sources.sh: make the skeleton providers compile but not
	install, and altered the preparetion script to compile and install
	* providers/skel-implementation/capi/gda-capi-meta.c: corrected symbol name
	* libgda/gda-data-model.c: corrected a nasty bug in gda_data_model_import_from_model()
	* providers/postgres/gda-postgres-provider.c:
	* libgda/sqlite/gda-sqlite-provider.c: now compute the GdaSet to return at *last_insert_row
	in gda_sqlite_provider_statement_execute() if the last_insert_row argument is not NULL
	* providers/postgres/gda-postgres-ddl.c: only set a column's type as "serial" when AUTOINC
	is TRUE
	* providers/sqlite/sqlite_specs_create_table.xml.in:
	* providers/postgres/postgres_specs_create_table.xml.in: fixed typos
	* providers/postgres/postgres_specs_create_table.xml.in: dy default tables are now created
	with OIDs
	* libgda/gda-decl.h: removed declarations related to GdaClient (thanks to Mark Johnson)
	* libgda/gda-server-provider.c: doc. fixes and optional debug info
	* doc/C: updates

2008-03-19  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set to version 3.99.2

Released 3.99.1

2008-03-19  Vivien Malerba <malerba@gnome-db.org>

	* tools/command-exec.c: now correctly reports primary key, foreign key and unique
	constraints for tables
	* libgda/information_schema.xml: added the '_detailled_fk' view to give an easy access
	to all the foreign key's details
	* libgda/sqlite/gda-sqlite-meta.c: finished implementing the key_columns() method
	* libgda/gda-server-provider.h:
	* libgda/sqlite/gda-sqlite-provider.c: check that SQLite's prepared statement is not NULL
	to avoid crash (as reported by Massimo Cora). If it is NULL, then a
	GDA_SERVER_PROVIDER_EMPTY_STMT_ERROR error is returned
	* libgda/sqlite/sqlite-src: up to SQLite version 3.5.7
	* samples/: adaptations to API changes
	* libgda/libgda.h.in:
	* libgda/Makefile.am:
	* libgda/gda-data-model-hash.[ch]: removed that (unused) data model
	* providers/skel-implementation/capi: backport the latest API changes regarding meta data
	* doc/C: doc. updates
	* libgda/sqlite/gda-sqlite-recordset.[ch]:
	* providers/postgres/gda-postgres-recordset.[ch]
	* libgda/providers-support/gda-pmodel.[ch]: added a "connection" property to get/set the
	GdaConnection used when the data model was created (this has been removed from the
	GdaSqliteRecordset and GdaPostgresRecordset implementation)
	* libgda/providers-support/gda-pmodel.c: implemented the code for the "insert_query",
	"update_query" and "delete_query" methods (first steps for bug #411811)
	* libgda/gda-meta-store.c: don't declare foreign keys when creating the schema in a database
	* libgda/sqlite/gda-sqlite-meta.[ch]:
	* libgda/sqlite/gda-sqlite-provider.c:
	* providers/postgres/gda-postgres-meta.[ch]:
	* providers/postgres/gda-postgres-provider.c:
	* providers/skel-implementation/capi/gda-capi-meta.[ch]:
	* providers/skel-implementation/capi/gda-capi-provider.c: stabilized the interface providers
	need to implement regarding meta data retreival
	* libgda/gda-meta-store-extra.h: new file for some private API

2008-03-17  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-statement.h: correctly define gda_statement_to_sql(), thanks
	to Carlos Savoretti
	* po/POTFILES.skip: remove mention of temporary files
	* libgda/gda-data-model.c: fixed documentation for bug #522365
	* doc/C: dosumentation improvements
	* libgda/gda-meta-store.[ch]:
	* libgda/gda-connection.c: make the partial metadata sync with the database work, and
	added the possibility for applications to add their own database objects in a GdaMetaStore
	* libgda/gda-server-provider.c: fix a memory leak in the server operations handling (reported by
	Phil Longstaff)
	* libgda/information_schema.xml: more descriptions of the tables and columns
	* libgda/sqlite/gda-sqlite-provider.c: make the "internal_stmt" array static to avoid collisions
	* libgda/gda-server-provider.h:
	* libgda/gda-connection.c:
	* providers/postgres/gda-postgres-provider.c:
	* providers/postgres/gda-postgres-meta.[ch]:
	* libgda/sqlite/gda-sqlite-provider.c:
	* libgda/sqlite/gda-sqlite-meta.[ch]: more meta data retreival implemented (constraints' columns)
	* tests/providers/prov-test-common.c: follow API changes
	* tools/command-exec.c: added a description of the table's constraints

2008-03-17  Phil Longstaff  <plongstaff@rogers.com>

	* libgda/gda-data-model-array.c (gda_data_model_array_copy_model):
	* libgda/gda-data-model.c (find_column_from_id, add_xml_row):
	* libgda/gda-server-operation.c (gda_server_operation_get_node_info,
	  gda_server_operation_get_value_at,
	  gda_server_operation_set_value_at):
	* libgda/gda-util.c (gda_utility_data_model_dump_data_to_xml,
	  gda_utility_holder_load_attributes):  Fixed some obvious memory leaks 
	by freeing variables.

2008-03-16  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-data-model-iter.c:
	* libgda/gda-server-provider.c: Corrected spelling mistakes in
	documentation.

2008-03-14  Murray Cumming  <murrayc@murrayc.com>

	* doc/C/tmpl/gda-data-handler.sgml: Improved the text of this
	documentation.
2008-03-12  Vivien Malerba <malerba@gnome-db.org>

	* tools/command-exec.c:
	* tools/gda-sql.c:
	* libgda/gda-meta-struct.[ch]: improvements (to compute only the necessary features, and others)
	* doc/C: doc. updates
	* po/POTFILES.in:
	* po/POTFILES.skip: applied corrections (as proposed by
	http://l10n.gnome.org/module/libgda)
	* libgda/gda-easy.c: applied correction for gda_drop_table() (from Phil Longstaff)
	* libgda/sqlite/gda-sqlite-provider.c: don't count the number of opened connections
	* libgda/gda-meta-struct.[ch]:
	* libgda/gda-meta-store.[ch]: added new methods
	* tests/providers: changed tests to avoid needing reference XML files
	* tools/gda-sql.c: allow to display a graph for a table and the tables it references (by
	appending a '=' after that table name)
	* others: misc. corrections

2008-03-11  Murray Cumming  <murrayc@murrayc.com>

	* libgda/binreloc/binreloc.c:
	* libgda/gda-data-model.c:
	* libgda/gda-server-operation.c:
	* libgda/gda-value.c:
	* libgda/sql-parser/gda-sql-parser.c:
	* libgda/sqlite/sqlite-src/sqlite3.c: (writeJournalHdr),
	(sqlite3PagerOpen), (sqlite3PagerReleaseMemory), (pager_write),
	(sqlite3BtreeRollback), (vdbeCommit), (sqlite3VdbeHalt),
	(sqlite3VdbeExec), (findCollSeqEntry), (sqlite3InitOne),
	(sqlite3Fts3Init):
	Documentation: Change mentions of occured to occurred, and mentions of
	a XML to an XML.
	PaulSchulz and Malcolm Parsons in Ubuntu launchpad bug 64451 for
	some reason.

2008-03-06  Vivien Malerba <malerba@gnome-db.org>

	* tests/value-holders/check_statement.c:
	* tests/parser/check_parser.c: don't crash on missing providers
	* tests/data-models/check_virtual.c: fixed a compilation problem
	* tests/data-models/check_data_proxy.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-server-operation.c:
	* libgda/gda-data-model-array.[ch]: make gda_data_model_array_copy_model() return a
	GdaDataModelArray instead of a GdaDataModel (fixes bug #519778)
	* doc/C/tmpl/gda-data-model-iter.sgml: added instructions on how to use a
	GdaDataModelIter (fixes bug #519769)
	* libgda/gda-data-proxy.c:
	* libgda/sqlite/virtual/virtual-test.c:
	* libgda/sqlite/virtual/gda-vprovider-data-model.c:
	* libgda/gda-data-model-iter.[ch]: removed gda_data_model_iter_new() as it is better to use
	gda_data_model_create_iter()
	* libgda/gda-data-access-wrapper.c:
	* libgda/sqlite/virtual/gda-vprovider-data-model.c:
	* libgda/gda-data-model.c:
	* libgda/gda-data-model-iter.[ch]: replaced gda_data_model_iter_get_param_for_column() by
	gda_data_model_iter_get_holder_for_field()
	* libgda/gda-meta-store.c: correctly initialize transaction status variable
	* tests/meta-store/data_columns.csv:
	* tests/meta-store/common.c: adaptations to the GdaMetaStore's internal schema changes, make the
	test pass again
	* libgda/gda-meta-struct.[ch]: converted to a GObject, and added some new features
	* tools/gda-sql.c: improved object's details reporting
	* libgda/gda-config.c:
	* doc/C: misc doc. updates

2008-03-05  Vivien Malerba <malerba@gnome-db.org>

	* Merged all the developments of the V4-branch branch into trunk.
	* Updated the po/POTFILES.in and po/POTFILES.skip.

2008-03-01  Nathan  <nbinont@yahoo.ca>

	* tools/gda-sql.c: (output_data_model): Use g_setenv() instead of
	setenv() to fix the build on Windows.
	Bug #510739.

2008-01-26  Armin Burgmeier  <armin@openismus.com>

	* libgda/gda-server-operation.c:
	(xml_load_file): Don't leak this_lang, ignore entry when id is NULL
	which caused a segfault on Windows.

2008-01-02  Vivien Malerba <malerba@gnome-db.org>

	* libgda-report/engine/Makefile.am:
	* tools/command-exec.c:
	* tools/command-exec.h:
	* tools/gda-sql.c:
	* tools/Makefile.am:
	* tests/Makefile.am:
	* tests/data-models/Makefile.am:
	* tests/value-holders:
	* tests/value-holders/stmt.data:
	* tests/value-holders/check_statement.c:
	* tests/value-holders/set.data:
	* tests/value-holders/common.c:
	* tests/value-holders/check_set.c:
	* tests/value-holders/Makefile.am:
	* tests/value-holders/check_holder.c:
	* tests/value-holders/common.h:
	* tests/parser:
	* tests/parser/testdata.xml:
	* tests/parser/Makefile.am:
	* tests/parser/check_parser.c:
	* tests/providers/Makefile.am:
	* tests/queries/Makefile.am:
	* doc/C/architecture.svg:
	* doc/C/stmt-unknown.svg:
	* doc/C/parts.svg:
	* doc/C/libgda-3.0.types.in:
	* doc/C/stmt-update.png:
	* doc/C/stmt-update.svg:
	* doc/C/libgda-3.0-docs.sgml:
	* doc/C/libgda-3.0-sections.txt:
	* doc/C/stmt-select.png:
	* doc/C/stmt-compound.png:
	* doc/C/stmt-insert1.png:
	* doc/C/stmt-insert2.png:
	* doc/C/stmt-select.svg:
	* doc/C/architecture.png:
	* doc/C/stmt-compound.svg:
	* doc/C/stmt-unknown.png:
	* doc/C/stmt-insert1.svg:
	* doc/C/Makefile.am:
	* doc/C/stmt-insert2.svg:
	* doc/C/tmpl/gda-server-provider.sgml:
	* doc/C/tmpl/gda-query-field-value.sgml:
	* doc/C/tmpl/gda-query-join.sgml:
	* doc/C/tmpl/gda-query.sgml:
	* doc/C/tmpl/gda-renderer.sgml:
	* doc/C/tmpl/gda-query-field-func.sgml:
	* doc/C/tmpl/gda-query-condition.sgml:
	* doc/C/tmpl/gda-set.sgml:
	* doc/C/tmpl/gda-query-field-all.sgml:
	* doc/C/tmpl/gda-holder.sgml:
	* doc/C/tmpl/gda-command.sgml:
	* doc/C/tmpl/gda-batch.sgml:
	* doc/C/tmpl/gda-query-field-agg.sgml:
	* doc/C/tmpl/gda-query-target.sgml:
	* doc/C/tmpl/gda-statement.sgml:
	* doc/C/tmpl/gda-query-object.sgml:
	* doc/C/tmpl/gda-query-field.sgml:
	* doc/C/tmpl/gda-sql-parser.sgml:
	* doc/C/tmpl/gda-connection.sgml:
	* doc/C/tmpl/gda-sql-statement.sgml:
	* doc/C/tmpl/gda-query-field-field.sgml:
	* doc/C/parts.png:
	* testing/Makefile.am:
	* providers/ldap/Makefile.am:
	* providers/sybase/Makefile.am:
	* providers/firebird/Makefile.am:
	* providers/bdb/Makefile.am:
	* providers/freetds/Makefile.am:
	* providers/ibmdb2/Makefile.am:
	* providers/sqlite/Makefile.am:
	* providers/xbase/Makefile.am:
	* providers/mdb/Makefile.am:
	* providers/oracle/gda-oracle-provider.c:
	* providers/oracle/Makefile.am:
	* providers/mysql/gda-mysql-provider.c:
	* providers/mysql/Makefile.am:
	* providers/postgres/parser.y:
	* providers/postgres/gda-postgres-parser.c:
	* providers/postgres/gda-postgres-parser.h:
	* providers/postgres/gen_def.c:
	* providers/postgres/gda-postgres-provider.c:
	* providers/postgres/Makefile.am:
	* providers/odbc/Makefile.am:
	* providers/msql/Makefile.am:
	* libgda/gda-renderer.c:
	* libgda/gda-statement.h:
	* libgda/gda-renderer.h:
	* libgda/gda-holder.c:
	* libgda/gda-holder.h:
	* libgda/gda-query-object.c:
	* libgda/gda-debug-macros.h:
	* libgda/gda-command.c:
	* libgda/gda-query-object.h:
	* libgda/gda-marshal.list:
	* libgda/gda-query-private.h:
	* libgda/gda-query-field-agg.c:
	* libgda/gda-command.h:
	* libgda/sqlite/gda-sqlite.h:
	* libgda/sqlite/utils.c:
	* libgda/sqlite/virtual/Makefile.am:
	* libgda/sqlite/gda-sqlite-provider.c:
	* libgda/sqlite/gda-sqlite-recordset.c:
	* libgda/sqlite/gda-sqlite-recordset.h:
	* libgda/sqlite/Makefile.am:
	* libgda/gda-query-field-agg.h:
	* libgda/gda-data-model-hash.h:
	* libgda/sql-parser:
	* libgda/sql-parser/gda-statement-struct-util.h:
	* libgda/sql-parser/gda-sql-parser-private.h:
	* libgda/sql-parser/gda-sql-statement.h:
	* libgda/sql-parser/gda-statement-struct-compound.c:
	* libgda/sql-parser/gda-statement-struct-select.h:
	* libgda/sql-parser/gda-statement-struct-trans.c:
	* libgda/sql-parser/gda-statement-struct-compound.h:
	* libgda/sql-parser/gda-statement-struct-trans.h:
	* libgda/sql-parser/gda-statement-struct-unknown.c:
	* libgda/sql-parser/gda-statement-struct.c:
	* libgda/sql-parser/lempar.c:
	* libgda/sql-parser/gda-statement-struct-unknown.h:
	* libgda/sql-parser/gda-statement-struct-insert.c:
	* libgda/sql-parser/parser.y:
	* libgda/sql-parser/gda-statement-struct.h:
	* libgda/sql-parser/gda-statement-struct-insert.h:
	* libgda/sql-parser/gda-statement-struct-update.c:
	* libgda/sql-parser/gda-statement-struct-update.h:
	* libgda/sql-parser/delimiter.y:
	* libgda/sql-parser/gda-statement-struct-parts.c:
	* libgda/sql-parser/lemon.c:
	* libgda/sql-parser/gda-statement-struct-parts.h:
	* libgda/sql-parser/gda-statement-struct-delete.c:
	* libgda/sql-parser/gda-sql-parser.c:
	* libgda/sql-parser/parser_tokens.h:
	* libgda/sql-parser/gda-statement-struct-delete.h:
	* libgda/sql-parser/gda-sql-parser.h:
	* libgda/sql-parser/gen_def.c:
	* libgda/sql-parser/gda-statement-struct-pspec.c:
	* libgda/sql-parser/Makefile.am:
	* libgda/sql-parser/gda-statement-struct-decl.h:
	* libgda/sql-parser/gda-statement-struct-util.c:
	* libgda/sql-parser/gda-statement-struct-select.c:
	* libgda/sql-parser/gda-statement-struct-pspec.h:
	* libgda/gda-query-field-all.c:
	* libgda/gda-query-field-all.h:
	* libgda/gda-query-parsing.c:
	* libgda/gda-query-parsing.h:
	* libgda/gda-util.c:
	* libgda/gda-util.h:
	* libgda/gda-query-condition.c:
	* libgda/gda-query-condition.h:
	* libgda/gda-server-provider.c:
	* libgda/gda-connection.c:
	* libgda/Makefile.am:
	* libgda/gda-query-join.c:
	* libgda/gda-server-provider.h:
	* libgda/libgda.h.in:
	* libgda/gda-connection.h:
	* libgda/gda-query-join.h:
	* libgda/gda-query-field-field.c:
	* libgda/gda-query-field-field.h:
	* libgda/gda-batch.c:
	* libgda/gda-batch.h:
	* libgda/gda-query-target.c:
	* libgda/gda-query-target.h:
	* libgda/gda-value.c:
	* libgda/gda-query-field-func.c:
	* libgda/gda-query-field-func.h:
	* libgda/gda-graphviz.c:
	* libgda/gda-set.c:
	* libgda/gda-graphviz.h:
	* libgda/gda-set.h:
	* libgda/gda-query-field-value.c:
	* libgda/gda-query-field-value.h:
	* libgda/gda-connection-private.h:
	* libgda/gda-query-field.c:
	* libgda/gda-data-access-wrapper.c:
	* libgda/gda-query-field.h:
	* libgda/gda-query.c:
	* libgda/gda-query.h:
	* libgda/gda-decl.h:
	* libgda/gda-statement-extra.h:
	* libgda/gda-statement.c:
	* configure.in:
	* ChangeLog:
	* samples/SqlParserConsole:
	* samples/SqlParserConsole/graph.c:
	* samples/SqlParserConsole/console.c:
	* samples/SqlParserConsole/graph.h:
	* samples/SqlParserConsole/Makefile:
	* samples/SqlParserConsole/README:
	* samples/DDL/ddl.c:
	* samples/DDL/Makefile:
	* samples/SimpleExample/example.c:
	* samples/SimpleExample/Makefile:
	* samples/README:
	* libgda-xslt/Makefile.am: Introduced a new parsing mechanism (GdaSqlParser object), the
	GdaStatement object which will replace both GdaQuery and GdaCommand objects in V4, added new
	tests and example, update documentation, and minor other changes and improvements (started
	to tag as deprecated some API).

2007-12-12  Armin Burgmeier  <armin@openismus.com>

	* libgda/binreloc/gda-binreloc.c: Locate file paths relative to
	location of the libgda DLL file, do not rely on a registry entry to be
	set to point to the path of the libgda installation.

2007-12-09  Vivien Malerba <malerba@gnome-db.org>

	* tools/Makefile.am: Link gda-sql against libiberty on windows because 
	it provides setenv(), fixed bug 502481 (Armin Burgmeier)
	* providers/ldap/gda-ldap-provider.c:
	* libgda-report/engine/Makefile.am: other Win32 fixes

2007-12-03  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model-import.c: fixed a wrong property name and
	fixed CVS parsing when the string to parse does not end with a newline.
	* libgda/gda-data-model-hash.c: applied patch from Sumit Kumar Jain to
	fix a row append problem
	* providers/postgres/gda-postgres-recordset.c: modification to correctly
	handle the libgda/gda-data-model-hash.c correction

2007-12-02  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-query.c: quick and dirty fix to be able to handle
	queries having the GROUP BY clause

2007-12-01  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: check for GnomeVFS >= 2.20, for bug #498213

2007-12-01  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/libgda-3.0.types.in:
	* doc/C/libgda-3.0.types:
	* configure.in: allow documentation when the --without-bdb flag is 
	used, bug #498836

2007-12-01  Vivien Malerba <malerba@gnome-db.org>

	* libgda-report/engine/gda-report-engine.c:
	* tools/gda-diagnose.c:
	* tools/gda-sql.c:
	* testing/gda-test-model-query.c:
	* providers/sybase/gda-sybase-provider.c:
	* providers/mysql/gda-mysql-provider.c:
	* libgda/gda-data-model-query.c:
	* libgda/gda-data-model.c:
	* libgda/gda-data-model-array.c:
	* libgda/graph/gda-graph-query.c:
	* libgda/gda-query.c: applied patch to fix bug #494337 (Claude Paroz)

2007-12-01  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: fixed ALL_LINGUAS variable to add Macedonian language,
	bug #500756

2007-12-01  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: fixed ALL_LINGUAS variable to add Punjabi language,
	bug #500755


2007-11-18  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-client.h:
	* libgda/gda-data-model-iter.h:
	* libgda/gda-data-model.h:
	* libgda/gda-dict.h:
	* libgda/gda-query.h:
	* libgda/gda-transaction-status.h: Remove trailing commas in 
	separators to avoid warnings when using -pedantic with gcc.

2007-11-06  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/gda-sqlite-provider.c: correction for bug #493360
	* libgda.spec.in: corrections from Petr "Qaxi" Klíma
	* tests/queries/check_gdaquery.c: make sure the test is completely executed
	* tests/queries/basic_sql.xml: new test
	* tests/queries/bug_param_sql.xml: removed useless test
	* configure.in: set GDA_AGE to 1

2007-10-29  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-value.c: (gda_value_stringify):
	Add const to avoid compiler warnings.

2007-10-29  Murray Cumming  <murrayc@murrayc.com>

	* providers/postgres/gda-postgres-provider.c:
	(gda_postgres_provider_open_connection),
	(gda_postgres_provider_perform_operation):
	Put single quotes around the user and password, as 
	mentioned in the PQconnectdb() documentation, so that 
	passwords can contain spaces. Bug #491171.

2007-10-27  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sqlite/virtual/gda-vconnection-hub.c: when creating modification queries, use
	all the fields to make a WHERE condition if no PK field(s) are found.

2007-10-24  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set to version 3.1.3

Released 3.1.2
	
2007-10-24  Vivien Malerba <malerba@gnome-db.org>

	* libsql/* recognize the LIMIT and OFFSET keywords as in "SELECT ... LIMIT 3",
	or "SELECT ... LIMIT 3 OFFSET 4" or, for the MySQL syntax "SELECT ... LIMIT 4,3",
	for bug #488965
	* libsql/*: removed the unused memsql_*() functions in favor of the g_*() similar
	functions (it in fact changes nothing since the MEM_TEST macro was never defined
	and the g_*() functions were always used, but it cleans the code)
	* libgda/gda-query.[ch]: added gda_query_[gs]et_results_limit(), and SQL rendering
	minor improvement
	* libgda/gda-query-parsing.c: take into account the parsed LIMIT/OFFSET
	* testing/queries/basic_sql.xml: new tests with the LIMIT/OFFSET syntax
	* po/POTFILES.in: removed obsolete files
	* libgda/sqlite/*.xml.in: remove those files as they should not be here (they
	already are in providers/sqlite)
	* libgda/gda-client.c: in gda_client_open_connection_from_string(), the connection
	string can be in the "<provider_name>://<real cnc string>" format (such as
	"PostgreSQL://DB_NAME=sales" for example)
	* libgda/sqlite/virtual/gda-vprovider-data-model.c: make gda_server_provider_get_info()
	return "Virtual" as provider name instead of "SQLite"
	* tools/Makefile.am:
	* tools/gda-sql.c: the SQL console can now manage several connections at once (and
	switch between them), and it i spossible to create virtual connections which bind
	together several opened connections to execute some cross connections SQL; HTML
	output mode is now implemented

2007-10-21  Vivien Malerba <malerba@gnome-db.org>

	* doc/C: added a list of the environment variables useable in Libgda
	* tools/command-exec.[ch]:
	* tools/gda-sql.c: added a new "\d <NAME>" command to describe a table or
	view
	* providers/firebird/*: improvements to the schema reporting (better data type
	report), added support for reading BLOBs' contents and arrays
	* libgda/gda-connection.c: use the GDA_CONNECTION_EVENTS_SHOW environment variable
	to determine which events get displayed on stdout
	* libgda/gda-server-provider.c: use the GDA_CONNECTION_COMMANDS_SHOW environment variable
	to determibe if commands sent to the server need to be displayed on stdout
	* libgda/gda-value.c: implement gda_value_stringify() for values of type GDA_TYPE_LIST
	* libgda/gda-data-model.c: added more options to specify the ouptut of
	gda_data_model_dump()
	* libgda/gda-client.c: removed warning
	* libgda/gda-dict-table.c: set a "raw_extra_attributes" 'property' with the actual
	extra attributes as returned when synced with the actual database schema definition
	* libgda/gda-dict-database.c: avoid memory leak
	* libgda/handlers/gda-handler-bin.c: correctly treat GdaBlob values

2007-10-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove "no" from ALL_LINGUAS.

2007-10-14  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-proxy.c: remove warning about GdaDataModelQuery being
	badly implemented
	* providers/ldap/gda-ldap-provider.[ch]: first modifications in a long time
	to make the LDAP provider work (thanks to Exell Enrique Franklin Jiménez)
	* libgda/sqlite/sqlite-src: up to SQLite version 3.5.1
	* configure.in: correctly detect the real MDBTools API, don't link
	anymore with libmdbsql.so
	* providers/mdb/*: reworked the MDB (MSAccess) provider to be a virtual
	provider (now all the SQLite SQL can be used), the libmdbsql.so library
	is not used anymore
	* configure.in: correctly detect the firebird shared libraries to link with
	* providers/firebird/*: improvements
	* libgda/sqlite/virtual/gda-vprovider-data-model.c: data types issue fixed
	* libgda-3.0.pc.in: Depend on gthread-2.0 because gda uses g_thread_init() 
	which requires to link against gthread-2.0, fixed bug #484112 (Armin Burgmeier)
	* providers/odbc/gda-odbc-provider.c:
	* configure.in:
	* libgda/gda-dict.c:
	* libgda/gda-query-field-agg.c:
	* libgda/gda-value.c:
	* providers/postgres/utils.c: fixes for bug #486017 (Stanislav Brabec)

2007-10-13  Yannig Marchegay <yannig@marchegay.org>

	* configure.in: +Occitan.

2007-10-05  Vivien Malerba <malerba@gnome-db.org>

	* libgda/libgda-server-operation.dtd:
	* libgda/gda-server-operation.c: added a "type" (and optionnally "descr")
	attributes to the <serv_op> XML tag
	* libgda/libgda-dict.dtd:
	* libgda/gda-dict-field.c: scale and length attributes are only stored in
	XML file if they are significant
	* libgda/sqlite/gda-sqlite-recordset.c: correctly compute column's length
	and scale from declared column type
	* po/POTFILES.in:
	* tools/Makefile.am
	* tools/gda-list-server-op.c: new tool to list the supported DDL operations for
	each provider
	* tools/gda-sql.c: modified help message
	* libgda/gda-server-operation.c:
	* doc/C: docs. improvements
	* samples/DDL: new example to show a basic usage of the GdaServerOperation to
	creatre a table
	* libgda/gda-data-model-query.c: bugs fixes
	* tests/data-models/check_data_proxy.c: new tests when proxied data model changes

2007-09-28  Vivien Malerba <malerba@gnome-db.org>

	* samples/README:
	* samples/XSLT/README: doc update

2007-09-27  Vivien Malerba <malerba@gnome-db.org>

	* libgda-report-3.0.pc.in:
	* libgda-xslt-3.0.pc.in: corrected the name of the package
	* samples/XSLT: make the example working (Pawel Cesar Sanjuan Szklarz)
	* libgda-xslt/*: bug fixes
	* libgda/gda-dict-reg-functions.c:
	* libgda/gda-dict-reg-aggregates.c: don't crash if dictionary does not support
	functions of aggregates when trying to find one (fixes bug #414148)
	* providers/postgres/gda-postgres-cursor-recordset.c: implemented the
	i_iter_at_row() virtual method using "FETCH ABSOLUTE" (Murray Cumming)
	* libgda/gda-command.c:  improved gda_command_set_options() to have at least
	GDA_COMMAND_OPTION_STOP_ON_ERRORS xor GDA_COMMAND_OPTION_IGNORE_ERRORS as the
	two are strict opposites

2007-09-27  Murray Cumming  <murrayc@murrayc.com>

	* providers/postgres/gda-postgres-cursor-recordset.c:
	gda_postgres_cursor_recordset_create_iter(): Ref the result even if we are 
	returning an existing iter.

2007-09-26  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: detect libxslt presence
	* Makefile.am:
	* libgda-xslt-3.0.pc.in:
	* libgda-xslt/*: implementation of an XSL extension which uses Libgda (Pawel 
	Cesar Sanjuan Szklarz)
	* samples/XSLT/*: new example to show how to use the new XSL extension (not
	yet working) (Pawel Cesar Sanjuan Szklarz)

2007-09-26  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-proxy.c: keep the virtual connection used for filtering opened
	* libgda/gda-data-proxy.c: make sure the get_value_at() and get_n_rows() are correct
	event when called from a callback of signals emited while in chunck_sync_idle()
	* libgda/gda-data-proxy.c: added gda_data_proxy_get_filtered_n_rows()
	* libgda/gda-data-model-iter.[ch]: added gda_data_model_iter_get_value_at() and
	gda_data_model_iter_get_value_for_field	()
	* libgda/gda-data-model.c:
	* doc/C: doc update
	* libgda/gda-data-model-hash.c: signal change in gda_data_model_hash_clear()
	* libgda/gda-data-access-wrapper.c: correctly signal changes when the wrapped
	data model changes

2007-09-25  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-data-proxy.c: (proxy_row_to_absolute_row),
	(absolute_row_to_proxy_row), (gda_data_proxy_init), (clean_proxy),
	(gda_data_proxy_set_property), (proxied_model_data_changed_cb),
	(gda_data_proxy_delete), (gda_data_proxy_undelete),
	(gda_data_proxy_find_row_from_values), (gda_data_proxy_append),
	(gda_data_proxy_cancel_row_changes), (commit_row_modif),
	(gda_data_proxy_set_sample_size),
	(gda_data_proxy_set_sample_start), (display_chunk_new),
	(display_chunk_free), (display_chunks_dump), (ensure_chunk_sync),
	(chunk_sync_idle), (compute_display_chunk),
	(adjust_displayed_chunk), (gda_data_proxy_apply_all_changes),
	(gda_data_proxy_cancel_all_changes),
	(gda_data_proxy_set_filter_expr), (gda_data_proxy_get_n_rows),
	(gda_data_proxy_set_value_at), (gda_data_proxy_append_values):
	* libgda/sql-delimiter/gda-sql-delimiter.c:
	* providers/postgres/gda-postgres-cursor-recordset.c:
	(gda_postgres_cursor_recordset_class_init),
	(gda_postgres_cursor_recordset_init),
	(gda_postgres_cursor_recordset_set_property),
	(gda_postgres_cursor_recordset_get_property),
	(gda_postgres_cursor_recordset_new), (fetch_next), (fetch_prev):
	* providers/postgres/gda-postgres-cursor-recordset.h:
	* providers/postgres/gda-postgres-provider.c:
	(compute_retval_from_pg_res),
	(gda_postgres_provider_execute_command):
	* providers/postgres/gda-postgres-provider.h:
	* tests/data-models/check_data_proxy.c: (do_test_prop_change),
	(do_test_common_read), (do_test_common_write): Rename chunck to chunk.
	
	* libgda/gda-data-proxy.c: Add an empty implementation of display_chunks_dump()
	to avoid a linker error when GDA_DEBUG is not defined.

2007-09-23  Vivien Malerba <malerba@gnome-db.org>

	* providers/sqlite/virtual/gda-vprovider-data-model.c: each virtual table
	now has a new hidden integer column named "__gda_row_nb" which gives the row number
	of the data model represented by the table.
	* providers/sqlite/gda-sqlite-provider.c: corrected a bug in split_sql()
	* libgda/gda-data-model-bdb.c: correctly initialize variable in gda_data_model_bdb_set_values()
	* libgda/gda-data-proxy.c: columns containing non modified data have their name prefixed with an
	underscore
	* libgda/gda-data-proxy.[ch]: added gda_data_proxy_[gs]et_filter_expr() to enable
	filtering among the contents of a proxy
	* libgda/gda-data-proxy.c: reworked the inner working for delayed sync. mechanism
	* moved the GdaSqliteProvider and related objects from providers/sqlite to
	libgda/sqlite because libgda _requires_ the virtual connections feature now 
	and (left in providers/sqlite the XML files and enough to make a shared library
	for the SQLite provider).
	* libgda/gda-query.c: updated gda_query_set_sql_text()'s documentation
	* libgda/gda-data-model.c: improved the gda_data_model_dump_as_string() and
	gda_data_model_dump() methods to be able to dump row numbers as well
	* libgda-report/gda-report-document.c: removed unused function declaration
	* libgda/gda-query.c: doc. improvement
	* libgda/gda-threader.c: added missing include
	* various other very minor adjustments

2007-09-02  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set to version 3.1.2

Released 3.1.1
	
2007-09-01  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sql-delimiter/gda-delimiter-tree.c:
	* libgda/sql-delimiter/lexer.l:
	* libsql/sql_tree.c:
	* libsql/lexer.l: extended the parameter representation to ##<param_name>[::<param_type>[::NULL]],
	the additionnal "::NULL" at the end meaning that the parameter can be NULL.
	* tests/queries/*: fixed a bug in the tests
	* libgda-reports/RML/trml2html/Makefile.am:
	* libgda-reports/RML/trml2pdf/Makefile.am: corrections to the install and uninstall
	targets
	* providers/sqlite/gda-sqlite-provider.c: correctly return GDA_CONNECTION_FEATURE_PROCEDURES
	as a supported feature
	* configure.in: if there is an installed SQLite, also test that the sqlite3CreateFunc symbol
	is present, and force the embedded SQLile on Windows
	* providers/sqlite/sqlite-src/: don't need to extract the sqliteInt.h anymore, patch
	the sqlite3.c to add new PRAGMAS (from the PragmasPatch file), and don't undefine the
	SQLITE_PRIVATE flag
	* providers/sqlite/gda-sqlite-provider.c: when using a system installed SQLite library,
	catch the functions and aggregates creation to report them correctly when requested
	* providers/sqlite/utils.c: don't use the 'table_types_list' pragma (that pragma
	does not exist in SQLite, it was added by a patch to the embedded SQLite)
	* MAINTAINER: updated

2007-08-29  Vivien Malerba <malerba@gnome-db.org>

	* all object's get_type() function: use G_UNLIKELY to allow the compiler
	to perform some optimizations
	* libgda/gda-data-proxy.c: minor free() bug fixed
	* po/POTFILES.in: updated the list of translatable files
	* doc/C: major doc. update regarding introduction and getting started parts
	* tests/queries/*: corrections to make the checks work when compiling in
	a different dir.
	* Makefile.am:
	* samples/SimpleExample/*: new example to help start with Libgda

2007-08-26  Vivien Malerba <malerba@gnome-db.org>

	* report/: complete re-implementation of the reports, breaking API and ABI from the 3.0
	release (it did not work anyway)
	* libgda-report/*: new reports implementation
	* libgda-3.0.pc.in: 
	* libgda-report-3.0.pc.in: the report library is now sapareted from the main libgda library
	* report/engine/*: new GdaReportEngine which operates on XML files
	* report/RML/*: new report document object which wraps operating on RML XML dialect
	* samples/README:
	* samples/Report/*: new examples of how to use the report features
	* doc/C: documentation updates for the report features
	* libgda/gda-query-condition.c: when rendering as SQL, don't use the "IS" or "IS NOT"
	when a parameter's value is NULL if rendering using the ":param_name", "?nnn" or 
	"$nnn" notations
	* libgda/sql-delimiter/*:
	* libsql/*: parameters for which only the name and optionnally the type are provided
	and no default value is specified can now have the ##<param_name>[::<param_type>] syntax
	* tests/queries/all_sql_tests.xml:
	* tests/queries/params_sql_simple.xml: new test for the new simplified parameter
	specification
	* libgda/gda-query-parsing.c: when a parameter has no specified type, silently default
	to G_TYPE_STRING

2007-08-17  Vivien Malerba <malerba@gnome-db.org>

	* tests/queries/basic_sql.xml:
	* libgda/gda-query.c: calling gda_query_set_sql_text() with several SQL statements
	will now take into account only the first statement, a new error code
	is then set (GDA_QUERY_MULTIPLE_STATEMENTS_ERROR)
	* libgda/gda-query.c: corrected a bug where the error was set even if the query
	was sucessfully exectuted in gda_query_execute()
	* libgda/gda-connection-private.h:
	* libgda/gda-connection.c: added support for providers to declare prepared statements
	attached to GdaQuery objects
	* providers/sqlite/gda-sqlite-provider.c: implemented the execute_query() virtual method
	which uses prepared statements for better performances
	* libgda/gda-parameter.c: corrected gda_parameter_get_alphanum_name()
	* libgda/gda-renderer.h: added a new GDA_RENDERER_PARAMS_AS_QMARK option
	* libgda/gda-query-field-value.c: implement the GDA_RENDERER_PARAMS_AS_QMARK option
	* providers/sqlite/gda-sqlite-provider.c:
	* providers/sqlite/sqlite_specs_dsn.xml.in: the gda_file_exists() function
	is now available from within SQL statements
	* providers/sqlite/virtual/gda-vprovider-data-model.c: make sure the extra SQL functions
	are loaded
	* Makefile.am: include all the files in the samples/ directory as EXTRA_DIST
	* samples/F-Spot/repair-path.c: really check for file existence when building the list
	of missing files
	* samples/TableCopy: reworked the table copy example to copy data from
	two different databases
	* po/POTFILES.in: corrections for bug #467273

2007-08-15  Vivien Malerba <malerba@gnome-db.org>

	* libgda/binreloc/Makefile.am:
	* po/POTFILES.in:
	* providers/sqlite/sqlite-src/Makefile.am:
	* providers/sqlite/virtual/Makefile.am:
	* doc/C/Makefile.am: corrections to make "make distcheck" work

2007-08-14  Vivien Malerba <malerba@gnome-db.org>

	* providers/sqlite/sqlite-src: moved to version 3.4.2
	* providers/sqlite/virtual/gda-vprovider-hub.[ch]:
	* providers/sqlite/virtual/gda-vconnection-hub.[ch]: new type of virtual connection
	in which all the tables of another connection are added (using a namespace to avoid
	table names collisions)
	* providers/sqlite/virtual/gda-vconnection-data-model.[ch]:
	* providers/sqlite/virtual/gda-vprovider-data-model.c: reworked the way virtual tables 
	are created to be able to have virtual tables without a real data model when they are created
	* providers/sqlite/virtual/gda-vconnection-data-model-private.h: new file
	* samples/F-Spot: new example which is supposed to "repair" a broken F-Spot database
	which also illustrates how to use the GdaVconnectionHub virtual connection
	* doc/C: documentation updates

2007-08-10  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: check for the presence of Gnome VFS and Libgcrypt (but does not require them)
	* libgda/gda-value.c: corrected GdaBlob conpare func
	* libgda/gda-data-model.c: corrected dump() function
	* libgda/gda-blob-op.c: corrected read_all() and write_all() methods
	* providers/sqlite/virtual/gda-vprovider-data-model.c: correctly set data type for columns
	of virtual table, and force GdaBlob read
	* providers/sqlite/virtual/gda-vconnection-data-model.c: documented functions
	* libgda/libgda.h.in:
	* libgda/Makefile.am:
	* libgda/gda-data-model-dir.[ch]: a new GdaDataModel object which lists files
	in a directory along with their size, mime type (if Gnome VFS is found) and
	MD5 hash (if libgcrypt is found)
	* libgda/dir-blob-op.[ch]: internal GdaBlobOp object to handle file contents in a
	GdaDataModelDir object
	* samples/DirDataModel: new example to show how the GdaDataModelDir object can be used
	to find file duplicates
	* doc/C: documentation for the GdaDataModelDir data model object, virtual providers
	and connection and various misc. doc improvements

2007-07-28  Murray Cumming <murrayc@murrayc.com>

	* libgda/gda-entity-field.c: 
	gda_entity_field_set_dict_typ(): Do not return values 
	from this void function, to avoid compiler warnings. 

2007-07-28  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Add AC_SUBST(INTLTOOL_XML_RULE) which 
	seems to fix the svn build by generating the provider 
	.xml files from the .xml.in files.
	* providers/sqlite/virtual/Makefile.am: Correct the library 
	name to fix the build.
	* testing/gda-test-blob.c: Replace a define with a const 
	gchar* to avoid a warning about a redefined macro.

2007-07-27  Vivien Malerba <malerba@gnome-db.org>

	* tests/providers/check_bdb.c:
	* tests/providers/FIELDS_SCHEMA_Berkeley-DB_data.xml:
	* tests/providers/gda_check_bdb.db:
	* tests/providers/README: improved BDB test
	* libgda/gda-server-provider.[ch]:
	* providers/*/gda-*-provider.c: added a create_connection() virtual method
	* samples/Virtual/virtual-test.c: 
	* tests/data-models/check_virtual.c: follow API changes
	* libgda/gda-client.c:
	* libgda/gda-server-provider-extra.c: bug fixed
	* providers/bdb/Makefile.am: 
	* providers/bdb/gda-bdb-provider.[ch]: reworked the BDB provider to use
	virtual connections and the GdaDataModelBdb data model object.
	* providers/bdb/utils.c:
	* providers/bdb/gda-bdb-recordset.[ch]: removed unused files

	* providers/sqlite/virtual/virtual-test.c: follow API changes
	* providers/sqlite/virtual/Makefile.am: 
	* providers/sqlite/virtual/gda-vprovider-data-model.[ch]: 
	* providers/sqlite/virtual/gda-vconnection-data-model.[ch]: misc improvements
	* samples/BDB/access-raw.c:
	* libgda/gda-data-model-bdb.[ch]: implemented write operation
	* libgda/gda-data-model.c: doc. correction
	
2007-07-17  Vivien Malerba <malerba@gnome-db.org>

	* tests/data-models/check_virtual.c:
	* tests/data-models/city.csv:
	* tests/data-models/country.csv:
	* tests/data-models/check_virtual.csv: test GdaVproviderDataModel and GdaVconnectionDataModel objects
	* configure.in:
	* providers/sqlite/virtual: renamed from providers/sqlite/vproviders plus modifications to make
	it useable as a component of Libgda
	* libgda/Makefile.am:
	* libgda/csv.h:
	* libgda/libcsv.c: embedded libcsv library (http://sourceforge.net/projects/libcsv/)
	* libgda/gda-data-model-import.c: now use the embedded libcsv library to import CSV files
	* libgda/gda-data-model.c: now use the embedded libcsv library to
	export to CSV files
	* samples/Virtual/*: added an example about how to use the GdaVproviderDataModel and GdaVconnectionDataModel
	objects (very similar to the tests/data-models/check_virtual.c test)
	* samples/BDB/*: added an example of how to use the GdaDataModelBdb object to access a BDB database in
	a single file (includes subclassed and non subclassed examples)
	
2007-07-09  Vivien Malerba <malerba@gnome-db.org>

	* providers/sqlite/vproviders/Makefile.am: applied patch to fix
	bug #454896 (from Marc-Andre Lureau)

2007-07-07  Vivien Malerba <malerba@gnome-db.org>

	* providers/bdb/gda-bdb-recordset.c: make string transalatable
	* providers/sqlite/gda-sqlite-recordset.c: use sqlite3_table_column_metadata() to
	obtain column information to better set GdaColumns' attributes
	* configure.in:
	* providers/sqlite/gda-sqlite-provider.c:
	* providers/sqlite/Makefile.am:
	* providers/sqlite/vproviders/*: created the base for 'virtual providers' 
	implementations which use SQLite's virtual tables to enable access to data
	using SQL for data which does not support SQL (such as CSV data), implemented
	a virtual provider making GdaDataModel objects appear as tables.
	* libgda/binreloc: fixed directory properties
	* libgda/gda-data-model-bdb.[ch]: implements a GdaDataModel to access a BDB 
	database
	* libgda/gda-data-model.[ch]: added gda_data_model_[gs]et_column_name() methods,
	and don't warn on unsupported methods when this can be a "normal" implementation
	* libgda/Makefile.am:
	* libgda/libgda.h:
	* libgda/libgda.h.in: libgda.h is generated when running the configure script,
	to enable compilation of the GdaDataModelBdb only if BDB is found
	* libgda/gda-data-proxy.c: minor misc. corrections (iter creation, test for
	data model access flags)
	* libgda/gda-data-model-iter.c: correction: connect the correct object
	* libgda/gda-connection-private.h:
	* libgda/gda-connection.c: added a gda_connection_force_status() method, and misc.
	minor corrections
	* libgda/gda-data-access-wrapper.c: correctly implemented the get_attributes_at()
	method
	* libgda/gda-client.c: allow a connection not not refer to a GdaClient object (don't
	show warnings in this case)
	* libgda/gda-data-model-import.c: don't keep an internal iterator; corrected the
	get_attributes_at() method
	* doc/C: documentation updates

2007-06-24  Vivien Malerba <malerba@gnome-db.org>

        * doc/C/tmpl/gda-connection-event.sgml:
        * providers/sybase/gda-sybase-provider.c:
        * providers/firebird/gda-firebird-provider.c:
        * providers/firebird/gda-firebird-recordset.c:
        * providers/firebird/gda-firebird-recordset.h:
        * providers/freetds/gda-freetds-provider.c:
        * providers/ibmdb2/gda-ibmdb2-provider.c:
        * providers/sqlite/sqlite-src/Makefile.am:
        * providers/sqlite/gda-sqlite-provider.c:
        * providers/mdb/gda-mdb-provider.c:
        * providers/oracle/gda-oracle-provider.c:
        * providers/mysql/utils.c:
        * providers/mysql/gda-mysql.h:
        * providers/mysql/gda-mysql-recordset.c:
        * providers/mysql/gda-mysql-provider.c:
        * providers/postgres/utils.c:
        * providers/postgres/gda-postgres.h:
        * providers/postgres/gda-postgres-provider.c:
        * providers/postgres/gda-postgres-recordset.c:
        * providers/postgres/gda-postgres-provider.h:
        * providers/odbc/gda-odbc-provider.c:
        * providers/msql/gda-msql-provider.c:
        * providers/msql/gda-msql-recordset.c:
        * libgda/gda-connection-event.c:
        * libgda/gda-connection-event.h:
        * libgda/gda-connection.c: Added a new COMMAND type of connection event which
	corresponds to a command (some SQL) being executed on the connection.
        * configure.in: test for SQLite installation on the system, and if found,
	check if compiled with the SQLITE_ENABLE_COLUMN_METADATA flag (if not, then
	use the embedded SQLite sources)
        * providers/sqlite/gda-sqlite-provider.c: don't use internal structures (the
	list of functions is not available anymore, this will have to be fixed)
        * providers/sqlite/sqlite-src/Makefile.am: build SQLite with the
	SQLITE_ENABLE_COLUMN_METADATA flag
	
2007-06-22  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql/gda-mysql-provider.c: applied patch by Piotr Pokora 
	for bug #450043
	* providers/ldap/utils.c:
	* providers/sybase/utils.c:
	* providers/sybase/gda-sybase-provider.c:
	* providers/sybase/gda-sybase-recordset.c:
	* providers/bdb/utils.c:
	* providers/freetds/utils.c:
	* providers/freetds/gda-freetds-provider.c:
	* providers/oracle/utils.c:
	* providers/mysql/utils.c:
	* providers/postgres/utils.c:
	* providers/msql/gda-msql-utils.c:
	* libgda/gda-connection-event.c:
	* libgda/gda-connection-event.h: make sure the sqlstate of any 
	connection event is available, even is it is as a generic code

2007-06-21  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-query.[ch]: applied corrections for bug #449725 (from Piotr Pokora)
	* providers/sqlite/sqlite-src/*: use SQLite 3.4.0
	* libgda/gda-connection.c: 
	* libgda/gda-server-provider.c: add a call to gda_connection_clear_events_list() in
	gda_server_provider_execute_query() and	gda_server_provider_execute_command(), and
	removed it from gda_connection_execute_command() (which calls gda_server_provider_execute_command)
	* libgda/gda-init.c:
	* libgda/gda-threader.c: if the LIBGDA_NO_THREADS environment variable is set, then
	don't initialize threads system (don't call g_thread_init())
	* libgda/gda-dict-table.h:
	* libgda/gda-data-access-wrapper.h:
	* libgda/gda-parameter.h:
	* libgda/gda-quark-list.h:
	* libgda/gda-query-field-all.h:
	* libgda/gda-query-object.h:
	* libgda/gda-query-field-field.h:
	* libgda/gda-query.h:
	* libgda/gda-connection.h:
	* libgda/gda-query-field.h:
	* libgda/gda-data-proxy.h:
	* libgda/gda-object-ref.h:
	* libgda/gda-query-join.h:
	* libgda/gda-dict-constraint.h:
	* libgda/gda-object.h:
	* libgda/gda-command.h:
	* libgda/gda-blob-op.h:
	* libgda/gda-connection-event.h:
	* libgda/gda-data-model-index.h:
	* libgda/gda-server-provider.h:
	* libgda/graph/gda-graph-item.h:
	* libgda/graph/gda-graph-query.h:
	* libgda/graph/gda-graph.h:
	* libgda/gda-transaction-status.h:
	* libgda/gda-query-field-value.h:
	* libgda/gda-data-model-filter-sql.h:
	* libgda/gda-dict.h:
	* libgda/gda-data-model-query.h:
	* libgda/gda-config.h:
	* libgda/handlers/gda-handler-numerical.h:
	* libgda/handlers/gda-handler-bin.h:
	* libgda/handlers/gda-handler-string.h:
	* libgda/handlers/gda-handler-time.h:
	* libgda/handlers/gda-handler-boolean.h:
	* libgda/handlers/gda-handler-type.h:
	* libgda/gda-row.h:
	* libgda/gda-query-field-agg.h:
	* libgda/gda-graphviz.h:
	* libgda/gda-server-operation.h:
	* libgda/gda-data-model-array.h:
	* libgda/gda-dict-database.h:
	* libgda/gda-data-model-import.h:
	* libgda/gda-threader.h:
	* libgda/gda-dict-aggregate.h:
	* libgda/gda-dict-field.h:
	* libgda/gda-data-model-iter.h:
	* libgda/gda-data-model-hash.h:
	* libgda/gda-client.h:
	* libgda/gda-data-model.h:
	* libgda/gda-dict-function.h:
	* libgda/gda-query-field-func.h:
	* libgda/gda-data-handler.h:
	* libgda/gda-column.h:
	* libgda/gda-query-target.h:
	* libgda/gda-dict-type.h:
	* libgda/gda-column-index.h:
	* libgda/gda-query-condition.h:
	* libgda/gda-parameter-list.h:
	* providers/freetds/gda-freetds-provider.h:
	* providers/freetds/gda-freetds-recordset.h:
	* providers/sybase/gda-sybase-recordset.h:
	* providers/sybase/gda-sybase-provider.h:
	* providers/bdb/gda-bdb-recordset.h:
	* providers/bdb/gda-bdb-provider.h:
	* providers/ibmdb2/gda-ibmdb2-recordset.h:
	* providers/ibmdb2/gda-ibmdb2-provider.h:
	* providers/msql/gda-msql-provider.h:
	* providers/msql/gda-msql-recordset.h:
	* providers/firebird/gda-firebird-recordset.h:
	* providers/firebird/gda-firebird-provider.h:
	* providers/ldap/gda-ldap-recordset.h:
	* providers/ldap/gda-ldap-provider.h:
	* providers/xbase/gda-xbase-provider.h:
	* providers/postgres/gda-postgres-cursor-recordset.h:
	* providers/postgres/gda-postgres-blob-op.h:
	* providers/postgres/gda-postgres-recordset.h:
	* providers/postgres/gda-postgres-handler-bin.h:
	* providers/postgres/gda-postgres-provider.h:
	* providers/oracle/gda-oracle-blob-op.h:
	* providers/oracle/gda-oracle-recordset.h:
	* providers/oracle/gda-oracle-provider.h:
	* providers/sqlite/gda-sqlite-provider.h:
	* providers/sqlite/gda-sqlite-recordset.h:
	* providers/sqlite/gda-sqlite-handler-bin.h:
	* providers/odbc/gda-odbc-recordset.h:
	* providers/odbc/gda-odbc-provider.h:
	* providers/mysql/gda-mysql-provider.h:
	* providers/mysql/gda-mysql-recordset.h:
	* providers/mdb/gda-mdb-provider.h:
	* report/libgda-report/gda-report-item.h:
	* report/libgda-report/gda-report-item-sqlquery.h:
	* report/libgda-report/gda-report-valid.h:
	* report/libgda-report/gda-report-item-label.h:
	* report/libgda-report/gda-report-result.h:
	* report/libgda-report/gda-report-item-pageheader.h:
	* report/libgda-report/gda-report-item-reportfooter.h:
	* report/libgda-report/gda-report-item-pagefooter.h:
	* report/libgda-report/gda-report-item-detail.h:
	* report/libgda-report/gda-report-document.h:
	* report/libgda-report/gda-report-item-report.h:
	* report/libgda-report/gda-report-item-repfield.h:
	* report/libgda-report/gda-report-item-reportheader.h: added G_GNUC_CONST to all
	of the _get_type(void) functions
	* tests/providers/*: corrected test data

2007-06-17  Vivien Malerba <malerba@gnome-db.org>

	* libgda/graph/gda-graph.c: correctly interpret the ID of a
	graph when loaded from XML
	* configure.in: don't try to use the curses library on Windows

2007-06-12  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-log.c: set log level to G_LOG_LEVEL_DEBUG to avoid application
	crash on Windows
	* libgda/gda-config.c: set the per-user directory for libgda to '.libgda'
	* libgda/gda-init.c: load the DTD files in the correct order
	* libgda/gda-parameter-list.c:
	* libgda/gda-server-operation.c:
	* libgda/gda-dict.c: don't try to validate XML documents againts the DTD on
	Windows as it does not work

2007-06-12  Vivien Malerba <malerba@gnome-db.org>

	* providers/ldap/Makefile.am:
	* providers/ldap/libmain.c:
	* providers/firebird/Makefile.am:
	* providers/firebird/libmain.c:
	* providers/sybase/libmain.c:
	* providers/sybase/Makefile.am:
	* providers/bdb/Makefile.am:
	* providers/bdb/libmain.c:
	* providers/freetds/libmain.c:
	* providers/freetds/Makefile.am:
	* providers/ibmdb2/Makefile.am:
	* providers/ibmdb2/libmain.c:
	* providers/sqlite/libmain.c:
	* providers/sqlite/gda-sqlite-provider.c:
	* providers/sqlite/Makefile.am:
	* providers/xbase/Makefile.am:
	* providers/xbase/libmain.c:
	* providers/mysql/libmain.c:
	* providers/mysql/gda-mysql-provider.c:
	* providers/mysql/Makefile.am:
	* providers/oracle/libmain.c:
	* providers/oracle/gda-oracle-provider.c:
	* providers/oracle/Makefile.am:
	* providers/postgres/libmain.c:
	* providers/postgres/gda-postgres-provider.c:
	* providers/postgres/Makefile.am:
	* providers/odbc/Makefile.am:
	* providers/odbc/libmain.c:
	* providers/msql/Makefile.am:
	* providers/msql/libmain.c:
	* libgda/binreloc/*:
	* libgda/gda-util.c:
	* libgda/gda-util.h:
	* libgda/Makefile.am:
	* libgda/gda-config.c:
	* libgda/gda-init.c:
	* acinclude.m4:
	* configure.in: Use BinReloc to avoid hard coding paths to files 
	(so one can move the installed directory and still have Libgda working), 
	see http://autopackage.org/docs/binreloc

2007-06-09  Vivien Malerba <malerba@gnome-db.org>

	* tools/gda-sql.c:
	* tools/gda-inspect-dict-file.c:
	* tools/tools-input.c:
	* testing/gda-test-sql.c:
	* testing/gda-test-model-query.c:
	* providers/mysql/gda-mysql.h:
	* providers/postgres/gda-postgres-provider.c:
	* libgda/gda-config.c:
	* libgda/gda-log.c:
	* libgda/gda-decl.h: MinGW build fixes
	
2007-06-06  Vivien Malerba <malerba@gnome-db.org>

	* providers/postgres/gda-postgres-cursor-recordset.[ch]: a new GdaDataModel which
	implements cursor based data retreival for PostgreSQL
	* providers/postgres/*: make use of that new data model if necessary
	* libgda/gda-connection.c:
	* libgda/gda-server-provider.c: documentation update
	* po/POTFILES.in: handle the latest file changes

2007-06-04  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-column.c: don't g_free() several times the same string
	* libgda/gda-connection.c: correctly output the number of rows in a returned
	data model when that number is not known
	* tools/command-exec.c: test for NULL strings before calling 
	gda_value_new_from_string()

2007-06-03  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-client.c: fixed gda_client_find_connection() where the first existing
	connection was always returned regardless of the requested DSN
	* libgda/gda-parameter.c: make gda_parameter_get_value_str() return NULL if
	parameter's value is NULL
	* libgda/gda-data-model.c: correctly display multiline strings in any column when using
	gda_data_model_dump_as_string()
	* tools/gda-sql.c: 
	* tools/command-exec.c:
	  - added commands (\set, \unset, \H)
	  - correclty set dictionary after each connection change

2007-05-31  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-proxy.c: added a "defer_sync" property to control if the synchronization
	between GdaDataProxy object and proxied model should be immediate of defered into an 
	idle loop (the latter being the default)
	* tools/Makefile.am:
	* tools/gda-run.c: removed useless program
	* tools/tools-input.[ch]: make readline handle process signals
	* tools/command-exec.c:
	* tools/gda-sql.c: 
	  - added new internal commands (\q, \cd, \copyright, \e, \r, \p, \g, \w, \w_dict, 
	    \r_dict, \dq)
	  - handle correctly the SIGINT signal,
	  - correctly behave when stdin and/or stdout are streams and not attached to a terminal,
	  - output large results as several pages using a pager, 
	  - output can be sent to a file or to a piped program (using the "|prog" syntax)
	  - history can be saved to a file

2007-05-28  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-config.c: change URL to DB_DIR and DB_NAME in the SalesTest example
	DSN (this change was made some time ago in the SQLite provider), to avoid warnings
	* libgda/gda-data-model.c: disabled debug info
	* tools/Makefile.am:
	* tools/command-exec.[ch]:
	* tools/tools-input.[ch]:
	* tools/gda-sql.c: new command line tool designed to be similar to the
	PostgreSQL's psql command line

2007-05-28  Hans de Goede <j.w.r.degoede@hhs.nl>

	* providers/ldap/gda-ldap.h:
	Define LDAP_DEPRECATED to fix missing prototype warnings. At least
	2 of tese warnings were fatal bugs on 64 bit platforms (because the compiler 
	then assumes the function returns an int == 32 bit, where as in reality it 
	returns a pointer == 64 bit).

2007-05-21  Vivien Malerba <malerba@gnome-db.org>

	* providers/sqlite/gda-sqlite-provider.c: fixed the NOT NULL reported attibute for table's fields
	* data/sales_test.db: complexified a bit the sample database
	* libgda/graph/gda-graph-item.c: fixed saving and loading to and from XML when coordinates
	are negative
	* libgda/gda-dict.c: avoid string comparison when string is NULL to
	avoid crash

2007-05-17  Vivien Malerba <malerba@gnome-db.org>

	* samples/table_copy.c: new example showing how to copy data from one
	table to the other.

2007-05-17  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-object-ref.c: when losing the reference to the referenced object, correctly
	respond to users still wanting to know which was the referenced object
	* libgda/gda-init.c: make the default dictionary handle graph objects
	* providers/sqlite/gda-sqlite-provider.c: correct which statement is executed to force 
	SQLite to re-read the database structure
	* libgda/gda-data-model-query.c: avoid showing a warning about
	modification query's param type if expected type is unknown
	* libgda/gda-query.c: display a warning when expanding a table.* field
	into a list of fields when the dictionary is not up to date

2007-05-14  Vivien Malerba <malerba@gnome-db.org>

	 * configure.in: set to version 3.1.1
	 * libgda/graph/gda-graph-item.c: minor object dump display correction
	 * libgda/graph/gda-graph-query.c: if the dictionary does not handle
	 GdaGraph objects, then make it handle them instead of crashing

2007-05-14  Vivien Malerba <malerba@gnome-db.org>

	Propagated from the "release-3-0-branch" branch
	* libgda/gda-value.c: remove warnings in gda_value_stringify() for invalid dates
	* libgda/gda-client.c: correctly implement connection sharing
	* libgda/gda-client.c: correctly emit the "event_notification" signal when a connection is opened, 
	bug #316698
	* libgda/gda-column.c: memory leak correction
	* providers/sqlite/gda-sqlite-provider.c: force SQLite to re-read the database structure
	in case it has been modified by another connection since the last time an SQL statement
	was executed
	
2007-05-08  Armin Burgmeier  <armin@openismus.com>

	* libgda/sql-delimiter/lexer.l: Add special rule for '\\' so that \\'
	is correctly recognized as string delimiter.

	* libsql/lexer.l: Applied the same change here. Bug #433687.

2007-05-06  Vivien Malerba <malerba@gnome-db.org>

	* providers/sqlite/sqlite-src/Makefile.am: changes due to the new type of distributed source of
	SQLite
	* providers/sqlite/sqlite-src/sqliteInt.h: generated file
	* providers/sqlite/sqlite-src/sqlite3.[ch]: now at version 3.3.17

2007-04-29  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Require inltool 0.35.5 (when building from svn, 
	not from tarball, I think) because the provider .xml files are not generated 
	with my slightly older version.

2007-04-26  Vivien Malerba <malerba@gnome-db.org>

	* tools/Makefile.am: minor correction for bug #432798 (due to too much
	cleanup)

2007-04-24  Vivien Malerba <malerba@gnome-db.org>

	* tools/Makefile.am: applied a patch by Leonardo Boshell to fix
	  bug #432798

2007-04-24  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set to version 3.0.1

Released 3.0.0

2007-04-23  Vivien Malerba <malerba@gnome-db.org>

	* libsql/mem.c:
	* libsql/sql_tree.c:
	* libsql/sql_parser.c: corrected non initialized memory bugs
	* libgda/gda-server-provider-extra.c: look for files in the correct install dir

2007-04-19  Vivien Malerba <malerba@gnome-db.org>

	* tests/providers/prov-test-common.c:
	* tests/providers/check_sqlite.c: don't fork tests when using SQLite as
	SQLite does not support it (see http://www.sqlite.org/faq.html)
	* providers/sqlite/gda-sqlite-provider.c: added a busy handler to wait for
	a few ms when a database is locked
	* providers/sqlite/gda-sqlite-recordset.c: set the data model as read-only
	* libgda/gda-data-model-row.c: removed unnecessary assertion check

2007-04-18  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: set version to 3.0.0 for release
	* libgda/sql-delimiter/parser.y:
	* libgda/sql-delimiter/lexer.l:
	* libgda/sql-delimiter/gda-sql-delimiter.h:
	* libgda/sql-delimiter/gda-sql-delimiter.c:
	* libgda/sql-delimiter/gda-test-delimiter.c: the delimiter now works correctly when using
	BEGIN ... END blocks with ";" in the middle, when using PostgreSQL dollar quoting notation
	for strings and removes comments
	* libgda/sql-delimiter/lexer.l:
	* libsql/lexer.l: don't replace "\n", "\t", etc by their char '\n', '\t', etc in strings
	or textuals
	* tests/queries/check_delimiter.c:
	* tests/queries/basic_sql.xml:
	* tests/queries/all_sql_tests.xml:
	* tests/queries/app_sql.xml: improved test error reporting, and added a lot of complex
	SQL test cases
	* providers/sqlite/gda-sqlite-provider.c: implemented the get_last_insert_id() virtual
	method
	* libgda/gda-connection.c:
	* libgda/gda-server-provider.c: doc. update for the get_last_insert_id() functions
	* providers/postgres/gda-postgres-provider.[ch]: corrected a bug in 
	gda_postgres_provider_get_last_insert_id() where the call would fail if the recset 
	argument was NULL
	* providers/ldap/libmain.c:
	* providers/firebird/libmain.c:
	* providers/sybase/libmain.c:
	* providers/bdb/libmain.c:
	* providers/freetds/libmain.c:
	* providers/ibmdb2/libmain.c:
	* providers/sqlite/libmain.c:
	* providers/mdb/libmain.c:
	* providers/xbase/libmain.c:
	* providers/mysql/libmain.c:
	* providers/oracle/libmain.c:
	* providers/postgres/libmain.c:
	* providers/odbc/libmain.c:
	* providers/msql/libmain.c: corrected a bug which prevented providers to be found
	when using the library
	* doc/C/limitations.xml: added some more information about providers' limitations

2007-04-13  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-init.c: show a message and not a warning when the DTD files cannot be found
	* libgda/gda-config.c: now use the GDA_PROVIDERS_ROOT_DIR env. variable to be
	able to load providers before installing libgda (for testing purposes)
	* libgda/gda-dict.c:
	* libgda/gda-parameter-list.c:
	* libgda/gda-server-operation.c: perform DTD validation only if the DTD file has been
	found, and use the DTD specified in the XML if specified
	* libgda/gda-server-provider-extra.[ch]: added new helper functions for providers' 
	implementations
	* libgda/gda-data-model-import.c: corrected a bug where column types were not correctly used
	* providers/ldap/libmain.c:
	* providers/sybase/libmain.c:
	* providers/firebird/libmain.c:
	* providers/bdb/libmain.c:
	* providers/freetds/libmain.c:
	* providers/ibmdb2/libmain.c:
	* providers/sqlite/libmain.c:
	* providers/xbase/libmain.c:
	* providers/mdb/libmain.c:
	* providers/oracle/libmain.c:
	* providers/oracle/gda-oracle-provider.c:
	* providers/mysql/libmain.c:
	* providers/msql/libmain.c:
	* providers/odbc/libmain.c:
	* providers/sqlite/libmain.c:
	* providers/sqlite/gda-sqlite-provider.c:	
	* providers/mysql/gda-mysql-provider.c:
	* providers/postgres/libmain.c:
	* providers/postgres/gda-postgres-provider.c:
	* tests/providers/check_*.c: allow testing to take place before installation
	* po/POTFILES.in:
	* providers/msql/libmain.c: renamed gda-msql-libmain.c to libmain.c
	* providers/mdb/mdb_specs_dsn.xml.in:
	* providers/mdb/gda-mdb-provider.c: use DB_DIR and DB_NAME parameters instead of
	the FILENAME parameter
	* providers/sqlite/sqlite_specs_dsn.xml.in: improved description
	* providers/sqlite/gda-sqlite-provider.c: improved code readability, and also try to use
	the database file as specified by the DB_NAME parameter without the ".db" extension
	* libsql/lexer.l:
	* libgda/sql-delimiter/lexer.l: don't limit the size of strings and textual expressions
	to 2048 bytes (use a GString instead), for bug #427605

2007-04-03  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-access-wrapper.c: gda_data_model_get_n_rows() now returns the correct
	number of rows in the data model, instead of -1 when the wrapped data model has not yet been
	"analysed" up to its end (and when it can't be accessed in a random way)
	* libgda/gda-value.c: corrected set_from_string() when requested type is G_TYPE_ULONG and
	when a number was passed as string because we don't yet use G_TYPE_GTYPE which requires 
	Glib >+ 2.10
	* libgda/gda-value.c: gda_value_compare_ext() now considers that a G_TYPE_STRING value
	holding a NULL string is similar to a NULL value or to a GDA_TYPE_NULL value
	* tests/data-models/check_model_import.c: improved test
	* tests/providers/*: improved test
	* libgda/gda-data-model.c: specifically format output XML files in a human readable way
	* libgda/gda-util.c: better handling of NULL values (see note about the libgda/gda-value.c
	file above)
	* libgda/gda-data-model-import.c: another correction in the war the XML reader is used, and
	fixed data model ID naming 
	* providers/mysql/gda-mysql-provider.c: corrected a bug where the same column would be reported
	several times in the TABLE_FIELDS schema
	* libgda/gda-dict.c: code cleanup
	* configure.in:
	* tests/queries/dict_pg.xml.in: generate the dict_pg.xml and bug_param_sql_dict.xml files at 
	configure to set the path to the DTD to allow "make distcheck" to work
	* tests/queries/Makefile.am: s/top_srcddir/top_srcdir/, corrections to allow "make distcheck" 
	to work
	* libgda/gda-query.c: don't use strcmp() when one of the arguments is NULL (bug #410200)
	
2007-04-03  Murray Cumming  <murrayc@murrayc.com>

	* COPYING:
	* README: Clarify that the library and providers are under LGPL. It is just the 
	executables that are under GPL.
	* providers/postgres/gda-postgres-handler-bin.c:
	* providers/postgres/gda-postgres-handler-bin.h:
	* providers/sqlite/gda-sqlite-handler-bin.c:
	* providers/sqlite/gda-sqlite-handler-bin.h: Correct inconsistent license headers.

2007-04-03  Murray Cumming  <murrayc@murrayc.com>

	* libgda/: Some of the headers mistakenly mentioned GPL instead of LGPL. 
	LGPL is obviously intended, as specified in the README, so I made these consistent.

2007-03-30  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-server-provider.c:
	* libgda/gda-server-provider-private.h: removed the list of connections
	using the specified GdaServerProvider object as it was useless and the 
	self-unreferencing of the providers if there was no opened connection left
	lead to memory corruption
	* libgda/gda-connection.c: added more assertions tests to avoid crashes
	* libgda/gda-quark-list.c: don't pass g_free as data pointer if it's not used
	* tests/providers/prov-test-util.c: make it possible to close and re-open a
	connection after some tests because tests are run in sub-processes
	* tests/providers/*: now test TYPES schema
	* tests/data-models/: new tests for GdaDataModel implementations (only
	a start at the moment)

2007-03-29  Vivien Malerba <malerba@gnome-db.org>

	* tests/providers/*: improved providers tests (now tests DB creation, SQL execution
	to create tables, tables' fields retreival, DB destruction)
	* libgda/gda-data-model-import.c: corrected XML files import in situations when the 
	XML file was not indented
	* libgda/gda-parameter-list.c: API doc improvements

2007-03-28  Vivien Malerba <malerba@gnome-db.org>

	* tests/queries/*: moved all files in tests/ to tests/queries
	* tests/providers/*: new providers' tests
	* configure.in: adapted to the new tests/ directory layout
	* doc/C/server-operation.xml: improved doc.

2007-03-27  Vivien Malerba <malerba@gnome-db.org>

	* libsql/lexer.l:
	* libgda/sql-delimiter/lexer.l: return to the INITIAL state for the next call
	if there has been an EOF while in a string or textual expression
	* providers/sqlite/gda-sqlite-provider.c: remove comment, see
	http://www.mail-archive.com/sqlite-users%40sqlite.org/msg23418.html

2007-03-27  Baris Cicek  <baris@teamforce.name.tr>

	* libgda/tools/gda-config-tool.c: Moved from popt to GOption for 
	the sake of GNOME Goals. Bug #420306
	* libgda/tools/gda-run.c: Removed #include <popt.h>, its never used
	anyways. 
	* libgda/configure.in:
	* libgda/tools/Makefile.am: Removed dependecy and test for popt. 

2007-03-27  Carsten Clark  <tantumquantum@gmail.com>

	* POTFILES.in: Added missing files.
	Bug #421986

	* libgda/sql-delimiter/lexer.l:
	* libgda/sql-transaction/lexer.l:
	* libsql/lexer.l: Make char*s static, to avoid linker errors on MacOS X.
	Bug #421986

2007-03-26  Armin Burgmeier  <armin@openismus.com>

	* libgda/gda-value.c: Removed a line that unconditionally returned
	with calling g_value_get_uint() if the type of the values to compare
	was not known. The warning that should actually be displayed in that
	case was therefore never triggered.

2007-03-26  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-query.h: added a GDA_QUERY_PARAM_TYPE_ERROR type of error
	* libgda/gda-query.c: default the data type to G_TYPE_STRING when a parameter's type
	is unknown and when type of query is GDA_QUERY_TYPE_NON_PARSED_SQL
	* libgda/gda-query.c: don't crash when @priv->all_conds is not NULL as expected
	because this can happen in case the user kept some reference on some GdaQueryCondition
	object
	* libgda/gda-query-field-value.c: added a new "string_type" property used when
	rendering SQL to render type as it was specified
	* libgda/gda-query-parsing.c: better determination of data type for values
	* libgda/gda-query-parsing.c: avoid GdaQueryCondition object reference leak
	* libgda/gda-query-parsing.c: default the data type to G_TYPE_STRING when a parameter's type
	is unknown instead of refusing to parse the query
	* libgda/gda-dict-reg-functions.c: don't crash if the dictionary does not handle
	functions
	* libgda/gda-dict-reg-aggregates.c: don't crash if the dictionary does not handle
	aggregates
	* tests/check_delimiter.c: don't fail to build tests when the "check" library is 
	not installed 
	* tests/*: added new test cases and added some flexibility in the way to test
	SQL rendering
	* tests/test-util.c: try to run all tests both without any dictionary, and with one
	if a dictionary file is specified
	* providers/sqlite/gda-sqlite-provider.c: now use the recommended sqlite3_prepare_v2 SQlite API,
	and improved notices contents

2.99.6: 3.0 RC1

2007-03-20  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model.h:
	* libgda/gda-server-provider.h: added reserved places
	for future extensions without breaking ABI

2007-03-19  Murray Cumming  <murrayc@murrayc-desktop>

	* libgda/gda-data-model-private.h:
	* providers/ldap/gda-ldap-recordset.c:
	(gda_ldap_recordset_class_init):
	* providers/msql/gda-msql-recordset.c:
	(gda_msql_recordset_class_init):
	* providers/oracle/gda-oracle-recordset.c:
	(gda_oracle_recordset_class_init):
	#ifdef-ed out the definitions of the functions that used gda_data_model_get_command_text(), 
	to prevent linker errors, and added comments pointing to the relevant bug report.

2007-03-19  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sql-delimiter/Makefile.am: applied patch from
	Mark Johnson <mrj001@shaw.ca> to correct a compiling problem
	* providers/ldap/gda-ldap-recordset.c:
	* providers/oracle/gda-oracle-recordset.c:
	* providers/msql/gda-msql-recordset.c: disabled adding values
	to GdaDataModel returned when executing a SELECT command, to 
	avoid calling the non-existant gda_data_model_get_command_text()
	for bug #411811

2007-03-16  yselkowitz  <yselkowitz@users.sourceforge.net>

	* acconfig.h:
	* configure.in:
	* providers/mdb/gda-mdb-provider.c:
	(gda_mdb_provider_open_connection), (gda_mdb_provider_execute_sql):
	Added configure tests to allow us to ifdef around changes in the MDB 
	API. Hopefully this will not happen often.
	Bug #412122.

2007-03-15  yselkowitz  <yselkowitz@users.sourceforge.net>

	* configure.in: Add AM_PROG_CC_C_O to avoid a warning.
	* libgda/sql-delimiter/Makefile.am: Modify rules to fix the vpath 
	build.
	Patches in bug #418116.

2007-03-15  Vivien Malerba <malerba@gnome-db.org>

	Applied patch from Yaakov (Cygwin Ports) and Gustavo R. Montesino:

	* Makefile.am
	* configure.in
	* doc/C/Makefile.am
	* libgda-3.0.pc.in
	* libgda/Makefile.am
	* libgda/graph/Makefile.am
	* libgda/handlers/Makefile.am
	* libgda/sql-delimiter/Makefile.am
	* libgda/sql-transaction/Makefile.am
	* providers/freetds/Makefile.am
	* providers/mdb/Makefile.am
	* providers/mysql/Makefile.am
	* providers/postgres/Makefile.am
	* providers/sqlite/Makefile.am
	* report/testing/Makefile.am
	* testing/Makefile.am
	* tests/Makefile.am
	* tools/Makefile.am:
	Change libgda sublibs to convenience libs and merge them into
	libgda-3.0.la.
	Fixes compilation with -Wl,--as-needed or -Wl,-z,defs and obsoletes
	the Win32
	bootstrapping; see bug 349548 and others.

	* win32/Makefile.am
	* win32/dummy.la
	* win32/libgda_graph-3.0.def
	* win32/libgda_handlers-3.0.def: Removed.

2007-03-12  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-proxy.c: corrected a bug leading to a non refreshed
	data after a call to gda_data_proxy_apply_all_changes()
	* libgda/gda-row.h:
	* libgda/gda-data-model-row.h: formatting updates

2007-03-09  Vivien Malerba <malerba@gnome-db.org>

	* tests/check_delimiter.c: checks for the correct number of statements recognized
	* tests/all_sql_tests.xml:
	* tests/params_sql.xml:
	* tests/prov_sql.xml:
	* tests/select_sql.xml:
	* tests/app_sql.xml:
	* tests/basic_sql.xml:
	* tests/dict_pg.xml:
	* tests/check_delimiter.c: added more test cases and groupped them into one single index
	file (all_sql_tests.xml)
	* tests/check_gdaquery.c: test for GdaQuery parsing SQL
	* libgda/gda-dict.c: replaced GDA_TYPE_OBJECT with G_TYPE_STRING for the
	1st argument of the "update_progress" signal
	* libgda/gda-query.c: corrected empty query ("") handling
	* libgda/gda-parameter-list.c: replaced "uint" with "guint" for the W32 platform, see
	http://mail.gnome.org/archives/gnome-db-list/2007-January/msg00038.html
	* libsql/sql_parser.c: include the <glib/gi18n-lib.h> file to define _(), 
	improved the SQL parser to detect non terminated strings
	* libsql/lexer.l: use LEX states for the parameters definition, report non parsed
	characters
	* libgda/sql-delimiter/parser.y: 
	* libgda/sql-delimiter/gda-delimiter-tree.c:
	* libgda/sql-delimiter/gda-sql-delimiter.c:
	* libgda/sql-delimiter/gda-test-delimiter.c:
	* libgda/sql-delimiter/lexer.l:
	* libgda/sql-delimiter/gda-sql-delimiter.h: vastly improved the SQL delimiter which now
	don't change spacings in the rendered SQL and detect default values for parameters (for
	example "SELECT 1.23 /* name:myparam */" detects a parameter named "myparam" with a
	default value of 1.23), detect non terminated strings
	* libgda/gda-query-parsing.c: set the GdaQueryFieldValue's default value correctly when
	there is a parameter in the SQL
	* libgda/gda-query-field-value.c: correctly render SQL when there is a default value
	* libgda/gda-query.c: correctly take into account default values for parameters when
	a query is defined from SQL
	* libgda/handlers/gda-handler-bin.c: fix memory allocation problem
	* libgda/gda-column.c: removed usage of G_TYPE_GTYPE
	* libgda/gda-data-model.c: removed check on uninitialized value
	* libgda/handlers/gda-handler-time.[ch]: added gda_handler_time_get_format()
	* providers/sqlite/sqlite-src/: up to Sqlite 3.3.13
	* libgda/gda-value.c: corrected a gda_value_compare() bug which returned wrong
	results in some limit number comparisons
	* fixed the svn:ignore property of some directories

2007-03-08  Pema Geyleg <pema.geyleg@gmail.com>

	* configure.in: Added 'dz' to ALL_LINGUAS

2007-03-09  Murray Cumming  <murrayc@murrayc.com>

	* tests/Makefile.am:
	* tests/check_delimiter.c: Distribute the test XML file and define the path 
	to the test XML file in the Makefile, so it works when srcdir!=distdir, 
	as during distcheck.

2007-03-08  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am:
	* configure.in:
	* gda-sharp/.cvsignore:
	* gda-sharp/Application.cs:
	* gda-sharp/AssemblyInfo.cs.in:
	* gda-sharp/Gda.metadata:
	* gda-sharp/Makefile.am:
	* gda-sharp/doc/Makefile.am:
	* gda-sharp/doc/gda-sharp-docs.source:
	* gda-sharp/gda-api.raw:
	* gda-sharp/gda-sharp-3.0.pc.in:
	* gda-sharp/gda-sharp.dll.config.in:
	* gda-sharp/gda-sources.xml: Removed the gda-sharp language bindings.
	Please revive them as a separate module from the 
	libgda_3_0_before_removing_gda_sharp tag if you would like to maintain 
	them.

2007-03-08  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am: Add gda-sharp.snk to EXTRA_DIST as suggested in 
	bug #390609.

2007-03-08   Daniel Espinosa  <esodan@gmail.com>>

	* configure.in: Require mono 1.2 if building the gda-sharp 
	bindings.
	* gda-sharp/gda-api.raw: Updated to latest version of the 
	API.
	Patch in bug #390609.

2007-03-03  Murray Cumming  <murrayc@murrayc-desktop>

	* Added the gda-sharp.snk file from bug #390609, 
	which is needed for the gda-sharp bindings. I have no 
	idea what this binary file is, however.

2007-03-02  Murray Cumming  <murrayc@murrayc-desktop>

	* gda-sharp/doc/Makefile.am:
	* gda-sharp/doc/gda-sharp-docs.source: Added 
	missing files to svn. Noticed by Mark Johnson.

2007-02-24  Armin Burgmeier  <armin@openismus.com>

	* libgda/gda-data-model-hash.c: Implemented
	gda_data_model_hash_update_row().
	Patch in bug #411984

2007-02-28  yselkowitz  <yselkowitz@users.sourceforge.net>

	* configure.in:
	* providers/bdb/Makefile.am:
	* providers/bdb/libgda-bdb-3.0.pc.in:
	* providers/firebird/Makefile.am:
	* providers/firebird/libgda-firebird-3.0.pc.in:
	* providers/freetds/Makefile.am:
	* providers/freetds/libgda-freetds-3.0.pc.in:
	* providers/ibmdb2/Makefile.am:
	* providers/ibmdb2/libgda-ibmdb2-3.0.pc.in:
	* providers/ldap/Makefile.am:
	* providers/ldap/libgda-ldap-3.0.pc.in:
	* providers/mdb/Makefile.am:
	* providers/mdb/libgda-mdb-3.0.pc.in:
	* providers/msql/Makefile.am:
	* providers/msql/libgda-msql-3.0.pc.in:
	* providers/mysql/Makefile.am:
	* providers/mysql/libgda-mysql-3.0.pc.in:
	* providers/odbc/Makefile.am:
	* providers/odbc/libgda-odbc-3.0.pc.in:
	* providers/oracle/Makefile.am:
	* providers/oracle/libgda-oracle-3.0.pc.in:
	* providers/postgres/Makefile.am:
	* providers/postgres/libgda-postgres-3.0.pc.in:
	* providers/sqlite/Makefile.am:
	* providers/sqlite/libgda-sqlite-3.0.pc.in:
	* providers/sybase/Makefile.am:
	* providers/sybase/libgda-sybase-3.0.pc.in:
	* providers/xbase/Makefile.am:
	* providers/xbase/libgda-xbase-3.0.pc.in:
	Added .pc files for the providers so that applications can check for the presence of 
	specific providers at configure time.
	Patch in bug #353404

2007-02-28  yselkowitz  <yselkowitz@users.sourceforge.net>

	* Makefile.am
	* configure.in
	* gda-sharp/Application.cs
	* gda-sharp/AssemblyInfo.cs.in
	* gda-sharp/Makefile.am
	* gda-sharp/doc/Makefile.am
	* gda-sharp/doc/gda-sharp-docs.source
	* gda-sharp/gda-sharp-3.0.pc.in
	* gda-sharp/gda-sharp.dll.config.in:
	Correct library name for DllImport calls.
	Depends only on glib-sharp-2.0, not gtk-sharp.
	Modify gda-sharp build system to install in the GAC.
	Build and install monodoc documentation.
	Patch in bug #390609

2007-02-28  yselkowitz  <yselkowitz@users.sourceforge.net>

	* win32/dummy.la: Was imported into CVS empty, causing several compaints from
	Win32 users.  Fixed.
	* win32/libgda_graph-3.0.def
	* win32/libgda_handlers-3.0.def: Updated to 2.99.5 API.
	Patch in bug #314732

2007-02-28  yselkowitz  <yselkowitz@users.sourceforge.net>

	* providers/mdb/gda-mdb-provider.c:
	(gda_mdb_provider_get_data_handler): use gda_handler_bin_new() 
	instead of gda_handler_bin_new_with_prov(), which is no longer available.
	Patch in bug #411811

2007-02-15  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-data-proxy.c: (gda_data_proxy_append): Initialize the GValue as 
	containing flags, so that g_value_set_flags() does not fail (with a g_warning) 
	later.

2007-02-15  Leonardo Boshell  <lb@kmc.com.co>

	* gda-sharp/Gda.metadata:
	* gda-sharp/gda-api.raw: Updated the .raw file due to recent API
	changes, and fixed a conflict in the name resolution of the "reset"
	signal with the _reset() function in GdaDataModel. Fixes the compilation
	of the C# bindings as described on bug #407064.

2007-02-15  Murray Cumming  <murrayc@murrayc.com>

	* doc/C/libgda-3.0-docs.sgml:
	* libgda/gda-connection.c:
	* libgda/gda-data-model.c:
	* libgda/gda-dict-field.c:
	* libgda/gda-init.c:
	* libgda/gda-server-provider-extra.c:
	* providers/oracle/gda-oracle-provider.c: (process_oci_statement):
	* providers/postgres/gda-postgres-provider.c:
	(split_and_execute_update_query): Use affect* instead of impact* in 
	documentation, when referring to rows affected by commands, 
	because that is more normal English in this context.

2007-02-14  Armin Burgmeier  <armin@openismus.com>

	* libgda/gda-dict-database.h: Changed type of msg parameter in
	update_progress signal handler from gchar * to const gchar *.

2.99.5:

2007-02-12  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-graphviz.c: (render_qf_value_label):
	* libgda/gda-query-field-value.c:
	(gda_query_field_value_get_parameter_index):
	* libgda/gda-query-parsing.c: (parsed_create_value_query_field):
	* libgda/gda-query.c: (gda_query_get_field_by_param_name):
	Correct the name of gda_query_field_value_get_is_parameter() when used here too.

2007-02-12 Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-query-field-value.c:
	(gda_query_field_value_get_is_parameter): Rename the function here, instead of just 
	renaming it in the header file, to fix the linker error when trying to use this function.

2.99.4:

2007-02-12  Murray Cumming  <murrayc@murrayc.com>

	* INSTALL: Added this file to svn.
	* Makefile.am: Always mention gda-sharp in SUBDIRS so that its contents can be included in 
	the dist.
	* gda-sharp/Makefile.am: Move the if conditional here from Makefile.am, but always dist the 
	sources, so they always appear in tarballs even if the person making the tarball does not have 
	mono.

2007-02-12 Daniel Espinosa <esodan@gmail.com>

    	* libgda/gda-query-field-value.c: Added the is_parameter property to GdaQueryFieldValue Object,
    	API change: gda_query_field_is_parameter to gda_query_field_get_is_parameter
    	* libgda/gda-entity-field.c: 
    	* libgda/gda-query-field-*:
    	Changed virtual reference from (*get_data_type) to (*get_dict_type)
    	* libgda/gda-query-field-value: Deleted a duplicated method gda_query_field_value_get_data_type and
    	gda_query_field_value_get_g_type, becouse this object implements GdaEntityField interface
    	* gda-sharp: API updates, added missing reference to libraries

2007-02-12  Johannes Schmid <johannes.schmid@openismus.com>

	* libgda/gda-parameter-list.c: (gda_parameter_list_set_property),
	(gda_parameter_list_get_property), (gda_parameter_list_class_init),
	(_gda_parameter_list_get_dict), (gda_parameter_list_new):
	* libgda/gda-parameter-list.h:
	
	Added a new construct property "params" to gda-parameter-list to allow wrapping with
	C++ and added a new private method to be able to do some initialisation.

2007-02-11  Brecht Sanders <brecht@edustria.be>

	* libgda/gda-data-model-import.c: (gda_data_model_import_dispose),
	(gda_data_model_import_set_property): Check for the G_OS_WIN32 #define 
	instead of _WIN32. This is apparently more reliable/correct.

2007-02-10  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-dict-field.c:
	* libgda/gda-dict-field.h: gda_dict_field_get_attributes(): Correct the 
	enum return type.

2007-02-10  Armin Burgmeier  <armin@openismus.com>

	* libgda/gda-query.c: Replaced some explicit type checks to
	GDA_TYPE_QUERY_FIELD_FIELD and GDA_TYPE_QUERY_FIELD_ALL by
	GDA_IS_QUERY_FIELD_FIELD respectively GDA_IS_QUERY_FIELD_ALL to allow
	derived types to be a value provider for GdaQueryFieldField.

2007-02-09  Vivien Malerba <malerba@gnome-db.org>

	* configure.in:
	* libgda-3.0.pc.in: add -DGDA_DEBUG if necessary to allow easy creation of GdaObject
	derived objects outside the libgda's sources
	* configure.in:
	* tests/*: added unit tests for delimiters testing, to be run using
	the "make check" command (if the "check" library (http://check.sourceforge.net/) is 
	not installed then warnings will appear instead of a test failure
	count)
	* libgda/gda-parameter.c:
	* libgda/gda-object.[ch]: added the option for GdaObject sub-classes to copy the 
	"name" property to the "id" one if the "id" is not set (used by the GdaParameter object)
	* libgda/gda-parameter.c:
	* libgda/gda-parameter-list.c:
	* libgda/gda-data-model-iter.c: corrected the gda_object_dump() method
	* libgda/sql-delimiter/lexex.l: it is now legal to write "## /* type:gint */" when
	only "## /* type:'gint' */" was recognized before.
	* libgda/gda-data-model-query.c: correctly detect when it's not possible to get information
	about columns
	* libgda/gda-data-model.[ch]: added a "reset" signal emitted when the data model has completely
	changed (the number of columns and types of columns and of course the whole data may have changed)
	* libgda/gda-data-model-extra.h: added gda_data_model_reset() to make the model emit the "reset"
	signal
	* libgda/gda-data-proxy.[ch]: added a "re_init_done" signal emitted when the proxied data
	model's number of columns changes

2007-02-09  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-object-ref.c: (handled_object_type): Check for NULL when checking the 
	parent type, as can happen with interface types, which have no parent. This fixes a 
	hang when showing forms.

2007-02-09  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-data-proxy.c: (gda_data_proxy_set_property): Initialize the GValue 
	properly to prevent a runtime error when we use g_value_set_flags() on it.

2007-02-09  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-object-ref.c: (handled_object_type): Correct this to stop a 
	runtime crash in the demo. The first check was changing the starting type checked 
	by the second check.

2007-02-09  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-client.c: (gda_client_class_init):
	* libgda/gda-column.c: (gda_column_class_init):
	* libgda/gda-dict-database.c: (gda_dict_database_class_init):
	* libgda/gda-dict.c: (gda_dict_class_init):
	* libgda/gda-entity.c: (gda_entity_iface_init):
	* libgda/gda-parameter-list.c: (gda_parameter_list_class_init):
	* libgda/gda-query.c: (gda_query_class_init):
	* libgda/gda-row.c: (gda_row_class_init):
	* libgda/graph/gda-graph.c: (gda_graph_class_init):
	Register the correct parameter types for signals instead of using 
	generic G_TYPE_POINTER types.
	* libgda/gda-marshal.list: Generate (and use) more specific marshallers.

2007-02-09  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-data-proxy.h: gda_data_proxy_get_value_attributes(): 
	Use GdaValueAttribute instead of guint for the return type.

2007-02-09  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-data-access-wrapper.c:
	(gda_data_access_wrapper_get_attributes_at):
	* libgda/gda-data-model-import.c:
	(gda_data_model_import_get_access_flags),
	(gda_data_model_import_get_attributes_at):
	* libgda/gda-data-model-query.c:
	(gda_data_model_query_get_access_flags),
	(gda_data_model_query_get_attributes_at):
	* libgda/gda-data-model-row.c:
	(gda_data_model_row_get_attributes_at),
	(gda_data_model_row_get_access_flags):
	* libgda/gda-data-model.c: (gda_data_model_is_updatable),
	(gda_data_model_get_access_flags), (set_param_attributes),
	(real_gda_data_model_dump_as_string):
	* libgda/gda-data-model.h:
	* libgda/gda-data-proxy.c: (gda_data_proxy_set_property),
	(gda_data_proxy_get_value_attributes),
	(gda_data_proxy_alter_value_attributes), (gda_data_proxy_append),
	(commit_row_modif), (gda_data_proxy_set_value_at):
	* libgda/gda-data-proxy.h:
	* libgda/gda-dict-field.c:
	* libgda/gda-dict-field.h:
	* libgda/gda-util.c: (gda_utility_table_field_attrs_stringify):
	* libgda/gda-util.h:
	Use GdaDataModelAccessFlags and GdaValueAttribute for function and vfunc 
	parameters instead of guint.

2007-02-09  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-enums.h: Added GDA_VALUE_ATTR_NONE to the GdaValueAttribute enum, because 0 
	is already used as a default value for properties in libgnomedb, and there was no 
	corresponding enum value. 

2007-02-09  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-connection.c: (gda_connection_class_init),
	(gda_connection_set_property), (gda_connection_get_property),
	(gda_connection_new):
	* libgda/gda-connection.h: Use GdaConnectionOptions instead of guint 
	for the options function parameters, and use g_param_spec_flags instead of 
	g_param_spec_uint for the property.
	Added GDA_CONNECTION_OPTIONS_NONE to the GdaConnectionOptions enum, because 
	the property was already using 0 as a default value, which had no corresponding enum 
	value.
	* libgda/gda-dict-field.c:
	* libgda/gda-dict-field.h: Use GdaDictFieldAttribute instead of guint for the 
	attributes parameter of gda_dict_field_set_attributes().
	* libgda/gda-query-condition.c:
	(gda_query_condition_render_as_sql):
	* libgda/gda-query-field-agg.c:
	(gda_query_field_agg_render_as_sql):
	* libgda/gda-query-field-all.c:
	(gda_query_field_all_render_as_sql):
	* libgda/gda-query-field-field.c:
	(gda_query_field_field_render_as_sql):
	* libgda/gda-query-field-func.c:
	(gda_query_field_func_render_as_sql):
	* libgda/gda-query-field-value.c:
	(gda_query_field_value_render_as_sql):
	* libgda/gda-query-target.c: (gda_query_target_render_as_sql):
	* libgda/gda-query.c: (gda_query_render_as_sql): 
	(render_sql_select), (render_join_condition), (render_sql_insert),
	(render_sql_update), (render_sql_delete), (render_sql_union),
	(render_sql_intersect), (render_sql_except),
	(render_sql_non_parsed_with_params):
	* libgda/gda-renderer.c: (gda_renderer_render_as_sql):
	* libgda/gda-renderer.h:
	Use GdaRendererOptions instead of guint for the options parameter to the render_as_sql() vfunc.

	* libgda/gda-parameter.c: (gda_parameter_get_alphanum_name): Fix a const warning, which 
	actually showed that we were changing internal memory by accident, instead of the 
	return string.
	* libgda/gda-server-provider-extra.c:
	(gda_server_provider_select_query_has_blobs): Fix a const warning, though I 
	took the easy way and did an extra g_strdup() to do this.
	* libgda/gda-value.c: (gda_value_new_binary), (gda_value_new_blob):
	* libgda/gda-value.h: Make the data parameters const, to make it clearer that the data 
	will be copied, and to fix some warnings elsewhere.

2007-02-03  Armin Burgmeier  <armin@openismus.com>

	* libgda/gda-object-ref.c: Changed handled_object_type to also accept
	derived types.

2007-02-08  Murray Cumming  <murrayc@murrayc.com>

	* providers/mdb/gda-mdb-provider.c: (gda_mdb_provider_execute_sql): Provide an extra 
	int* output parameter to mdb_sql_bind_column(), though we do not do anything with it yet.
	This fixes the build, at least with the mdbtools 0.5.99.0.6 version in my Ubuntu Edgy, 
	which I guess is fairly recent.

2007-02-08  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-data-handler.c: (gda_data_handler_get_type): Make GObject a prerequisite, so 
	instances of this interface can be used as object properties in libgnomedb.
	Actually, I wonder how an interface could be implemented without GObject.

2007-02-05  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-config.c:
	* libgda/gda-data-model-import.c:
	* libgda/gda-data-model-query.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-query.c: Renamed _modif_ to _modify_ in variable and function names, to 
	make the code clearer.
	* libgda/gda-query.h: Renamed gda_query_is_modif_query() to gda_query_is_modify_query(), 
	because modif is not a familiar abbreviation. modification would be nicer but is perhaps 
	a bit too long.

2007-01-31  Vivien Malerba <malerba@gnome-db.org>

	* libgda-3.0.pc.in: removed libxslt as a requirement
	* libgda/gda-data-proxy.c: corrected a bug which prevented any modification to be
	applied to the proxied data model
	* libgda/gda-data-proxy.[hc]: added gda_data_proxy_get_n_modified_rows()
	* libgda/gda-data-model-query.c: added a "use_transaction" property to allow the object
	to start a transaction before running the modification SQL queries and to end it afterwards (so all 
	the modifications are atomic). 
	NOTE1: Beware however to avoid using that feature on several 
	GdaDataModelQuery at the same time if data is being modified at the same time because 
	transactions are shared and this can lead to data losses.
	NOTE2: it's not a problem if a global transaction is started beforehand (not by the 
	GdaDataModelQuery object itself).

2007-01-29  Leonardo Boshell  <lb@kmc.com.co>

	* configure.in: Install DTD files under libgda-3.0/dtd as opposed to
	libgda/dtd to avoid file collisions with libgda-1.2, as per bug #401179.
	* doc/C/installation.xml:
	* doc/C/Makefile.am: Use -3.0 suffix for the installation directory.
	Pass --ignore-files to gtkdoc-mkdb to avoid gtk-doc errors.
	* doc/C/libgda-docs.sgml: Updated copyright years.
	* doc/C/tmpl/gda-connection.sgml:
	* doc/C/tmpl/gda-dict-extend.sgml:
	* doc/C/tmpl/gda-enum-types.sgml:
	* doc/C/tmpl/gda-object.sgml:
	* doc/C/tmpl/gda-parameter-list.sgml:
	* doc/C/tmpl/gda-query-condition.sgml:
	* doc/C/tmpl/gda-query.sgml: Updates from fixing gtk-doc warnings.
	* libgda/gda-connection.c:
	* libgda/gda-connection.h:
	* libgda/gda-data-model-iter.c:
	* libgda/gda-data-model.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-dict-private.h:
	* libgda/gda-dict-reg-aggregates.c:
	* libgda/gda-object.c:
	* libgda/gda-object.h:
	* libgda/gda-parameter-list.h:
	* libgda/gda-query-condition.h:
	* libgda/gda-query-object.c:
	* libgda/gda-query-target.c:
	* libgda/gda-query.h:
	* libgda/gda-row.c:
	* libgda/gda-server-operation.c:
	* libgda/gda-value.c:
	* libgda/sql-delimiter/gda-sql-delimiter.h: Fixed gtk-doc warnings.
	* report/testing/Makefile.am:
	* testing/Makefile.am:
	* tools/Makefile.am:
	* tools/gda-config-tool.1:
	* tools/gda-config.5: Use -3.0 suffix.
	* tools/gda-config-tool.c: (main): Call gda_init() to fix runtime
	warnings due to gda_paramlist_dtd not being initialized.

2007-01-27  Vivien Malerba <malerba@gnome-db.org>
	
	* configure.in:
	* providers/sqlite/gda-sqlite.h:
	* providers/sqlite/utils.c:
	* providers/sqlite/gda-sqlite-provider.c:
	* providers/sqlite/gda-sqlite-provider.h:
	* providers/sqlite/Makefile.am: prepared the SQLite provider to use new PRAGMA directives
	in SQLite when they are available, to avoid having to use the internal interface anymore
	* providers/sqlite/sqlite-src: updated to 3.3.12
	* libgda/gda-query.c: minor bug fixed
	* providers/postgres/gda-postgres-provider.c: minor bug fixed
	* libgda/gda-data-model-import.c: applied patch from Brecht Sanders to add WIN32
	support

2007-01-27  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Check for gamin >= 0.1.8, not > 0.1.8.
	Bug #401099 from Leonardo Boshell.

2.99.3:

2007-01-23  Murray Cumming  <murrayc@murrayc.com>

	* po/POTFILES.in: Attempted to update this, but intoolize-update says that the files do not 
	exist, during distcheck.

2007-01-23  Murray Cumming  <murrayc@murrayc.com>

	* doc/C/Makefile.am: Add limitations.sgml to EXTRA_DIST, to partly fix the distcheck.
	But I'm still getting intltool-update errors from POTFILES.in about files that it says 
	do not exists, but which really do seem to exist.

2007-01-23  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Removed check-news from the AM_INIT_AUTOMAKE() call, 
	because this makes it impossible to test distcheck without actually changing NEWS, 
	so distcheck is often broken. At the moment I get this error, for instance:

	cd ../../../doc/C/html && gtkdoc-mkhtml libgda ../libgda-docs.sgml
	warning: failed to load external entity "../limitations.xml"
	../libgda-docs.sgml:408: parser error : Failure to process entity limitations
	    &limitations;
                 ^
	../libgda-docs.sgml:408: parser error : Entity 'limitations' not defined
	    &limitations;


2007-01-23  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-query-field-agg.c: (gda_query_field_agg_get_arg): Rename from 
	gda_query_field_agg_get_args(), to avoid an undefined symbol.

2007-01-23  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Require gamin (fam) 0.1.8, because 0.1.7 has an incorrect pkg-config .pc file.
	This worked before because something else put <prefix>/include in our CFLAGS. But something 
	has changed and this was breaking the build. Maybe it was the removal of the 
	libxslt dependency.
	* libgda/Makefile.am: Actually use FAM_CFLAGS, instead of just hoping that something 
	else puts <prefix>/include in the CFLAGS.

2007-01-20  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: removed unnecessary libxslt dependency, and set minimum GLib version to 2.8.0
	as G_TYPE_DATE is required and is not in 2.6.0
	* providers/sqlite/sqlite_specs_dsn.xml.in: changed internal order of items
	* providers/mysql/gda-mysql-provider.c: minor correction

2007-01-17  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-config.c: if GDA_DSN_LIST_IN_MEMORY env. variable is
	specified, then the DSN list modifications won't be written in any file (and
	the initial DSN list is loaded from the filename contained in that env. variable)
	* providers/postgres/gda-postgres-provider.c:
	* libgda/gda-data-model.c:
	* libgda/gda-data-model-row.c: bug fixes
	* libgda/gda-parameter.c:
	* libgda/gda-parameter-util.h: added a gda_parameter_get_alphanum_name() to 
	get a version of a GdaParameter's name where all non [0-9A-Za-z] chars are 
	replaced with '_'
	* libgda/gda-query-field-value.c: can now render parameters in SQL with the
	:param_name syntax (used by Oracle)
	* libgda/gda-blob-op.[hc]: added gda_blob_op_write_all() to write a complete
	BLOB at once
	* providers/oracle/: improved BLOB handling
	* gda-sharp/AssemblyInfo.cs.in: corrected variable name to
	GDA_ABI_*_VERSION
	
2007-01-17  Esteban Sanchez  <esteban@steve-0.com

	* providers/mysql/gda-mysql-provider.c: Use length instead of using
	strlen() with constant strings.

2007-01-17  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* libgda-3.0.pc.in:
	* libgda/Makefile.am:
	* libgda/graph/Makefile.am:
	* libgda/handlers/Makefile.am:
	* libgda/sql-delimiter/Makefile.am:
	* libgda/sql-transaction/Makefile.am:
	* libsql/Makefile.am:
	* providers/bdb/Makefile.am:
	* providers/firebird/Makefile.am:
	* providers/freetds/Makefile.am:
	* providers/ibmdb2/Makefile.am:
	* providers/ldap/Makefile.am:
	* providers/mdb/Makefile.am:
	* providers/msql/Makefile.am:
	* providers/mysql/Makefile.am:
	* providers/odbc/Makefile.am:
	* providers/oracle/Makefile.am:
	* providers/postgres/Makefile.am:
	* providers/sqlite/Makefile.am:
	* providers/sybase/Makefile.am:
	* providers/xbase/Makefile.am:
	* report/libgda-report/Makefile.am: 
	Rename GDA_*_VERSION to 
	GDA_ABI_*_VERSION, and do not use the tarball release version to 
	calculate it. This removes the risk of us breaking ABI with a 3.2 version that 
	is meant to just add API.

2007-01-14  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-connection-private.h:
	* libgda/gda-connection.c: added a private function to change the state of the
	current transaction, to be used by providers' implementations
	* providers/postgres/gda-postgres-blob-op.c:
	* providers/postgres/gda-postgres-provider.c:
	* providers/postgres/utils.c: corrected an error which made the current transaction
	fail when trying to delete a nonexisting blob Oid
	
2007-01-12  Armin Burgmeier  <armin@openismus.com>

	* libgda/gda-query.c: Declare the object explicitely as GDA_TYPE_QUERY
	in constructor to allow subclassing GdaQuery. Also removed object
	declaration from gda_dict_query_copy() because it is already done in
	constructor.

2007-01-12  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql/gda-mysql-provider.c: fixed a bug related to FK reporting
	in the CONSTRAINTS schema report, added the "bit" data type as a synonym to
	"tinyint", removed and GDA_TYPE_BLOB reference as MySQL does not support blobs
	(it supports binary data)
	* providers/postgres/gda-postgres-provider.c: map the "oid" data type to G_TYPE_ULONG
	and better detect the GType associated to custom data types
	* testing/gda-test-blob.c
	* testing/tests_data/SQL_parsing_tests.xml
	* libgda/sql-delimiter/parser.y
	* libgda/sql-delimiter/gda-sql-delimiter.c
	* libgda/sql-delimiter/gda-test-delimiter.c
	* libgda/sql-delimiter/lexer.l
	* libgda/gda-data-model-query.c
	* libgda/gda-query-field-value.c
	* libgda/gda-server-provider-extra.c
	* libsql/parser.y
	* libsql/lexer.l: changed the syntax to insert parameters in SQL queries to
	have simpler parsers and an easier to read syntax, and bug fixes
	* doc/C: improved documentation about binary and blob data types
	* libgda/gda-query-field-field.c: made the "field_name" property readable
	* libgda/gda-dict-field.c:
	* libgda/gda-graphviz.c:
	* libgda/gda-init.c:
	* libgda/gda-query.c:
	* libgda/gda-query-condition.c:
	* libgda/gda-query-field-agg.c:
	* libgda/gda-query-field-all.c:
	* libgda/gda-query-field-field.c:
	* libgda/gda-query-field-func.c:
	* libgda/gda-query-field-value.c:
	* libgda/gda-query-target.c:
	* libgda/gda-renderer.c:
	* libgda/gda-renderer.h:
	* libgda/gda-server-provider.c:
	* libgda/gda-server-provider-extra.c:
	* providers/postgres/gda-postgres-provider.c:
	* testing/gda-test-model-query.c:
	* testing/gda-test-sql.c:
	* tools/gda-inspect-dict-file.c: changed the signature of the gda_renderer_render_as_sql()
	method to allow to return a list of GdaParameter objects actually used to do the rendering
	* libgda/gda-server-provide.[ch]: added the escape_string() and unescape_string() virtual methods
	* libgda/handlers/gda-handler-string.[ch]: take into account the new virtual methods for
	the providers when escaping and unescaping strings
	* libgda/handlers/gda-handler-bin.[ch]: code cleanup
	* providers/postgres/gda-postgres-handler-bin.[ch]: new object to handle GdaBinary representations
	for the postgres provider
	* all files: s/gda_default_escape_chars/gda_default_escape_string/ and
	s/gda_default_unescape_chars/gda_default_unescape_string/
	* providers/sqlite/sqlite-src: use Sqlite 3.3.10 sources
	* providers/postgres/gda-postgres-provider.c:
	* providers/postgres/gda-postgres-recordset.c:
	* providers/postgres/gda-postgres-blob-op.c:
	* providers/postgres/util.c: code cleanups un event reporting

2007-01-12  Murray Cumming  <murrayc@murryac.com>

	* libgda/gda-dict-database.c: (gda_dict_database_class_init):
	* libgda/gda-dict-function.c: (gda_dict_function_class_init):
	* libgda/gda-dict-type.c: (gda_dict_type_class_init):
	* libgda/gda-graphviz.c: (gda_graphviz_class_init): Remove nonsense unused PROP ("prop") properties 
	with #if 0. I would prefer to delete the code, but I guess someone found these placeholders useful once.

2007-01-11  Murray Cumming  <murrayc@murryac.com>

	* libgda/gda-blob-op.c: Add a FIXME comment to documentation that advises use of 
	gda_connection_create_blob(), which no longer exists.
	* libgda/gda-server-provider.h: Removed declarations of 
	gda_server_provider_create_blob() and gda_server_provider_fetch_blob_by_id() because the 
	functions (implementations) no longer exist.

2007-01-07 Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-query.c: bug fixed in XML saving code where a "(xmlChar*)" was
	not a cast but in the string.
	* doc/C: adjusted the svn:ignore property
	
2007-01-07 Leonardo Boshell <lb@kmc.com.co>

	* libgda/gda-connection-event.c:
	* libgda/gda-data-model-hash.c:
	* libgda/gda-data-model-array.c:
	* libgda/gda-query.c:
	* libgda/gda-dict.c: Made *_new functions only call g_object_new by
	moving some code to *_init and introducing properties that are set
	upon construction, for bug #321724

2007-01-07 Vivien Malerba <malerba@gnome-db.org>
	
	* libgda/sql-delimiter/*: don't remove the ':' char from ':[A-Za-z0-9_-]+'
	identifiers, and allow to have parameter definitions with values, instead
	of only recognising ##[...] parameters definitions
	* tools/:
	* doc/C/tmpl:
	* gda-sharp:
	* report/libgda-report:
	* providers/ldap:
	* providers/firebird:
	* providers/sybase:
	* providers/bdb:
	* providers/freetds:
	* providers/ibmdb2:
	* providers/sqlite:
	* providers/sqlite/sqlite-src:
	* providers/mdb:
	* providers/xbase:
	* providers/mysql:
	* providers/oracle:
	* providers/postgres:
	* providers/odbc:
	* providers/msql:
	* testing:
	* po:
	* libgda:
	* libsql:
	* win32: adjusted the svn:ignore property
	* libgda/gda-connection.[ch]:
	* libgda/gda-server-provider-extra.[ch]:
	* providers/*/gda-*-provider.c:
	* libgda/gda-value.[ch]:
	* libgda/gda-blob-op.[ch]: changed the way blobs are handled to have a coherent
	and universal API to use blobs.
	* providers/sqlite/sqlite-src: updated to 3.3.9
	* providers/oracle: major Oracle provider improvements, now only missing the CONSTRAINTS
	schema and the new blobs support
	* providers/postgres: added support for the new blobs API
	* testing/gda-test-blob.c: new test progrem for blobs
	* other files: minor corrections
	
2006-12-28  Leonardo Boshell <lb@kmc.com.co>

	* providers/freetds/gda-freetds-provider.c:
	(gda_freetds_get_procedures), (gda_freetds_provider_get_types),
	(gda_freetds_get_fields):
	s/gda_column_[gs]et_gda_type/gda_column_[gs]et_g_type/.
	(gda_freetds_provider_get_types): Remove unused variable 'valuetmp'.
	(gda_freetds_provider_get_schema): Actually use
	gda_freetds_get_procedures().
	(gda_freetds_provider_tds_handle_message): Remove unused variable
	'tds_cnc'.
	* providers/freetds/gda-freetds-recordset.c:
	(gda_freetds_recordset_get_row): Remove the 'const' qualifier from the
	return signature to properly match the API from gda-data-model-row.h.
	(gda_freetds_get_current_row): Declare 'val' as 'guchar *' to hold the
	value we get from res->current_row without casting.
	* providers/freetds/gda-freetds-types.h:
	* providers/freetds/gda-freetds-types.c: (gda_freetds_get_value_type):
	Drop the 'const' qualifier from the return signature since it's not a
	reference.
	(gda_freetds_set_gdavalue): Changed the type of the 'val' parameter from
	'gchar *' to 'guchar *'. Fix warnings regarding signedness.

2006-12-28  Murray Cumming  <murrayc@murrayc.com>

	* providers/postgres/gda-postgres-blob.c:
	(gda_postgres_blob_get_sql_id):
	* providers/postgres/gda-postgres-provider.c:
	(gda_postgres_provider_get_data_handler):
	* providers/postgres/gda-postgres-recordset.c:
	(gda_postgres_recordset_get_row),
	(gda_postgres_recordset_remove_row),
	(gda_postgres_recordset_get_value_at),
	(gda_postgres_recordset_describe_column),
	(gda_postgres_recordset_new):
	* providers/postgres/utils.c: (gda_postgres_set_value): 
	Fix warnings by adding casts and removing unnused variables.

2006-12-28  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-config.c:
	* libgda/gda-connection.c:
	* libgda/gda-data-model-import.c:
	* libgda/gda-data-model-query.c:
	* libgda/gda-data-model.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-dict-aggregate.c: 
	* libgda/gda-dict-constraint.c:
	* libgda/gda-dict-database.c:
	* libgda/gda-dict-field.c
	* libgda/gda-dict-function.c:
	* libgda/gda-dict-reg-aggregates.c:
	* libgda/gda-dict-reg-functions.c:
	* libgda/gda-dict-reg-queries.c:
	* libgda/gda-dict-reg-types.c:
	* libgda/gda-dict-table.c:
	* libgda/gda-dict-type.c:
	* libgda/gda-dict.c:
	* libgda/gda-init.c:
	* libgda/gda-parameter-list.c:
	* libgda/gda-query-condition.c:
	* libgda/gda-query-field-agg.c:
	* libgda/gda-query-field-all.c:
	* libgda/gda-query-field-field.c:
	* libgda/gda-query-field-func.c:
	* libgda/gda-query-field-value.c:
	* libgda/gda-query-field.c:
	* libgda/gda-query-join.c:
	* libgda/gda-query-target.c:
	* libgda/gda-query.c:
	* libgda/gda-row.c:
	* libgda/gda-server-operation.c:
	* libgda/gda-util.c:
	* libgda/gda-value.c:
	* libgda/graph/gda-dict-reg-graphs.c:
	* libgda/graph/gda-graph-item.c:
	* libgda/graph/gda-graph.c:
	* libgda/sql-delimiter/gda-test-delimiter.c:
	* libsql/mem.h:
	* libsql/sql_parser.c:
	* testing/gda-test-model-query.c: 
	* testing/gda-test-models.c:
	* testing/gda-test-sql.c:
	* testing/html.c:
	* tools/gda-config-tool.c: 
	* tools/gda-diagnose.c:
	* tools/html.c: Many fixes for -Wall -Werror warnings, mostly 
	xmlChar* <-> gchar* casts, and some unused variables and implicitly 
	declared functions.

2006-12-28  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-dict-field.c: (gda_dict_field_load_from_xml):
	* libgda/gda-dict.h: Add a note about the current need to include 
	libgda/gda-dict-reg-aggregates.h and libgda/gda-dict-reg-functions.h when 
	using this header.
	* libgda/gda-object-ref.c: 
	* libgda/gda-query-parsing.c: Include the extra headers to avoid  
	integer-to-pointer warnings caused by implicit function declarations.

	* libgda/gda-util.c: In the isbase64 macro, do not check that the uchar is less than 
	256 because this causes a compiler warning about this always being true.

	* libgda/sql-delimiter/lexer.l:
	* libgda/sql-transaction/lexer.l: Comment-out the #warning lines.

	* libgda/gda-data-model-array.c: (gda_data_model_array_finalize),
	(gda_data_model_array_clear): 
	* libgda/gda-query-condition.c: (gda_query_condition_new_copy):
	* libgda/graph/gda-graph-item.c: (gda_graph_item_set_property): 
	Use cast macros to avoid compiler warnings.

	I think this fixes all the warnings apart from the ones in the providers.

2006-12-28  Murray Cumming  <murrayc@murrayc.com>

	* libsql/lexer.l:
	* libsql/mem.c: (memsql_strdup_printf_raw), (memsql_alloc_raw),
	(memsql_calloc_raw), (memsql_realloc_raw), (memsql_strappend_raw),
	(memsql_strappend_free_raw):
	* libsql/mem.h:
	* libsql/sql_parser.c: (sqlerror):
	* libsql/sql_parser.h:
	* libsql/sql_tree.c: (sql_field_build_function), (sql_table_build),
	(sql_table_build_function):
	* libsql/sql_tree.h: Some const corrections to allow building with 
	CFLAGS=-Werror.
	Note that sql_build_function() still takes non-const char*, because that is later 
	freed by sql_destroy_table(), but I do not think that this is expected everywhere, 
	so there may be double frees.

2006-12-28  Leonardo Boshell <p@kapcoweb.com>

	* configure.in: Set FREETDS_VERSION_MAJOR and FREETDS_VERSION_MINOR
	instead of HAVE_FREETDS_VER*.
	* providers/freetds/gda-freetds-defs.h: Define FREETDS_VERSION and use
	that macro instead of HAVE_FREETDS_VER*.
	* providers/freetds/gda-freetds-provider.c: Use FREETDS_VERSION. FreeTDS
	0.64 compatibility.
	(gda_freetds_get_procedures): New. Verify that column #1 has the right
	GType.
	(gda_freetds_provider_get_types): Verify that columns have the right
	GType.
	(gda_freetds_provider_get_schema): Use gda_freetds_get_procedures().
	(gda_freetds_execute_cmd): Check tds_cnc->tds->res_info before
	tds_cnc->tds->res_info->rows_exist.
	(gda_freetds_get_fields):
	s/gda_parameter_list_find/gda_parameter_list_find_param/. Verify that
	all columns have the right GType.
	(gda_freetds_provider_tds_handle_err_msg),
	(gda_freetds_provider_tds_handle_info_msg): Added 'const' to the first
	parameter, as per the current FreeTDS API.
	(gda_freetds_provider_begin_transaction): Fixed the signature of the
	'level' parameter.
	* providers/freetds/gda-freetds-provider.h: Use FREETDS_VERSION.
	* providers/freetds/gda-freetds-recordset.c: Use FREETDS_VERSION.
	FreeTDS 0.64 compatibility.
	* providers/freetds/gda-freetds-types.c: Use FREETDS_VERSION.
	(gda_freetds_set_gdavalue): Initialise 'field' with g_value_init()
	before calling g_value_set_*() on it. When handling strings, make sure
	the string is at most col->column_cur_size characters long. Cast to the
	right type when handling SYBVARBINARY values.
	* providers/freetds/gda-tds-schemas.h: Remove ambiguity from SQL
	commands.

2006-12-27  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-query.c: (render_sql_insert): Use g_string_append() instead 
	of g_string_append_printf() with only 2 parameters, to avoid runtime 
	memory corruption. Patch from Chris Shoemaker in bug #341061.

2006-12-27  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-quark-list.c: (gda_quark_list_add_from_string):
	Prevent a crash when the connection string has a final ; character.
	Bug #317831 from Andrea Zagli.

2006-12-27  Murray Cumming  <murrayc@murrayc.com>

	* providers/mysql/mysql_specs_create_db.xml.in:
	* providers/mysql/mysql_specs_create_table.xml.in:
	* providers/mysql/mysql_specs_drop_db.xml.in:
	* providers/postgres/postgres_specs_create_table.xml.in:
	* providers/sqlite/sqlite-src/os.h:
	* providers/sqlite/sqlite_specs_create_index.xml.in:
	* providers/sqlite/sqlite_specs_create_table.xml.in:
	More spelling and grammar fixes from Clytie Siddall in bug #352122.

2006-12-27  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-data-model-import.c:
	(gda_data_model_import_set_property): Replace use of deprecated 
	sys_errlist() with strerror(). Patch from Joseph Sacco in bug #353729. 

2006-12-27  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-connection.c:
	* libgda/gda-data-model.c: (gda_data_model_import_from_model):
	* providers/firebird/firebird_specs_dsn.xml.in:
	* providers/freetds/freetds_specs_dsn.xml.in:
	* providers/ldap/ldap_specs_dsn.xml.in:
	* providers/mdb/mdb_specs_dsn.xml.in:
	* providers/msql/msql_specs_dsn.xml.in:
	* providers/mysql/mysql_specs_create_db.xml.in:
	* providers/mysql/mysql_specs_drop_db.xml.in:
	* providers/mysql/mysql_specs_dsn.xml.in:
	* providers/oracle/oracle_specs_dsn.xml.in:
	* providers/postgres/postgres_specs_create_db.xml.in:
	* providers/postgres/postgres_specs_drop_db.xml.in:
	* providers/postgres/postgres_specs_dsn.xml.in:
	* providers/sybase/sybase_specs_dsn.xml.in:
	* providers/xbase/xbase_specs_dsn.xml.in:
	Correct spellings and grammar in translatable strings. 
	Suggestions by  Clytie Siddall in bug #352122.

2006-12-27  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am:
	* configure.in:
	* libgda-3.0.pc.in:
	* libgda/Makefile.am:
	* libgda/graph/Makefile.am:
	* libgda/handlers/Makefile.am:
	* libgda/sql-delimiter/Makefile.am:
	* libgda/sql-transaction/Makefile.am:
	* libsql/Makefile.am:
	- Rename libsqltransaction.la to libgda_sql_transaction-3.0.la.  Add it to
libgda-3.0.pc.in.  Build it and libgda_sql_delimiter-3.0 before libgda-3.0,
since the former are not interdependent with the latter.
	- Rename libgdasql.la to libgdasql-3.0.la.  Add it to libgda-3.0.pc.in.
	* providers/bdb/Makefile.am:
	* providers/firebird/Makefile.am:
	* providers/freetds/Makefile.am:
	* providers/freetds/gda-freetds-provider.c:
	(gda_freetds_free_connection_data):
	* providers/ibmdb2/Makefile.am:
	* providers/ldap/Makefile.am:
	* providers/mdb/Makefile.am:
	* providers/mdb/gda-mdb-provider.c: (gda_mdb_provider_execute_sql):
	- Fix mdb provider for mdbtools-0.6pre1 (which is already required for
	MDB_WRITABLE).
	* providers/msql/Makefile.am:
	* providers/mysql/Makefile.am:
	* providers/odbc/Makefile.am:
	* providers/odbc/gda-odbc-provider.c: (get_odbc_databases),
	(get_odbc_fields_metadata), (get_procedure_rs),
	(get_odbc_procedures), (get_odbc_tables), (get_odbc_types),
	(get_odbc_views):
	- Port odbc provider to 3.0 API (PLEASE VERIFY).
	* providers/oracle/Makefile.am:
	* providers/postgres/Makefile.am:
	* providers/sqlite/Makefile.am:
	* providers/sybase/Makefile.am:
	* providers/xbase/Makefile.am:
	* providers/xbase/gda-xbase-provider.c:
	(gda_xbase_provider_open_connection):
	- Fix xbase provider for non-existant provider API (PLEASE VERIFY).

	- Fix gda-sharp.dll.config on Cygwin (yes, mono and Gtk# do work on Cygwin, but
I haven't pushed the patches upstream yet).
	- Fix provider dependencies (for the Cygwin-supported databases).
	Patch by yselkowitz in bug #314732.

2006-12-27  Murray Cumming  <murrayc@murrayc.com>

	* data/Makefile.am:
	* libgda/Makefile.am:
	* providers/bdb/Makefile.am:
	* providers/firebird/Makefile.am:
	* providers/freetds/Makefile.am:
	* providers/ibmdb2/Makefile.am:
	* providers/ldap/Makefile.am:
	* providers/mdb/Makefile.am:
	* providers/msql/Makefile.am:
	* providers/mysql/Makefile.am:
	* providers/odbc/Makefile.am:
	* providers/oracle/Makefile.am:
	* providers/postgres/Makefile.am:
	* providers/sqlite/Makefile.am:
	* providers/sybase/Makefile.am:
	* providers/xbase/Makefile.am:
	* report/Makefile.am:
	* report/libgda-report/Makefile.am: 
	Change the sysconfdir (<prefix>/etc/) and datadir (<prefix>/share/) installation 
	directories from libgda to libgda-3.0, to avoid parallel-install conflicts with 
	libgda 1.2. As noticed by yselkowitz in bug #314732. 

2006-12-27  Murray Cumming  <murrayc@murrayc.com>

	* idl/.cvsignore:
	* idl/GNOME_Database.idl:
	* idl/Makefile.am: Removed these from cvs. They are not used, and they make people 
	think that we require or use CORBA.

2006-12-27  Murray Cumming  <murrayc@murrayc.com>

	* gda-sharp/gda-sharp.dll.config.in: Refer to correct .so name.

	Fixes for 64-bit systems:
	* providers/bdb/libmain.c: Include gda-config.h.
	* providers/odbc/gda-odbc-provider.c:
	(gda_odbc_provider_change_database): Cast to (unsigned long) instead of UDWORD.
	Patch from Hans de Goede in bug #366694.

2006-12-27  Murray Cumming  <murrayc@murrayc.com>

	* libgda/sql-delimiter/parser.y: Fix compilation on Darwin (MacOS X), by 
	using the extern keyword. Patch from Min Sik Kim in bug #382933.

2006-12-27  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-parameter-list.c: Fix compilation on Darwin (MacOS X), by 
	ifdefing the including of sys/types.h. 
	Patch from Min Sik Kim in bug #382936.  

2006-12-22  Vivien Malerba <malerba@gnome-db.org>

	Released 2.99.2 (AKA 3.0 Beta4).

2006-12-22  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model-iter.c:
	* libgda/gda-data-model-query.c:
	* libgda/gda-data-model.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-parameter-list.c:
	* libgda/gda-parameter-list.h:
	* libgda/gda-parameter.c:
	* libgda/gda-parameter.h:
	* libgda/graph/gda-graph-item.c:
	* libgda/graph/gda-graph.c: minor corrections
	* libgda/gda-client.[ch]: added a db_name argument to the
	gda_client_prepare_create_database() and
	gda_client_prepare_drop_database () methods.

2006-12-20  Vivien Malerba <malerba@gnome-db.org>

	* libgda/handlers/gda-handler-time.c: improved date conversion
	* libgda/gda-config.c: removed the 'password' column from the
	gda_config_get_data_source_model()'s returned data model as is was always
	'*****'
	* libgda/gda-quark-list.[ch]: added gda_quark_list_foreach()
	* libsql/lexex.l:
	* libsql/parser.y: allow numerical values with a decimal part

2006-12-16  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-enums.h:
	* libgda/gda-data-proxy.c: added a new value attribute to tell
	when a value won't be used
	* libgda/gda-data-model.[ch]: added an option to gda_data_model_import_from_model()
	to specify that either the receiving data model must be overwritten, or
	data must be appended to the receiving data model
	* libgda/gda-config.c: minor corrections with FAM and the save order of the
	declared datasources
	* libgda/sql-delimiter/payser.y: make the parameters be reconized if its
	attributes are in single quotes the same way as if they are in double quotes
	* libgda/gda-data-model-query.c: display a warning if INSERT|DELETE|UPDATE queries'
	parameters are not of the correct GType
	* other files: corrected bug fixed introduced by the properties change (because
	g_object_get() then returned objects with a new reference on them which was not the
	case with gpointer properties).

2006-12-15  Murray Cumming <murrayc@murrayc.com>

	* libgda/gda-connection.c:
	* libgda/gda-data-access-wrapper.c:
	* libgda/gda-data-model-import.c:
	* libgda/gda-data-model-iter.c:
	* libgda/gda-data-model-query.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-dict-aggregate.c: 
	* libgda/gda-dict-database.c:
	* libgda/gda-dict-field.c:
	* libgda/gda-dict-function.c:
	* libgda/gda-dict-table.c:
	* libgda/gda-dict-type.c:
	* libgda/gda-graphviz.c:
	* libgda/gda-object-ref.c: 
	* libgda/gda-object.c:
	* libgda/gda-parameter.c:
	* libgda/gda-query-condition.c:
	* libgda/gda-query-field-agg.c:
	* libgda/gda-query-field-all.c:
	* libgda/gda-query-field-field.c:
	* libgda/gda-query-field-func.c:
	* libgda/gda-query-field-value.c:
	* libgda/gda-query-join.c:
	* libgda/gda-query-target.c:
	* libgda/gda-query.c:
	* libgda/gda-row.c:
	* libgda/gda-server-operation.c:
	* libgda/graph/gda-graph-item.c:
	* libgda/graph/gda-graph.c: class_init(), get_property(), and 
	set_property() functions: Register and use properties as specific object 
	types, instead of using the pointer parameter type. As well as being a lot 
	clearer and more robust, this allows language bindings and RAD tools to 
	know what type the parameters are.

	There are still some properties called prop which have unknown type and which 
	do not seem to be used.

2006-12-09  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model-query.[ch]: added a 
	gda_data_model_query_compute_modification_queries() method to make
	the GdaDataModelQuery compute the INSERT, DELETE and UPDATE queries
	(it does only work if the modified table has its PK listed in the SELECT
	query).
	* testing/Makefile.am:
	* testing/gda-test-model-query.c:
	* testing/tests_data/SQL_model_query_tests.xml: test for the new
	gda_data_model_query_compute_modification_queries() function
	* libgda/gda-data-model-query.c: correctly set the "not null" property
	for each parameter composing a GdaDataModelIter when creating one
	* gda-data-model-iter.[ch]: added a new "row_to_change" and a new 
	gda_data_model_iter_row_can_change() to allow customers objects to react
	(and even maybe stop) the iter to change its row
	* libgda/gda-data-model.[hc]:
	* libgda/libgda.h
	* libgda/gda-data-model-private.h: moved some methods to private API
	* libgda/gda-data-model-array.c: corrected a bug in the copy operation
	where the "not NULL" attribute of columns was not copied
	* libgda/gda-data-proxy.c: when writing back new rows to the proxied
	data model, don't anymore emit a "row_removed" signal for the created
	row
	* libgda/gda-transaction-status.c: crash bug fixed
	* libgda/gda-connection.c: removed transaction's status debug messages
	* libgda/gda-value.c: fixed GDate comparison method
	* libgda/data-entries/gda-handler-time.[ch]: added gda_handler_time_set_sql_spec()
	to allow customizations of the way the SQL is rendered
	* providers/mysql/gda-mysql-provider.c: modified the date data handler to
	make it render SQL as 'YYYY-MM-DD'
	
2006-12-03  Vivien Malerba <malerba@gnome-db.org>

	* libgda/libgda-dict.dtd: correction to allow more types of characters
	in the DSN
	* libgda/gda-dict-table.c:
	* libgda/gda-dict-database.c: make sure the VIEWS are also handled when
	doing a dictionary sync. with the database structure
	
2006-11-30  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-dict-reg-aggregates.h: Added the macros for extern "C",
	so we can use this from C++.

2006-11-23  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sql-transaction/gda-sql-transaction-parser.c: don't print
	anything on stdout even if there is an error

2006-11-20  Bas Driessen <bas.driessen@xobas.com>

	* libgda/Makefile.am:
	* libgda/sql-transaction/Makefile.am: Change library
	libsqltransaction from a static to a shared type to allow
	compilation on non 32-bits architectures.

2006-11-19  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql/gda-mysql-provider.c:
	* providers/postgres/gda-postgres-provider.c: improved connection's 
	transaction status tracking
	* libgda/gda-connection.c:
	* doc/C/tmpl/gda-transaction-status.sgml: improved documentation
	* libgda/gda-server-provider.c: improved the supports_feature()
	function
	* doc/C: doc update

2006-11-18  Djihed Afifi  <djihed@gmail.com>
	
	* configure.in: Added Arabic.

2006-11-15  Vivien Malerba <malerba@gnome-db.org>

	* configure.in:
	* libgda/Makefile.am:
	* libgda/sql-transaction/*: new simple parser to recognize transaction
	operations SQL
	* libgda/gda-transaction-status.[ch]:
	* libgda/gda-connection.[ch]:
	* providers/sqlite/gda-sqlite-provider.c: improvements in the way the
	GdaConnection object copes with the transaction status
	* libgda/gda-client.[ch]: the name of the provider in
	gda_client_perform_create_database() and
	gda_client_perform_drop_database() is not required anymore

2006-11-12  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-value.c: handle timestamps that aren't fully compliant
	(Stian Skjelstad)
	* gda-mysql-provider.c: mysql 4.x GET_CONSTRAINTS support, mysql 5.x
	should now give full data on complex foreign keys (Stian Skjelstad)
	* libgda/gda-transaction-status-private.h:
	* libgda/gda-transaction-status.[ch]: new object to report on
	connection's current transaction status
	* libgda/gda-transaction.[ch]: removed obsolete object
	* libgda/gda-server-provider.[ch]:
	* libgda/gda-enums.h:
	* libgda/gda-client.[ch]:
	* libgda/gda-command.[ch]:
	* providers/: GdaConnection now keeps track of the current transaction status
	* libgda/gda-query.c: minor bug fixed
	* libgda/gda-query-target.c:
	* libgda/gda-query-field-field.c: added an option in providers to specify
	if non LC identifiers must be rendered between double quotes.
	* libgda/gda-decl.h: added GdaConnectionEvent declaration
	* libgda/gda-sharp/gda-sharp-3.0.pc.in: fixed required gtk-sharp version

2006-11-08  Murray Cumming <murrayc@murrayc.com>

	* Makefile.am:
	* configure.in:
	* doc/C/Makefile.am:
	* gda-sharp/Makefile.am:
	* gda-sharp/gda-sharp-2.0.pc.in: Renamed to:
	* gda-sharp/gda-sharp-3.0.pc.in:
	* libgda-2.0.pc.in: Renamed to:
	* libgda-3.0.pc.in:
	* libgda/Makefile.am:
	* libgda/graph/Makefile.am:
	* libgda/handlers/Makefile.am:
	* libgda/sql-delimiter/Makefile.am:
	* providers/bdb/Makefile.am:
	* providers/firebird/Makefile.am:
	* providers/freetds/Makefile.am:
	* providers/ibmdb2/Makefile.am:
	* providers/ldap/Makefile.am:
	* providers/mdb/Makefile.am:
	* providers/msql/Makefile.am:
	* providers/mysql/Makefile.am:
	* providers/odbc/Makefile.am:
	* providers/oracle/Makefile.am:
	* providers/postgres/Makefile.am:
	* providers/sqlite/Makefile.am:
	* providers/sybase/Makefile.am:
	* providers/xbase/Makefile.am:
	* report/libgda-report/Makefile.am:
	* report/testing/Makefile.am:
	* testing/Makefile.am:
	* tools/Makefile.am:
	Change the tarball version from 1.99.x to 2.99.x, to become
	3.0.x when the API/ABI is declared stable.
	Change the pkg-config name from libgda-2.0 to libgda-3.0.
	Change the include path from libgda-2.0 to libgda-3.0.
	Change the library name from libgda-2 to libgda-3.0.
	Now all the version numbers are sane.

2006-11-08  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-util.h:
	* libgda/gda-util.c:
	Renamed g_type_to_string() to gda_g_type_to_string(),
	g_type_from_string() to gda_g_type_from_string(),
	utility_table_field_attrs_stringify() to gda_utility_table_field_attrs_stringify(),
	utility_table_field_attrs_parse() to gda_utility_table_field_attrs_parse(),
	utility_build_encoded_id() to gda_utility_build_encoded_id(),
	utility_build_decoded_id() to gda_utility_build_decoded_id(),
	utility_check_data_model() to gda_utility_check_data_model(),
	utility_data_model_dump_data_to_xml() to gda_utility_data_model_dump_data_to_xml(),
	utility_parameter_load_attributes() to gda_utility_parameter_load_attributes(),
	utility_find_or_create_data_type() to gda_utility_find_or_create_data_type()
	so they are correctly namespaced.
	* libgda/gda-data-model-import.c:
	* libgda/gda-data-model-row.c:
	* libgda/gda-data-model.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-dict-aggregate.c:
	* libgda/gda-dict-constraint.c:
	* libgda/gda-dict-database.c:
	* libgda/gda-dict-field.c:
	* libgda/gda-dict-function.c:
	* libgda/gda-dict-reg-aggregates.c: 
	* libgda/gda-dict-reg-functions.c:
	* libgda/gda-dict-reg-types.c: 
	* libgda/gda-dict-table.c:
	* libgda/gda-dict-type.c:
	* libgda/gda-parameter-list.c::
	* libgda/gda-parameter.c:
	* libgda/gda-query-field-value.c:
	* libgda/gda-query-parsing.c: 
	* libgda/gda-query.c:
	* libgda/gda-server-operation.c:
	* libgda/gda-server-provider-extra.c:
	* libgda/gda-value.c:
	* libgda/handlers/gda-handler-type.c:
	* providers/sqlite/gda-sqlite-recordset.c:
	* testing/gda-test-models.c:
	* testing/gda-test-sql.c:
	* testing/html.c:
	* tools/gda-diagnose.c:
	* tools/gda-list-config.c:
	* tools/html.c:: Used renamed functions.

2006-11-08  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-server-provider.h: gda_server_provider_reset_connection(): 
	Remove this function because there is no implementation and no documentation 
	suggesting what it might do.

2006-11-07  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-data-model.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-enums.h: Rename GValueAttribute to GdaValueAttribute, because 
	we do not own the G namespace, and because this confuses language bindings.

2006-11-07  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-data-model-private.h: #include gda-data-models-extra.h 
	instead of redeclaring functions.

2006-11-04  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql/gda-mysql-provider.c: fixed types errors 
	("int unsigned" was detected as "int" and "text" was incorrectly 
	interpreted as G_TYPE_STRING when MySQL considers it a BLOB)
	* providers/mysql/gda-mysql-provider.c: use UTF-8 as character set

2006-11-01  Vivien Malerba <malerba@gnome-db.org>

	* AUTHORS: added Daniel Espinosa
	* gda-sharp/gda-api.raw: applied a patch by Daniel Espinosa to
	update the C# bindings
	* providers/msql/gda-msql-provider.c:
	* providers/msql/msql_specs_dsn.xml.in: improved the Msql provider
	* providers/firebird/gda-firebird-recordset.c: make compilation with Firebird2
	work
	
2006-10-30  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: bumped to 1.99.2
	* providers/msql:
	* providers/sybase: make these providers compile again
	* doc/C/libgda-docs.sgml: updated providers' status
	* autogen.sh: make sure we call bash because edgy uses dash

2006-10-26  Vivien Malerba <malerba@gnome-db.org>

	Released 1.99.1 (AKA 2.0 Beta3).

2006-10-26  Vivien Malerba <malerba@gnome-db.org>

	* providers/bdb/Makefile.am:
	* providers/firebird/Makefile.am:
	* providers/freetds/Makefile.am:
	* providers/ibmdb2/Makefile.am:
	* providers/ldap/Makefile.am:
	* providers/mdb/Makefile.am:
	* providers/msql/Makefile.am:
	* providers/mysql/Makefile.am:
	* providers/odbc/Makefile.am:
	* providers/oracle/Makefile.am:
	* providers/postgres/Makefile.am:
	* providers/sqlite/Makefile.am:
	* providers/sybase/Makefile.am:
	* providers/xbase/Makefile.am: applied a patch by Marc-Andre Lureau
	to fix #362898
	* configure.in: added a --enable-csharp option to enable or disable
	the building of C# bindings
	* gda-sharp/Makefile.am: packaging corrections and now "make distcheck" works
	* libgda/gda-query.[ch]: changed the returned value of gda_query_execute()

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-connection.h:
	* libgda/gda-data-model-iter.h:
	* libgda/gda-data-model-query.h:
	* libgda/gda-data-proxy.h:
	* libgda/gda-dict-aggregate.h:
	* libgda/gda-dict-constraint.h:
	* libgda/gda-dict-database.h:
	* libgda/gda-dict-field.h:
	* libgda/gda-dict-function.h:
	* libgda/gda-dict-table.h:
	* libgda/gda-dict-type.h:
	* libgda/gda-dict.h:
	* libgda/gda-object-ref.h:
	* libgda/gda-parameter-list.h:
	* libgda/gda-parameter.h:
	* libgda/gda-query-condition.h:
	* libgda/gda-query-field-agg.h:
	* libgda/gda-query-field-all.h:
	* libgda/gda-query-field-field.h:
	* libgda/gda-query-field-func.h:
	* libgda/gda-query-field-value.h:
	* libgda/gda-query-field.h:
	* libgda/gda-query-join.h:
	* libgda/gda-query-target.h:
	* libgda/gda-query.h:
	* libgda/graph/gda-graph-item.h:
	* libgda/graph/gda-graph.h:
	* libgda/libgda.h: Added a name for the error 
	enum. This is required by language bindings.
	* libgda/gda-graphviz.h: Commented-out 
	GDA_GRAPHVIZ_ERROR because it is not used.
	* libgda/graph/gda-graph-query.h: Commented-out 
	GDA_GRAPH_QUERY_ERROR because it is not used.
	* libgda/gda-client.c: (gda_client_perform_drop_database):
	* libgda/gda-client.h: Added an enum for the GError, 
	and used its code value instead of 0.

2006-10-18  Vivien Malerba <malerba@gnome-db.org>

	Released 1.99.0 (AKA 2.0 Beta2).

2006-10-18  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: bumped to 1.99.0
	* libgda/gda-data-proxy.[ch]: removed unused code
	* testing/:
	* tools/: moved gda-author-dict-file gda-diagnose gda-inspect-dict-file and
	gda-list-config from testing/ to tools/

2006-10-17  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql/gda-mysql-ddl.c: fixed typo
	* providers/sqlite/gda-sqlite-handler-bin.c: minor bug fixed

2006-10-14  Vivien Malerba <malerba@gnome-db.org>

	* configure.in: 
	* providers/mysql/: applied patches from Stian Skjelstad to
	solve #357502, #357504 and #361802
	* providers/sqlite/gda-sqlite-recordset.c:
	* providers/sqlite/gda-sqlite-provider.c: bug fixes with column type recognition
	* libgda/gda-init.c: improvements in the convenience functions (Daniel)

2006-10-12  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model-query.c: fixed bug in gda_data_model_query_get_attributes_at()
	* libgda/gda-data-proxy.c: fixed bug in gda_data_proxy_get_value_attributes()
	* providers/sqlite/sqlite-src: updated to SQLite 3.3.8
	* libgda/gda-dict.c: make sure data types are always synced before anything else
	
2006-10-11  Daniel Espinosa <esodan@gmail.org>
	
	* libgda/gda-init.c, gda-init.h: API change: gda_insert_row_into_table renamed to
	gda_insert_row_into_table_from_string; and added gda_insert_row_into_table wich spect
	for GValue pointers instead strings, this is for powerfull insert row mecanish and 
	avoid miss operations in string to GValue convertions.
	
	Improved Convenient Functions's Error messages 
	
	Added a new convenient function: gda_delete_row_from_table
	
2006-10-08  Vivien Malerba <malerba@gnome-db.org>

	* doc/C: documentation cleanups and improvements

2006-09-30  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-init.c: applied a correction from Carlos to force the
	declaration of some data types in GLib.
	* doc/C: doc update

2006-09-29  Daniel Espinosa <esodan@gmail.com>

	* libgda/gda-init.c,libgda.h: Added Convenient functions to easy use of
	libgda
	* gdasharp: improved to fit the new API

2006-09-24  Vivien Malerba <malerba@gnome-db.org>

	* all files: improved API consistency:
	s/get_gda_type/get_g_type/
	s/set_gda_type/set_g_type/
	s/gda_data_model_array_new_with_types/gda_data_model_array_new_with_g_types/
	s/gda_type_to_string/g_type_to_string/
	s/gda_type_from_string/g_type_from_string/
	s/get_nb_gda_types/get_nb_g_types/
	s/get_gda_type_index/get_g_type_index/
	s/accepts_gda_type/accepts_g_type/
	s/gda_dict_aggregate_set_arg_type/gda_dict_aggregate_set_arg_dict_type/
	s/gda_dict_aggregate_get_arg_type/gda_dict_aggregate_get_arg_dict_type/
	s/gda_dict_aggregate_set_ret_type/gda_dict_aggregate_set_ret_dict_type/
	s/gda_dict_aggregate_get_ret_type/gda_dict_aggregate_get_ret_dict_type/
	s/gda_dict_function_get_ret_type/gda_dict_function_get_ret_dict_type/
	s/gda_dict_function_set_ret_type/gda_dict_function_set_ret_dict_type/
	s/gda_dict_function_set_arg_types/gda_dict_function_set_arg_dict_types/
	s/gda_dict_function_get_arg_types/gda_dict_function_get_arg_dict_types/
	s/gda_dict_function_accepts_args/gda_dict_function_accepts_arg_dict_types/
	s/gda_dict_type_set_gda_type/gda_dict_type_set_g_type/
	s/gda_dict_type_get_gda_type/gda_dict_type_get_g_type/
	s/gda_dict_update_dbms_data/gda_dict_update_dbms_meta_data/
	s/gda_dict_stop_update_dbms_data/gda_dict_stop_update_dbms_meta_data/
	s/gda_type/g_type/

2006-09-23  Vivien Malerba <malerba@gnome-db.org>

	* testing/gda-diagnose.c:
	* libgda/gda-client.c: don't try to use the plugin_get_connection_params()
	function as it does not exist anymore.
	* libgda/gda-dict.[ch]: gda_dict_new() now return a GdaDict*
	* configure.in: fixed IBM DB2 detection problem
	* providers/sqlite/gda-sqlite-provider.c: corrected a bug with the reported
	number of impacted rows after a non SELECT query
	* providers/sqlite/gda-sqlite-recordset.c: corrected a bug with NULL values
	* doc/C: doc. improvements
	* libgda/gda-init.c: make sure GDate object type is really
	initialized
	* providers/ibmdb2/*: make the IBMDB2 provider compile again

2006-09-15  Vivien Malerba <malerba@gnome-db.org>

	* libsql/parser.y: parameter specifications can now be enclosed in single
	quotes (double quotes are still accepted
	* libgda/gda-dic-reg-types.c:
	* libgda/gda-dic-reg-aggregates.c:
	* libgda/gda-dic-reg-functions.c: corrected a bug in XML saving
	* libgda/sql-delimiter/lexer.l:
	* libgda/sql-delimiter/parser.y: bug fixes in the SQL delimiter
	* all files: improved API consistency:
	s/gda_query_get_parameters_boxed/gda_query_get_parameter_list/
	s/gda_data_model_query_get_param_list/gda_data_model_query_get_parameter_list/
	gda_query_new_*() now return a GdaQuery*
	gda_query_target_new_*() now return a GdaQueryTarget*
	gda_query_condition_new_*() now return a GdaQueryCondition*
	gda_query_join_new_*() now return a GdaQueryJoin*
	gda_query_field_*_new() now return a GdaQueryField*
	* libgda/gda-query-target.h: removed obsolete and unused GdaQueryTargetType enum
	* libgda/gda-util.[ch]:
	* libgda/gda-data-model.[ch]: when exporting to text or XML, one can now 
	specify which rows need to be exported
	* libgda/libgda-dict.dtd:
	* libgda/gda-query.c: fixed a bug in query's parameter sources save and
	load to and from XML
	* libgda/gda-server-operation.[ch]: added gda_server_operation_set_value_at()
	* minor bug fixes

2006-09-11  Bas Driessen <bas.driessen@xobas.com>

	* providers/oracle/oracle_specs_drop_index.xml.in:
	* providers/oracle/gda-oracle-ddl.c:
	* providers/oracle/Makefile.am: implement server operation
	drop_table for the oracle provider.

2006-09-10  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-sharp: make Gda# work (Daniel Espinosa)
	* libgda/gda-dict-type.c: return an error of the GType cannot be correctly
	found
	* libgda/gda-data-model-query.c: show a warning if the GType of a field
	is invalid
	* providers/postgres/gda-postgres-provider.c:
	* providers/mysql/gda-mysql-provider.c:
	* providers/sqlite/gda-sqlite-provider.c: in the get_data_handler() virtual
	function, make sure the dates are represented using the current locale
	* providers/sqlite/gda-sqlite-provider.c:
	* providers/sqlite/gda-sqlite-handler-bin.[ch]: new GdaDataHandler for the
	SQLite to handle binary strings
	* libgda/gda-server-provider.c:
	* libgda/gda-connection.[ch]:
	* libgda/providers/postgres:
	* libgda/providers/mysql:
	* libgda/providers/sqlite: Added gda_connection_execute_select_command(),
	gda_connection_execute_non_select_command() and renamed
	gda_connection_execute_command_l() to gda_connection_execute_command().
	* other files: minor changes
	
2006-09-10  Bas Driessen <bas.driessen@xobas.com>

	* providers/oracle/oracle_specs_drop_table.xml.in:
	* providers/oracle/gda-oracle-ddl.[ch]:
	* providers/oracle/gda-oracle-provider.c:
	* providers/oracle/Makefile.am: Start implementing server operations
	for the oracle provider starting with the relatively small drop_table operation.

2006-09-05  Bas Driessen <bas.driessen@xobas.com>

	* libgda/gda-server-provider.c: Set GDA_DEBUG to prevent SQL screen output in
	a non debug environment.

	* providers/mysql/gda-mysql-ddl.c:
	Surrounded column names in create table operation for PRIMARY/FOREIGN KEY
	and REFERENCES with back quote (`) to allow for reserved names as column name.

	* providers/postgres/gda-postgres-ddl.c:
	Surrounded column names in create table operation for PRIMARY/FOREIGN KEY
	and REFERENCES with double quote (") to allow for reserved names as column name.

2006-09-04  Bas Driessen <bas.driessen@xobas.com>

	* providers/mysql/gda-mysql-ddl.c:
	Surrounded column names in create index operation with back quote (`) 
	to allow for reserved names as column name.

	* providers/postgres/gda-postgres-ddl.c:
	Surrounded column names in create index operation with double quote (") 
	to allow for reserved names as column name.

2006-09-03  Vivien Malerba <malerba@gnome-db.org>

	Released 1.9.103 (AKA 2.0 Beta1).

2006-09-03  Vivien Malerba <malerba@gnome-db.org>

	* providers/mdb/*: Improved the MDB provider
	* doc/C: documentation update
	* allfiles: small bug fixes

2006-09-03  Bas Driessen <bas.driessen@xobas.com>

	* providers/mysql/gda-mysql-ddl.c:
	* providers/mysql/mysql_specs_add_column.xml.in:
	* providers/mysql/mysql_specs_create_table.xml.in: added COLUMN_SIZE and 
	COLUMN_SCALE paths for create table and add column operation for mysql and 
	surrounded column names with back quote (`) to allow for reserved names
	as column name.

	* providers/sqlite/gda-sqlite-ddl.c:
	* providers/sqlite/sqlite_specs_add_column.xml.in:
	* providers/sqlite/sqlite_specs_create_table.xml.in: added COLUMN_SIZE and 
	COLUMN_SCALE paths for create table and add column operation for sqlite.

	* providers/postgres/postgres_specs_add_column.xml.in: removed default values.
	* providers/postgres/postgres_specs_create_table.xml.in: added missing gda_value 
	tags for COLUMN_SIZE and COLUMN_SCALE.
	
2006-09-02  Bas Driessen <bas.driessen@xobas.com>

	* providers/postgres/gda-postgres-ddl.c:
	* providers/postgres/postgres_specs_add_column.xml.in:
	* providers/postgres/postgres_specs_create_table.xml.in:
	* doc/C/server-operation.xml: added COLUMN_SIZE and COLUMN_SCALE paths for
	create table and add column operation for postgres and 
	surrounded column names with double quote (") to allow for reserved names
	as column name.

2006-08-29  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-dict.[ch]: added gda_dict_object_{assume,declare}_as()
	* all files: s/gda_server_provider_get_data_handler_gda/
	gda_server_provider_get_data_handler_gtype/g
	* providers/mysql/gda-mysql-provider.c:
	* providers/postgres/gda-postgres-provider.c:
	* providers/sqlite/gda-sqlite-provider.c: implemented the get_def_dbms_type()
	virtual method

2006-08-28  Vivien Malerba <malerba@gnome-db.org>

	* providers/sqlite/gda-sqlite-provider.c:
	* providers/mysql/gda-mysql-provider.c:
	* providers/postgres/gda-postgres-provider.c: accept "DATABASE" instead of "DB_NAME"
	and "URI" instead of "DB_DIR" and "DB_NAME" in connection strings, and show a warning
	* libgda/gda-threader.c: use a timeout instead of an idle function for shorter
	notification time
	* libgda/gda-server-operation.[ch]:
	* providers/sqlite:
	* providers/mysql:
	* providers/postgres: Added support to rename a table and add a column to a table
	* libgda/gda-dict.[ch]: replaced the "*_added", "*_removed" and "*_updated" signals 
	with "object_added", "object_removed" and "object_updated" signals (impacts other
	files as well).
	* libgda/gda-dict-private.h:
	* libgda/gda-dict-reg-*.[ch]:
	* libgda/gda-dict.[ch]: make that object reference types, functions, aggregates 
	and queries in a generic way to reduce code and enable future extensions 
	without API/ABI breakage
	* libgda/gda-dict-database.[ch]: code cleanups
	* libgda/gda-dict.c:
	* libgda/gda-dict-database.c: allow to update only some kind of meta-data
	with the DBMS
	* other files: changes required by the above changes, and minor bug fixes.
	

2006-08-20  Vivien Malerba <malerba@gnome-db.org>

	* providers/sqlite/*.xml.in: new files for server operation
	* providers/sqlite/gda-sqlite-ddl.[ch]: new files which implement the SQL
	for server operations
	* doc/C/: documentation update
	* s/gda_connection_supports/gda_connection_supports_feature/
	* s/gda_server_provider_supports/gda_server_provider_supports_feature/	
	* libgda/gda-enums.h:
	* libgda/gda-dict-database.[hc]: added an option to update the information
	from the database only on a given table.
	* providers/sqlite/gda-sqlite-provider.c:
	* providers/mysql/gda-mysql-provider.c:
	* providers/postgres/gda-postgres-provider.c: corrected the tables schema
	listing for when only one table was requested.

2006-08-11  Vivien Malerba <malerba@gnome-db.org>

	* libgda/libgda-array.dtd:
	* libgda/gda-data-model.c:
	* libgda/gda-util.c: individual values in XML representation of arrays 
	can now be stored in <gda_array_value> nodes (rather than in 
	<gda_value> nodes) where the column id for the value can be specified
	* libgda/gda-data-proxy.c: bug fixed when removing sevaral rows at once:
	the change signals were not correctly emitted.
	* providers/postgres:
	* providers/mysql: added the gda-*-ddl.[ch] files which actually render the
	GdaServerOperation objects into SQL.
	* libgda/gda-server-provider.[ch]: removed gda_server_provider_create_table(),
	gda_server_provider_drop_table(), gda_server_provider_create_index() and
	gda_server_provider_drop_index() as this functionnality is now done through the
	GdaServerOperation object
	* providers/*/gda-*-provider.c: removed reference to the create_table(), 
	drop_table(), create_index() and drop_index() GdaServerProvider's virtual
	functions as they don't exist anymore
	* libgda/gda-connection.[ch]: removed gda_connection_create_table(),
	gda_connection_drop_table(), gda_connection_create_index() and
	gda_connection_drop_index() as this functionnality is now done through the
	GdaServerOperation object
	* libgda/gda-client.[ch]: replaced gda_client_get_provider_specs() 
	with gda_client_prepare_create_database() and gda_client_prepare_drop_database()
	and replaced gda_client_create_database() with gda_client_perform_create_database()
	and gda_client_drop_database() with gda_client_perform_drop_database()
	* libgda/gda-server-provider.[ch]: removed gda_server_provider_create_database_cnc()
	and gda_server_provider_drop_database_cnc() as this functionnality is now 
	done through the GdaServerOperation object
	* testing/gda-diagnose.c: updated the GdaServerProvider classes test with
	new methods

2006-07-29  Vivien Malerba <malerba@gnome-db.org>

	* providers/mysql/gda-mysql-recordset.c: applied patch from
	Carlos Savoretti

2006-07-29  Vivien Malerba <malerba@gnome-db.org>
	
	* libgda/libgda-server-operation.dtd: added the possibility specify a value
	for a parameter
	* providers/postgres/gda-postgres-ddl.[ch]: new files which implement DDL queries
	for the PostgreSQL provider
	* providers/postgres/postgres_specs_*: updated DDL queries spec files
	* po/POTFILES.in: added missing files to translate
	* doc/C: documentation updates
	* libgda/gda-data-model-array.[ch]:
	* libgda/gda-data-model-hash.c:
	* libgda/gda-data-proxy.c:
	* libgda/gda-server-operation.[ch]:
	* libgda/gda-server-provider.c: various bug fixes and updates

2006-07-21  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-query-target.c
	* libgda/gda-query-field-field.c: add double quotes around the SQL if name starts 
	with a number
	* doc/C: added documentation for the GdaServerOperation object
	* providers/postgres/gda-postgres-provider.c: more work on SQL rendering
	for CREATE TABLE query
	* libgda/gda-server-operation.c: major improvements
	* various small improvements

2006-07-14  Vivien Malerba <malerba@gnome-db.org>

	* doc/C/*: docs update
	* libgda/gda-server-operation.[ch]: almost fully implemented GdaServerOperation object
	* libgda/*.dtd: cleanups
	* providers/*/*.xml.in: changes applied because of the DTD changes
	* testing/gda-test-server-operation.c: new test
	* various files: minor bug fixes an improvements

2006-07-04  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-server-operation.h: Commented out
	gda_server_operation_get_node_type(), gda_server_operation_get_node_plist)_, 
	gda_server_operation_get_node_param(), gda_server_operation_get_node_datamodel(), 
	and gda_server_operation_get_node_seq_size(), because they are not implemented.

2006-06-29  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-init.c: gda_main_run(): Documentation: 
	Remove mention of Bonobo because libgda does not use 
	it anymore.
	* providers/sybase/main.c: Do not include the bonobo 
	i18n header, because we do not depend on bonobo. I guess 
	nobody is building this backend.

2006-06-17  Gintautas Miliauskas  <gintas@akl.lt>

	* configure.in: Added "lt" to ALL_LINGUAS.

2006-05-24  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-proxy.c: fixed a bug which could make the GdaDataProxy object show
	more data than there actually was in the displayed data model when the number of
	rows of that data model is only known when all the model has been displayed.
	* libgda/gda-data-model.c: improved gda_data_model_move_iter_at_row_default(),
	gda_data_model_move_iter_next_default() and gda_data_model_move_iter_prev_default()
	to include default value handling.
	* libgda/gda-data-proxy.c: removed the non necessary custom iter_at_row() virtual method
	* providers/mysql/mysql_specs_create_db.xml.in:
	* providers/postgres/postgres_specs_create_db.xml.in: added translations support
	* providers/postgres/postgres_specs_create_index.xml.in:
	* providers/postgres/postgres_specs_create_table.xml.in:
	* providers/postgres/postgres_specs_drop_index.xml.in:
	* providers/postgres/postgres_specs_drop_table.xml.in: new spec files for provider operations
	* libgda/gda-server-operation.[ch]: new object
	* libgda/libgda-paramlist.dtd:
	* libgda/libgda-server-operation.dtd: new DTD files for XML based specifications
	* doc/C/query0*.svg:
	* doc/C/query0*.png: new illustration files
	* doc/C/*: documentation update
	* testing/gda-inspect-dict-file.c: bug fixed
	* functions renaming for API coherence
	(gda_entity_field_get_data_type => gda_entity_field_get_dict_type,
	gda_dict_field_set_data_type => gda_dict_field_set_dict_type,
	gda_dict_get_data_type_by_name => gda_dict_get_dict_type_by_name,
	gda_dict_get_data_type_by_xml_id => gda_dict_get_dict_type_by_xml_id,
	gda_dict_get_data_types => gda_dict_get_dict_types,
	gda_query_field_value_get_value_type => gda_query_field_value_get_gda_type)
	* bug fixes

2006-05-21  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-value.c: (set_from_string): Move this up to before it is used, to 
	avoid an error caused by the clash with the implicit declaration.

2006-05-16  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-dict.c: set only when necessary to avoid messages such as 
	"validity error : Validation failed: no DTD found !"
	* providers/sqlite/gda-sqlite-provider.c: don't return a data handler for G_TYPE_DATE and
	GDA_TYPE_TIMESTAMP as SQLite does not impose a known format for dates (there is no date data
	type)
	* libgda/gda-query.c: display a warning when adding a field which gda type is not handled
	by the provider associated to the dictionary's connection.
	* libgda/gda-value.c:
	* libgda/gda-data-handler.c: improved documentation regarding the usage of the user's
	locale when converting a value to a string
	* libgda/gda-entity-field.c:
	* libgda/handlers/gda-handler-string.c: bug fixed
	* 

2006-05-12  Vivien Malerba <malerba@gnome-db.org>

	* libgda/sql-delimiter/*: the delimiter now returns a list of GdaDelimiterStatement
	structures, one for each identified SQL statement (SQL statements are separated by
	semicolon.
	* libgda/gda-query.c: modifications to handle the changes in the SQL delimiter
	* libgda/sql-delimiter/gda-sql-delimiter.[ch]: added gda_delimiter_concat_list() and
	gda_delimiter_split_sql()
	* providers/firebird/gda-firebird-provider.c:
	* providers/freetds/gda-freetds-provider.c:
	* providers/ibmdb2/gda-ibmdb2-provider.c:
	* providers/mdb/gda-mdb-provider.c:
	* providers/msql/gda-msql-provider.c:
	* providers/mysql/gda-mysql-provider.c:
	* providers/oracle/gda-oracle-provider.c:
	* providers/postgres/gda-postgres-provider.c:
	* providers/sybase/gda-sybase-provider.c: use gda_delimiter_split_sql instead of
	g_strsplit to delimit SQL statements which fixes bug #131040
	* testing/gda-diagnose: really take into account username and password (passed
	as command line arguments) when opening the connection

2006-05-10  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-dict-field.c: when a new data type is created, correctly sets its description
	* testing/gda-author-dict-file.c: allow the specification of connection which is not a DSN
	* libgda/gda-query-parsing.c: bug fixed
	* libgda/gda-value.[ch]: added gda_value_take_binary()
	* libgda/gda-value.c: bug fixes
	* libgda/gda-dict-field.c: minor bug fixed when a gda data type does not exist

2006-05-09  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-parameter-list.c: (gda_parameter_list_merge): Rename from 
	gda_parameter_list_merge_paramlist_params(), because this is what is in the 
	header, and gda_parameter_list_merge() would be  undefined otherwise. 
	I do wonder if this is meant to be a public function.

2006-05-09  Murray Cumming  <murrayc@murrayc.com>

	* libgda/gda-value.c: (gda_value_is_null), (gda_value_is_number),
	(gda_value_copy), (gda_value_get_binary), (gda_value_get_blob),
	(gda_value_get_geometric_point), (gda_value_get_list),
	(gda_value_get_numeric), (gda_value_get_short),
	(gda_value_get_ushort), (gda_value_get_time),
	(gda_value_get_timestamp), (gda_value_stringify),
	(gda_value_compare), (gda_value_compare_ext), (to_string),
	(gda_value_to_xml):
	* libgda/gda-value.h: Use the const keyword for input parameters 
	that will not be changed the function.

2006-05-08  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-query.c: gda_query_execute(): show SQL if query if GDA_DEBUG is set
	* libgda/gda-query-target.c:
	* libgda/gda-query-field-field.c: surround rendered SQL with double quotes if necessary
	* libgda/gda-data-model-query.c: code cleanup

2006-05-08  Vivien Malerba <malerba@gnome-db.org>

	* Individual values are now strictly GValue, much of the GdaValue API has been removed.
	* libgda/graph/gda-graph-item.c: corrected a bug where locale was used in XML loading and
	saving.
	* doc/C/Makefile.am: avoid to override HTML_DIR, closes bug #329930
	* libgda/gda-server-provider-extra.c: applied patch from Chris Shoemaker, closing
	bug #337986
	* libgda/handlers/gda-handler-time.c: applied patch from Chris Shoemaker, closing
	bug #338081
	* applied patch from Thierry Moisan, closed bug #328418
	* libgda/gda-dict.h: removed GDA_DICT_PROPOSED_FILE from the error codes enum
	* libgda/gda-connection.[ch]: added domain and code error to returned errors,
	fixes bug #319948
	* libgda/gda-connection.c: added properties to use during construction, for bug #321724
	* libgda/gda-connection.[ch]: removed gda_connection_set_client()
	* libgda/gda-client.[ch]: added username and password arguments to 
	gda_client_open_connection_from_string()
	* testing/gda-test-connection.c: added a tool to test connections
	* libgda/gda-client.c: don't create any fake DSN when opening a connection from a string,
	for bug #332556	


2006-05-08  Murray Cumming,  <murrayc@murrayc.com>

	* libgda/gda-connection.c: (gda_connection_class_init): Correct the registration of the 
	error and dsn_changed signals, correcting the parameter types and the marshallers.

2006-05-05  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: removed newlines from ALL_LINGUAS.

2006-04-24  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model-query.c: applied a patch from Chris to fix a bug which would
	prevent parameterized data-modification queries to work when the SELECT query isn't 
	parameterized.
	* libgda/gda-parameter.c:
	* libgda/gda-parameter-list.c:
	* libgda/gda-query-field-field.c:
	* libgda/gda-query-field-value.c: s/handler_plugin/entry_plugin/g
	* providers/mysql/gda-mysql-provider.c: take into account the version of the MySQL server to which
	the connection is opened and not the version of the MySQL client libraries at compile time.
	* providers/mysql/Makefile.am: define GDA_PACKAGE_VERSION as PACKAGE_VERSION is re-defined by
	MySQL
	* providers/oracle/gda-oracle-recordset.c: potential buffer overflow
	correction
	* providers/oracle/gda-oracle-provider.c: started improvements on the
	schemas
	* doc/C/query.xml: various improvements

2006-04-14  Vivien Malerba <malerba@gnome-db.org>

	* libgda-gda-dict.[ch]: added gda_dict_get_handler()
	* libgda/gda-data-model-query.c: documentation improvements
	* libgda/gda-server-provider.c: improvements in gda_server_provider_string_to_value()
	* doc/C/query.xml: better explanations for query parameter's syntax

2006-04-09  Vivien Malerba <malerba@gnome-db.org>

	* providers/postgres/gda-postgres-provider.c: applied patch from Chris Shoemaker
	to fix bug #337497

2006-04-04  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-parameter-list.[ch]: added gda_parameter_list_add_param_from_string() to 
	quickly add a parameter to a GdaParameterList object
	* libgda/gda-entity.[ch]: removed gda_entity_get_parameters() and 
	gda_entity_get_param_list()
	* libgda/gda-query.[ch]: added gda_query_get_parameters() and 
	gda_query_get_parameters_boxed()
	* libgda/gda-query.[ch]: added gda_query_execute()
	* libgda/gda-connection.[ch]: removed gda_connection_reset() which was never implemented
	* libgda/gda-connection.[ch]: renamed gda_connection_execute_command() to
	gda_connection_execute_command_l() and gda_connection_execute_single_command() to
	gda_connection_execute_command() because the names were leading to misunderstandings
	* libgda/gda-connection.[ch]: removed gda_connection_execute_non_query() which is quite a
	nonsense
	* libgda/gda-server-provider.[ch]: removed the reset() virtual method which was 
	never implemented
	* libgda/handlers/gda-handler-time.c: fixed a bug in string parsing
	* libgda/testing/gda-test-models.c: improvements using GdaDataModelImport object
	* libgda/gda-data-access-wrapper.c: added gda_data_access_wrapper_row_exists()
	* libgda/gda-parameter-list.[ch]: added gda_parameter_list_add_param_from_value()
	* libgda/gda-data-model-import.c: bug fixed in CSV parsing
	* libgda/gda-data-proxy.c: correctly handle data models for which the total number
	of rows is not known
	* compilation warnings removed
	* documentation corrections.

2006-03-24  Vivien Malerba <malerba@gnome-db.org>
	
	Released 1.9.102.

2006-03-24  Vivien Malerba <malerba@gnome-db.org>

	* libsql/Makefile.am: added a CLEANFILES target
	* libgda/gda-data-access-wrapper.[ch]: new data model to offer random access
	on top of a cursor only access data model
	* libgda/*: small corrections and improvements
	* libgda/doc/C: documentation update

2006-03-18  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-dict.c: ignore the DTD declaration, and always use our own internal parsed DTD
	to avoid paths problems in XML files
	* libgda/gda-init.c: added gda_dict_dtd and gda_array_dtd global parsed DTD
	* libgda/gda-data-model-import.[ch]: new GdaDataModel class to import data from 
	XML or from a CSV text format
	* libgda/libgda-array.dtd: DTD for GdaDataModel XML storage
	* libgda/gda-data-model.[ch]: replaced gda_data_model_to_text_separated(), 
	gda_data_model_to_xml(), gda_data_model_to_xml_node() and gda_data_model_add_data_from_xml_node()
	by gda_data_model_export_to_string(), gda_data_model_export_to_file(), 
	gda_data_model_import_from_model(), gda_data_model_import_from_string() and 
	gda_data_model_import_from_file()
	* libgda/gda-data-model-iter.[ch]: added gda_data_model_iter_is_valid()
	* libgda/gda-data-model-array.c: replaced gda_data_model_array_new_from_xml_node() with
	gda_data_model_array_copy_model()
	* libgda/gda-data-model-extra.h: added new declarations for GdaDataModel implementations
	* libgda/gda-value.[ch]: added gda_value_type_transformable() and
	gda_value_transform()
	* doc/C: doc. update
	* po/POTFILES.in: added the missing providers/*/*.xml.in files
	* testing/tests_data/DICT_Sales_postgres.xml: updated the DOCTYPE header
	* other: s/gda_connection_is_open/gda_connection_is_opened/
	s/gda_data_model_iter_at_row/gda_data_model_move_iter_at_row/
	s/gda_data_model_iter_next/gda_data_model_move_iter_next/
	s/gda_data_model_iter_prev/gda_data_model_move_iter_prev/
	s/gda_data_model_iter_set_invalid/gda_data_model_iter_invalidate_contents/
	and minor corrections

2006-03-09  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Added "zh_HK" to ALL_LINGUAS.

2006-03-08  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-parameter-list.c: handle correctly the xml:lang attribute
	of <paramerer> tags
	* providers/: implemented i18n in XML spec. files

2006-03-06  Vivien Malerba <malerba@gnome-db.org>

	* providers/oracle/gda-oracle-provider.c: compilation fixes

2006-03-03  Vivien Malerba <malerba@gnome-db.org>

	* libgda/gda-data-model-private.h: #define corrections
	* libgda/gda-util.[ch]: added gda_default_escape_chars() and 
